:userdoc.
:prolog.
:title.GNUPLOT
:docprof toc=12345.
:eprolog.
:h1 res=34. gnuplot
:p.:h2 res=35. Copyright
:p.:p.      Copyright (C) 1986 - 1993, 1998   Thomas Williams, Colin Kelley
.br
:p.Permission to use, copy, and distribute this software and its 
documentation for any purpose with or without fee is hereby granted, 
provided that the above copyright notice appear in all copies and 
that both that copyright notice and this permission notice appear 
in supporting documentation. 
:p.Permission to modify the software is granted, but not the right to 
distribute the complete modified source code.  Modifications are to 
be distributed as patches to the released version.  Permission to 
distribute binaries produced by compiling modified sources is granted, 
provided you 
:p.  1. distribute the corresponding source modifications from the
.br
   released version in the form of a patch file along with the binaries,
.br
  2. add special version identification to distinguish your version
.br
   in addition to the base release version number,
.br
  3. provide your name and address as the primary contact for the
.br
   support of your modified version, and
.br
  4. retain our contact information in regard to use of the base
.br
   software.
.br
Permission to distribute the released version of the source code along 
with corresponding source modifications in the form of a patch file is 
granted with same provisions 2 through 4 for binary distributions. 
:p.This software is provided "as is" without express or implied warranty 
to the extent permitted by applicable law. 
:p.:p.:p.      AUTHORS
.br
:p.:p.      Original Software&colon.
.br
         Thomas Williams,  Colin Kelley.
.br
:p.:p.      Gnuplot 2.0 additions&colon.
.br
         Russell Lang, Dave Kotz, John Campbell.
.br
:p.:p.      Gnuplot 3.0 additions&colon.
.br
         Gershon Elber and many others.
.br
:h2 res=77. Introduction
:p.:link reftype=hd res=34.gnuplot:elink. is a command-driven interactive function and data plotting program. 
It is case sensitive (commands and function names written in lowercase are 
not the same as those written in CAPS).  All command names may be abbreviated 
as long as the abbreviation is not ambiguous.  Any number of commands may 
appear on a line (with the exception that :link reftype=hd res=2007.load:elink. or :link reftype=hd res=1419.call:elink. must be the final 
command), separated by semicolons (;).  Strings are indicated with quotes. 
They may be either single or double quotation marks, e.g., 
:p.:p.      load "filename"
.br
      cd 'dir'
.br
:p.although there are some subtle differences (see :link reftype=hd res=1265.syntax:elink. for more details). 
:p.Any command-line arguments are assumed to be names of files containing 
:link reftype=hd res=34.gnuplot:elink. commands, with the exception of standard X11 arguments, which are 
processed first.  Each file is loaded with the :link reftype=hd res=2007.load:elink. command, in the order 
specified.  :link reftype=hd res=34.gnuplot:elink. exits after the last file is processed.  When no load 
files are named, :link reftype=hd res=34.gnuplot:elink. enters into an interactive mode.  The special 
filename "-" is used to denote standard input.  See "help batch/interactive" 
for more details. 
:p.Many :link reftype=hd res=34.gnuplot:elink. commands have multiple options.  These options must appear in 
the proper order, although unwanted ones may be omitted in most cases.  Thus 
if the entire command is "command a b c", then "command a c" will probably 
work, but "command c a" will fail. 
:p.Commands may extend over several input lines by ending each line but the last 
with a backslash (\).  The backslash must be the _last_ character on each 
line.  The effect is as if the backslash and newline were not there.  That 
is, no white space is implied, nor is a comment terminated.  Therefore, 
commenting out a continued line comments out the entire command (see 
:hp2.comment:ehp2.).  But note that if an error occurs somewhere on a multi-line 
command, the parser may not be able to locate precisely where the error is 
and in that case will not necessarily point to the correct line. 
:p.In this document, curly braces ({}) denote optional arguments and a vertical 
bar (|) separates mutually exclusive choices.  :link reftype=hd res=34.gnuplot:elink. keywords or :link reftype=hd res=1965.help:elink. 
topics are indicated by backquotes or :hp2.boldface:ehp2. (where available).  Angle 
brackets (<>) are used to mark replaceable tokens.  In many cases, a default 
value of the token will be taken for optional arguments if the token is 
omitted, but these cases are not always denoted with braces around the angle 
brackets. 
:p.For on-line help on any topic, type :link reftype=hd res=1965.help:elink. followed by the name of the topic 
or just :link reftype=hd res=1965.help:elink. or :hp2.?:ehp2. to get a menu of available topics. 
:p.The new :link reftype=hd res=34.gnuplot:elink. user should begin by reading about :link reftype=hd res=1202.plotting:elink. (if on-line, 
type :hp2.help plotting:ehp2.). 
:h2 res=129. Seeking-assistance
:p.There is a mailing list for :link reftype=hd res=34.gnuplot:elink. users.  Note, however, that the 
newsgroup 
:p.      comp.graphics.apps.gnuplot
.br
is identical to the mailing list (they both carry the same set of messages). 
We prefer that you read the messages through the newsgroup rather than 
subscribing to the mailing list.  Administrative requests should be sent to 
:p.      majordomo@dartmouth.edu
.br
Send a message with the body (not the subject) consisting of the single word 
"help" (without the quotes) for more details. 
:p.The address for mailing to list members is&colon. 
:p.      info-gnuplot@dartmouth.edu
.br
:p.Bug reports and code contributions should be mailed to&colon. 
:p.      bug-gnuplot@dartmouth.edu
.br
:p.The list of those interested in beta-test versions is&colon. 
:p.      info-gnuplot-beta@dartmouth.edu
.br
:p.There is also a World Wide Web page with up-to-date information, including 
known bugs&colon. 
:p.      http&colon.//www.cs.dartmouth.edu/gnuplot_info.html
.br
:p.Before seeking help, please check the 
FAQ (Frequently Asked Questions) list. 
If you do not have a copy of the FAQ, you may request a copy by email from 
the Majordomo address above, ftp a copy from 
:p.      ftp&colon.//ftp.ucc.ie/pub/gnuplot/faq,
.br
      ftp&colon.//ftp.gnuplot.vt.edu/pub/gnuplot/faq,
.br
or see the WWW :link reftype=hd res=34.gnuplot:elink. page. 
:p.When posting a question, please include full details of the version of 
:link reftype=hd res=34.gnuplot:elink., the machine, and operating system you are using.  A _small_ script 
demonstrating the problem may be useful.  Function plots are preferable to 
datafile plots.  If email-ing to info-gnuplot, please state whether or not 
you are subscribed to the list, so that users who use news will know to email 
a reply to you.  There is a form for such postings on the WWW site. 
:h2 res=172. What's New in version 3.7
:p.Gnuplot version 3.7 contains many new features.  This section gives a partial 
list and links to the new items in no particular order. 
:p.1. :hp2.fit f(x) 'file' via:ehp2. uses the Marquardt-Levenberg method to fit data. 
(This is only slightly different from the :hp2.gnufit:ehp2. patch available for 3.5.) 
:p.2. Greatly expanded :link reftype=hd res=2465.using:elink. command.  See :link reftype=hd res=2465.plot using:elink.. 
:p.3. :link reftype=hd res=7488.set timefmt:elink. allows for the use of dates as input and output for time 
series plots.  See :hp2.Time/Date data:ehp2. and 
timedat.dem. 
:p.4. Multiline labels and font selection in some drivers. 
:p.5. Minor (unlabeled) tics.  See :link reftype=hd res=4608.set mxtics:elink.. 
:p.6. :link reftype=hd res=4140.key:elink. options for moving the key box in the page (and even outside of the 
plot), putting a title on it and a box around it, and more.  See :link reftype=hd res=4140.set key:elink.. 
:p.7. Multiplots on a single logical page with :link reftype=hd res=4540.set multiplot:elink.. 
:p.8. Enhanced :link reftype=hd res=6466.postscript:elink. driver with super/subscripts and font changes. 
(This was a separate driver (:hp2.enhpost:ehp2.) that was available as a patch for 
3.5.) 
:p.9. Second axes&colon.  use the top and right axes independently of the bottom and 
left, both for plotting and labels.  See :link reftype=hd res=2060.plot:elink.. 
:p.10. Special datafile names :hp2.'-':ehp2. and :hp2."":ehp2..  See :link reftype=hd res=2358.plot special-filenames:elink.. 
:p.11. Additional coordinate systems for labels and arrows.  See :link reftype=hd res=413.coordinates:elink.. 
:p.12. :link reftype=hd res=4932.set size:elink. can try to plot with a specified aspect ratio. 
:p.13. :link reftype=hd res=4517.set missing:elink. now treats missing data correctly. 
:p.14. The :link reftype=hd res=1419.call:elink. command&colon. :link reftype=hd res=2007.load:elink. with arguments. 
:p.15. More flexible :hp2.range:ehp2. commands with :hp2.reverse:ehp2., :link reftype=hd res=7904.writeback:elink. and 'restore' 
keywords. 
:p.16. :link reftype=hd res=3678.set encoding:elink. for multi-lingual encoding. 
:p.17. New :link reftype=hd res=5465.x11:elink. driver with persistent and multiple windows. 
:p.18. New plotting styles&colon. :link reftype=hd res=5214.xerrorbars:elink., :link reftype=hd res=5140.histeps:elink., :link reftype=hd res=5116.financebars:elink. and more. 
See :link reftype=hd res=4989.set style:elink.. 
:p.19. New tic label formats, including :hp2."%l %L":ehp2. which uses the mantissa and 
exponents to a given base for labels.  See :link reftype=hd res=3695.set format:elink.. 
:p.20. New drivers, including :link reftype=hd res=5803.cgm:elink. for inclusion into MS-Office applications 
and :hp2.gif:ehp2. for serving plots to the WEB. 
:p.21. Smoothing and spline-fitting options for :link reftype=hd res=2060.plot:elink..  See :link reftype=hd res=2251.plot smooth:elink.. 
:p.22. :link reftype=hd res=4490.set margin:elink. and :link reftype=hd res=4711.set origin:elink. give much better control over where a 
graph appears on the page. 
:p.23. :link reftype=hd res=3236.set border:elink. now controls each border individually. 
:p.24. The new commands :link reftype=hd res=1982.if:elink. and :link reftype=hd res=2898.reread:elink. allow command loops. 
:p.25. Point styles and sizes, line types and widths can be specified on the 
:link reftype=hd res=2060.plot:elink. command.  Line types and widths can also be specified for grids, 
borders, tics and arrows.  See :link reftype=hd res=2755.plot with:elink..  Furthermore these types may be 
combined and stored for further use.  See :link reftype=hd res=4334.set linestyle:elink.. 
:p.26. Text (labels, tic labels, and the time stamp) can be written vertically 
by those terminals capable of doing so. 
:h2 res=246. Batch/Interactive Operation
:p.:link reftype=hd res=34.gnuplot:elink. may be executed in either batch or interactive modes, and the two 
may even be mixed together on many systems. 
:p.Any command-line arguments are assumed to be names of files containing 
:link reftype=hd res=34.gnuplot:elink. commands (with the exception of standard X11 arguments, which are 
processed first).  Each file is loaded with the :link reftype=hd res=2007.load:elink. command, in the order 
specified.  :link reftype=hd res=34.gnuplot:elink. exits after the last file is processed.  When no load 
files are named, :link reftype=hd res=34.gnuplot:elink. enters into an interactive mode.  The special 
filename "-" is used to denote standard input. 
:p.Both the :link reftype=hd res=1481.exit:elink. and :link reftype=hd res=2863.quit:elink. commands terminate the current command file and 
:link reftype=hd res=2007.load:elink. the next one, until all have been processed. 
:p.Examples&colon. 
:p.To launch an interactive session&colon. 
:p.      gnuplot
.br
:p.To launch a batch session using two command files "input1" and "input2"&colon. 
:p.      gnuplot input1 input2
.br
:p.To launch an interactive session after an initialization file "header" and 
followed by another command file "trailer"&colon. 
:p.      gnuplot header - trailer
.br
:h2 res=272. Command-line-editing
:p.Command-line editing is supported by the Unix, Atari, VMS, MS-DOS and OS/2 
versions of :link reftype=hd res=34.gnuplot:elink..  Also, a history mechanism allows previous commands to 
be edited and re-executed.  After the command line has been edited, a newline 
or carriage return will enter the entire line without regard to where the 
cursor is positioned. 
:p.(The readline function in :link reftype=hd res=34.gnuplot:elink. is not the same as the readline used in 
GNU Bash and GNU Emacs.  If the GNU version is desired, it may be selected 
instead of the :link reftype=hd res=34.gnuplot:elink. version at compile time.) 
:p.:p.The editing commands are as follows&colon. 
:p.:p.:p.:p.:table cols=' 12 48'.
:row.
:c.c l .
:c.
:row.
:c.Character
:c.Function
:row.
:c._
:c.
:row.
:c.Line Editing
:c.
:row.
:c.^B
:c.move back a single character.
:row.
:c.^F
:c.move forward a single character.
:row.
:c.^A
:c.move to the beginning of the line.
:row.
:c.^E
:c.move to the end of the line.
:row.
:c.^H, DEL
:c.delete the previous character.
:row.
:c.^D
:c.delete the current character.
:row.
:c.^K
:c.delete from current position to the end of line.
:row.
:c.^L, ^R
:c.redraw line in case it gets trashed.
:row.
:c.^U
:c.delete the entire line.
:row.
:c.^W
:c.delete from the current word to the end of line.
:row.
:c._
:c.
:row.
:c.History
:c.
:row.
:c.^P
:c.move back through history.
:row.
:c.^N
:c.move forward through history.
:etable.
:p.On the IBM PC, the use of a TSR program such as DOSEDIT or CED may be desired 
for line editing.  The default makefile assumes that this is the case;  by 
default :link reftype=hd res=34.gnuplot:elink. will be compiled with no line-editing capability.  If you 
want to use :link reftype=hd res=34.gnuplot:elink.'s line editing, set READLINE in the makefile and add 
readline.obj to the link file.  The following arrow keys may be used on the 
IBM PC and Atari versions if readline is used&colon. 
:p.:table cols=' 16 11'.
:row.
:c.c l .
:c.
:row.
:c.Arrow key
:c.Function
:row.
:c._
:c.
:row.
:c.Left Arrow
:c.same as ^B.
:row.
:c.Right Arrow
:c.same as ^F.
:row.
:c.Ctrl Left Arrow
:c.same as ^A.
:row.
:c.Ctrl Right Arrow
:c.same as ^E.
:row.
:c.Up Arrow
:c.same as ^P.
:row.
:c.Down Arrow
:c.same as ^N.
:row.
:c._
:c.
:etable.
:p.The Atari version of readline defines some additional key aliases&colon. 
:p.:table cols=' 9 17'.
:row.
:c.c l .
:c.
:row.
:c.Key
:c.Function
:row.
:c._
:c.
:row.
:c.Undo
:c.same as ^L.
:row.
:c.Home
:c.same as ^A.
:row.
:c.Ctrl Home
:c.same as ^E.
:row.
:c.Esc
:c.same as ^U.
:row.
:c.Help
:c.help plus return.
:row.
:c.Ctrl Help
:c.help .
:row.
:c._
:c.
:etable.
:h2 res=407. Comments
:p.Comments are supported as follows&colon. a :hp2.#:ehp2. may appear in most places in a line 
and :link reftype=hd res=34.gnuplot:elink. will ignore the rest of the line.  It will not have this effect 
inside quotes, inside numbers (including complex numbers), inside command 
substitutions, etc.  In short, it works anywhere it makes sense to work. 
:h2 res=413. Coordinates
:p.The commands :link reftype=hd res=3030.set arrow:elink., :link reftype=hd res=4140.set key:elink., and :link reftype=hd res=4262.set label:elink. allow you to draw 
something at an arbitrary position on the graph.  This position is specified 
by the syntax&colon. 
:p.:p.      {<system>} <x>, {<system>} <y> {,{<system>} <z>}
.br
:p.Each <system> can either be :hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2. or :hp2.screen:ehp2.. 
:p.:hp2.first:ehp2. places the x, y, or z coordinate in the system defined by the left 
and bottom axes; :hp2.second:ehp2. places it in the system defined by the second axes 
(top and right); :hp2.graph:ehp2. specifies the area within the axes---0,0 is bottom 
left and 1,1 is top right (for splot, 0,0,0 is bottom left of plotting area; 
use negative z to get to the base---see :link reftype=hd res=7417.set ticslevel:elink.); and :hp2.screen:ehp2. 
specifies the screen area (the entire area---not just the portion selected by 
:link reftype=hd res=4932.set size:elink.), with 0,0 at bottom left and 1,1 at top right. 
:p.If the coordinate system for x is not specified, :hp2.first:ehp2. is used.  If the 
system for y is not specified, the one used for x is adopted. 
:p.If one (or more) axis is timeseries, the appropriate coordinate should 
be given as a quoted time string according to the :link reftype=hd res=7488.timefmt:elink. format string. 
See :link reftype=hd res=7761.set xdata:elink. and :link reftype=hd res=7488.set timefmt:elink..  :link reftype=hd res=34.gnuplot:elink. will also accept an integer 
expression, which will be interpreted as seconds from 1 January 2000. 
:h2 res=438. Environment
:p.A number of shell environment variables are understood by :link reftype=hd res=34.gnuplot:elink..  None of 
these are required, but may be useful. 
:p.If GNUTERM is defined, it is used as the name of the terminal type to be 
used.  This overrides any terminal type sensed by :link reftype=hd res=34.gnuplot:elink. on start-up, but 
is itself overridden by the .gnuplot (or equivalent) start-up file (see 
:hp2.start-up:ehp2.) and, of course, by later explicit changes. 
:p.On Unix, AmigaOS, AtariTOS, MS-DOS and OS/2, GNUHELP may be defined to be the 
pathname of the HELP file (gnuplot.gih). 
:p.On VMS, the logical name GNUPLOT$HELP should be defined as the name of the 
help library for :link reftype=hd res=34.gnuplot:elink..  The :link reftype=hd res=34.gnuplot:elink. help can be put inside any system 
help library, allowing access to help from both within and outside :link reftype=hd res=34.gnuplot:elink. 
if desired. 
:p.On Unix, HOME is used as the name of a directory to search for a .gnuplot 
file if none is found in the current directory.  On AmigaOS, AtariTOS, 
MS-DOS and OS/2, gnuplot is used.  On VMS, SYS$LOGIN&colon. is used. See :link reftype=hd res=1965.help 
start-up:elink.. 
:p.On Unix, PAGER is used as an output filter for help messages. 
:p.On Unix, AtariTOS and AmigaOS, SHELL is used for the :link reftype=hd res=8349.shell:elink. command.  On 
MS-DOS and OS/2, COMSPEC is used for the :link reftype=hd res=8349.shell:elink. command. 
:p.On MS-DOS, if the BGI or Watcom interface is used, PCTRM is used to tell 
the maximum resolution supported by your monitor by setting it to 
S<max. horizontal resolution>. E.g. if your monitor's maximum resolution is 
800x600, then use&colon. 
:p.      set PCTRM=S800
.br
If PCTRM is not set, standard VGA is used. 
:p.FIT_SCRIPT may be used to specify a :link reftype=hd res=34.gnuplot:elink. command to be executed when a 
fit is interrupted---see :link reftype=hd res=1490.fit:elink..  FIT_LOG specifies the filename of the 
logfile maintained by fit. 
:h2 res=476. Expressions
:p.In general, any mathematical expression accepted by C, FORTRAN, Pascal, or 
BASIC is valid.  The precedence of these operators is determined by the 
specifications of the C programming language.  White space (spaces and tabs) 
is ignored inside expressions. 
:p.Complex constants are expressed as {<real>,<imag>}, where <real> and <imag> 
must be numerical constants.  For example, {3,2} represents 3 + 2i; {0,1} 
represents 'i' itself.  The curly braces are explicitly required here. 
:p.Note that gnuplot uses both "real" and "integer" arithmetic, like FORTRAN and 
C.  Integers are entered as "1", "-10", etc; reals as "1.0", "-10.0", "1e1", 
3.5e-1, etc.  The most important difference between the two forms is in 
division&colon. division of integers truncates&colon. 5/2 = 2; division of reals does 
not&colon. 5.0/2.0 = 2.5.  In mixed expressions, integers are "promoted" to reals 
before evaluation&colon. 5/2e0 = 2.5.  The result of division of a negative integer 
by a positive one may vary among compilers.  Try a test like "print -5/2" to 
determine if your system chooses -2 or -3 as the answer. 
:p.The integer expression "1/0" may be used to generate an "undefined" flag, 
which causes a point to ignored; the :link reftype=hd res=1073.ternary:elink. operator gives an example. 
:p.The real and imaginary parts of complex expressions are always real, whatever 
the form in which they are entered&colon. in {3,2} the "3" and "2" are reals, not 
integers. 
:h3 res=502. Functions
:p.The functions in :link reftype=hd res=34.gnuplot:elink. are the same as the corresponding functions in 
the Unix math library, except that all functions accept integer, real, and 
complex arguments, unless otherwise noted. 
:p.For those functions that accept or return angles that may be given in either 
degrees or radians (sin(x), cos(x), tan(x), asin(x), acos(x), atan(x), 
atan2(x) and arg(z)), the unit may be selected by :link reftype=hd res=2988.set angles:elink., which 
defaults to radians. 
:p.:table cols=' 12 11 46'.
:row.
:c.c c l .
:c.
:c.
:row.
:c.Function
:c.Arguments
:c.Returns
:row.
:c._
:c.
:c.
:row.
:c.abs(x)
:c.any
:c.absolute value of x, |x|; same type
:row.
:c.abs(x)
:c.complex
:c.length of x, 
:row.
:c.acos(x)
:c.any
:c.(inverse cosine)
:row.
:c.acosh(x)
:c.any
:c.(inverse hyperbolic cosine) in radians
:row.
:c.arg(x)
:c.complex
:c.the phase of x
:row.
:c.asin(x)
:c.any
:c.(inverse sin)
:row.
:c.asinh(x)
:c.any
:c.(inverse hyperbolic sin) in radians
:row.
:c.atan(x)
:c.any
:c.(inverse tangent)
:row.
:c.atan2(y,x)
:c.int or real
:c.(inverse tangent)
:row.
:c.atanh(x)
:c.any
:c.(inverse hyperbolic tangent) in radians
:row.
:c.besj0(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.besj1(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.besy0(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.besy1(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.ceil(x)
:c.any
:c.smallest integer not less than x (real part)
:row.
:c.cos(x)
:c.radians
:c.cosine of x
:row.
:c.cosh(x)
:c.any
:c.hyperbolic cosine of x in radians
:row.
:c.erf(x)
:c.any
:c.error function of real (x)
:row.
:c.erfc(x)
:c.any
:c.1.0 - error function of real (x)
:row.
:c.exp(x)
:c.any
:c.exponential function of x
:row.
:c.floor(x)
:c.any
:c.largest integer not greater than x (real part)
:row.
:c.gamma(x)
:c.any
:c.gamma function of real (x)
:row.
:c.ibeta(p,q,x)
:c.any
:c.ibeta function of real (p,q,x)
:row.
:c.inverf(x)
:c.any
:c.inverse error function real(x)
:row.
:c.igamma(a,x)
:c.any
:c.igamma function of real (a,x)
:row.
:c.imag(x)
:c.complex
:c.imaginary part of x as a real number
:row.
:c.invnorm(x)
:c.any
:c.inverse normal distribution function real(x)
:row.
:c.int(x)
:c.real
:c.integer part of x, truncated toward zero
:row.
:c.lgamma(x)
:c.any
:c.lgamma function of real (x)
:row.
:c.log(x)
:c.any
:c.natural logarithm (base e) of x
:row.
:c.log10(x)
:c.any
:c.logarithm (base ) of x
:row.
:c.norm(x)
:c.any
:c.normal distribution function of real(x)
:row.
:c.rand(x)
:c.any
:c.pseudo random number generator
:row.
:c.real(x)
:c.any
:c.real part of x
:row.
:c.sgn(x)
:c.any
:c.1 if x > 0, -1 if x < 0, 0 if x = 0. ignored
:row.
:c.sin(x)
:c.any
:c.sine of x
:row.
:c.sinh(x)
:c.any
:c.hyperbolic sine of x in radians
:row.
:c.sqrt(x)
:c.any
:c.square root of x
:row.
:c.tan(x)
:c.any
:c.tangent of x
:row.
:c.tanh(x)
:c.any
:c.hyperbolic tangent of x in radians
:etable.
:h4 res=521. abs
:p.The :hp2.abs(x):ehp2. function returns the absolute value of its argument.  The 
returned value is of the same type as the argument. 
:p.For complex arguments, abs(x) is defined as the length of x in the complex 
plane [i.e.,  sqrt(real(x)**2 + imag(x)**2) ]. 
:h4 res=535. acos
:p.The :hp2.acos(x):ehp2. function returns the arc cosine (inverse cosine) of its 
argument.  :link reftype=hd res=535.acos:elink. returns its argument in radians or degrees, as selected by 
:link reftype=hd res=2988.set angles:elink.. 
:h4 res=544. acosh
:p.The :hp2.acosh(x):ehp2. function returns the inverse hyperbolic cosine of its argument 
in radians. 
:h4 res=552. arg
:p.The :hp2.arg(x):ehp2. function returns the phase of a complex number in radians or 
degrees, as selected by :link reftype=hd res=2988.set angles:elink.. 
:h4 res=560. asin
:p.The :hp2.asin(x):ehp2. function returns the arc sin (inverse sin) of its argument. 
:link reftype=hd res=560.asin:elink. returns its argument in radians or degrees, as selected by :hp2.set 
angles:ehp2.. 
:h4 res=569. asinh
:p.The :hp2.asinh(x):ehp2. function returns the inverse hyperbolic sin of its argument in 
radians. 
:h4 res=577. atan
:p.The :hp2.atan(x):ehp2. function returns the arc tangent (inverse tangent) of its 
argument.  :link reftype=hd res=577.atan:elink. returns its argument in radians or degrees, as selected by 
:link reftype=hd res=2988.set angles:elink.. 
:h4 res=586. atan2
:p.The :hp2.atan2(y,x):ehp2. function returns the arc tangent (inverse tangent) of the 
ratio of the real parts of its arguments.  :link reftype=hd res=586.atan2:elink. returns its argument in 
radians or degrees, as selected by :link reftype=hd res=2988.set angles:elink., in the correct quadrant. 
:h4 res=595. atanh
:p.The :hp2.atanh(x):ehp2. function returns the inverse hyperbolic tangent of its 
argument in radians. 
:h4 res=603. besj0
:p.The :hp2.besj0(x):ehp2. function returns the j0th Bessel function of its argument. 
:link reftype=hd res=603.besj0:elink. expects its argument to be in radians. 
:h4 res=611. besj1
:p.The :hp2.besj1(x):ehp2. function returns the j1st Bessel function of its argument. 
:link reftype=hd res=611.besj1:elink. expects its argument to be in radians. 
:h4 res=619. besy0
:p.The :hp2.besy0(x):ehp2. function returns the y0th Bessel function of its argument. 
:link reftype=hd res=619.besy0:elink. expects its argument to be in radians. 
:h4 res=627. besy1
:p.The :hp2.besy1(x):ehp2. function returns the y1st Bessel function of its argument. 
:link reftype=hd res=627.besy1:elink. expects its argument to be in radians. 
:h4 res=635. ceil
:p.The :hp2.ceil(x):ehp2. function returns the smallest integer that is not less than its 
argument.  For complex numbers, :link reftype=hd res=635.ceil:elink. returns the smallest integer not less 
than the real part of its argument. 
:h4 res=645. cos
:p.The :hp2.cos(x):ehp2. function returns the cosine of its argument.  :link reftype=hd res=645.cos:elink. accepts its 
argument in radians or degrees, as selected by :link reftype=hd res=2988.set angles:elink.. 
:h4 res=653. cosh
:p.The :hp2.cosh(x):ehp2. function returns the hyperbolic cosine of its argument.  :link reftype=hd res=653.cosh:elink. 
expects its argument to be in radians. 
:h4 res=661. erf
:p.The :hp2.erf(x):ehp2. function returns the error function of the real part of its 
argument.  If the argument is a complex value, the imaginary component is 
ignored. 
:h4 res=670. erfc
:p.The :hp2.erfc(x):ehp2. function returns 1.0 - the error function of the real part of 
its argument.  If the argument is a complex value, the imaginary component is 
ignored. 
:h4 res=679. exp
:p.The :hp2.exp(x):ehp2. function returns the exponential function of its argument (:hp2.e:ehp2. 
raised to the power of its argument).  On some implementations (notably 
suns), exp(-x) returns undefined for very large x.  A user-defined function 
like safe(x) = x<-100 ? 0 &colon. exp(x) might prove useful in these cases. 
:h4 res=689. floor
:p.The :hp2.floor(x):ehp2. function returns the largest integer not greater than its 
argument.  For complex numbers, :link reftype=hd res=689.floor:elink. returns the largest integer not 
greater than the real part of its argument. 
:h4 res=699. gamma
:p.The :hp2.gamma(x):ehp2. function returns the gamma function of the real part of its 
argument.  For integer n, gamma(n+1) = n!.  If the argument is a complex 
value, the imaginary component is ignored. 
:h4 res=708. ibeta
:p.The :hp2.ibeta(p,q,x):ehp2. function returns the incomplete beta function of the real 
parts of its arguments. p, q > 0 and x in [0&colon.1].  If the arguments are 
complex, the imaginary components are ignored. 
:h4 res=717. inverf
:p.The :hp2.inverf(x):ehp2. function returns the inverse error function of the real part 
of its argument. 
:h4 res=725. igamma
:p.The :hp2.igamma(a,x):ehp2. function returns the incomplete gamma function of the real 
parts of its arguments.  a > 0 and x >= 0.  If the arguments are complex, 
the imaginary components are ignored. 
:h4 res=734. imag
:p.The :hp2.imag(x):ehp2. function returns the imaginary part of its argument as a real 
number. 
:h4 res=742. invnorm
:p.The :hp2.invnorm(x):ehp2. function returns the inverse normal distribution function of 
the real part of its argument. 
:h4 res=750. int
:p.The :hp2.int(x):ehp2. function returns the integer part of its argument, truncated 
toward zero. 
:h4 res=758. lgamma
:p.The :hp2.lgamma(x):ehp2. function returns the natural logarithm of the gamma function 
of the real part of its argument.  If the argument is a complex value, the 
imaginary component is ignored. 
:h4 res=767. log
:p.The :hp2.log(x):ehp2. function returns the natural logarithm (base :hp2.e:ehp2.) of its 
argument. 
:h4 res=775. log10
:p.The :hp2.log10(x):ehp2. function returns the logarithm (base 10) of its argument. 
:h4 res=782. norm
:p.The :hp2.norm(x):ehp2. function returns the normal distribution function (or Gaussian) 
of the real part of its argument. 
:h4 res=790. rand
:p.The :hp2.rand(x):ehp2. function returns a pseudo random number in the interval [0&colon.1] 
using the real part of its argument as a seed.  If seed < 0, the sequence 
is (re)initialized.  If the argument is a complex value, the imaginary 
component is ignored. 
:h4 res=800. real
:p.The :hp2.real(x):ehp2. function returns the real part of its argument. 
:h4 res=807. sgn
:p.The :hp2.sgn(x):ehp2. function returns 1 if its argument is positive, -1 if its 
argument is negative, and 0 if its argument is 0.  If the argument is a 
complex value, the imaginary component is ignored. 
:h4 res=816. sin
:p.The :hp2.sin(x):ehp2. function returns the sine of its argument.  :link reftype=hd res=816.sin:elink. expects its 
argument to be in radians or degrees, as selected by :link reftype=hd res=2988.set angles:elink.. 
:h4 res=824. sinh
:p.The :hp2.sinh(x):ehp2. function returns the hyperbolic sine of its argument.  :link reftype=hd res=824.sinh:elink. 
expects its argument to be in radians. 
:h4 res=832. sqrt
:p.The :hp2.sqrt(x):ehp2. function returns the square root of its argument. 
:h4 res=839. tan
:p.The :hp2.tan(x):ehp2. function returns the tangent of its argument.  :link reftype=hd res=839.tan:elink. expects 
its argument to be in radians or degrees, as selected by :link reftype=hd res=2988.set angles:elink.. 
:h4 res=847. tanh
:p.The :hp2.tanh(x):ehp2. function returns the hyperbolic tangent of its argument.  :link reftype=hd res=847.tanh:elink. 
expects its argument to be in radians. 
:p.A few additional functions are also available. 
:p.:table cols=' 10 9 50'.
:row.
:c.c c l .
:c.
:c.
:row.
:c.Function
:c.Arguments
:c.Returns
:row.
:c._
:c.
:c.
:row.
:c.column(x)
:c.int
:c. column x during datafile manipulation.
:row.
:c.tm_hour(x)
:c.int
:c.the hour
:row.
:c.tm_mday(x)
:c.int
:c.the day of the month
:row.
:c.tm_min(x)
:c.int
:c.the minute
:row.
:c.tm_mon(x)
:c.int
:c.the month
:row.
:c.tm_sec(x)
:c.int
:c.the second
:row.
:c.tm_wday(x)
:c.int
:c.the day of the week
:row.
:c.tm_yday(x)
:c.int
:c.the day of the year
:row.
:c.tm_year(x)
:c.int
:c.the year
:row.
:c.valid(x)
:c.int
:c. test validity of column(x) during datafile manip.
:etable.
:h4 res=866. column
:p.:hp2.column(x):ehp2. may be used only in expressions as part of :link reftype=hd res=2465.using:elink. manipulations 
to fits or datafile plots.  See :link reftype=hd res=2465.plot datafile using:elink.. 
:h4 res=874. tm_hour
:p.The :link reftype=hd res=874.tm_hour:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the hour (an integer in the range 0--23) as a real. 
:h4 res=881. tm_mday
:p.The :link reftype=hd res=881.tm_mday:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the day of the month (an integer in the range 1--31) 
as a real. 
:h4 res=889. tm_min
:p.The :link reftype=hd res=889.tm_min:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the minute (an integer in the range 0--59) as a real. 
:h4 res=896. tm_mon
:p.The :link reftype=hd res=896.tm_mon:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the month (an integer in the range 1--12) as a real. 
:h4 res=903. tm_sec
:p.The :link reftype=hd res=903.tm_sec:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the second (an integer in the range 0--59) as a real. 
:h4 res=910. tm_wday
:p.The :link reftype=hd res=910.tm_wday:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the day of the week (an integer in the range 1--7) as 
a real. 
:h4 res=918. tm_yday
:p.The :link reftype=hd res=918.tm_yday:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the day of the year (an integer in the range 1--366) 
as a real. 
:h4 res=926. tm_year
:p.The :link reftype=hd res=926.tm_year:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000.  It returns the year (an integer) as a real. 
:h4 res=933. valid
:p.:hp2.valid(x):ehp2. may be used only in expressions as part of :link reftype=hd res=2465.using:elink. manipulations 
to fits or datafile plots.  See :link reftype=hd res=2465.plot datafile using:elink.. 
:h3 res=943. Operators
:p.The operators in :link reftype=hd res=34.gnuplot:elink. are the same as the corresponding operators in the 
C programming language, except that all operators accept integer, real, and 
complex arguments, unless otherwise noted.  The ** operator (exponentiation) 
is supported, as in FORTRAN. 
:p.Parentheses may be used to change order of evaluation. 
:h4 res=952. Unary
:p.The following is a list of all the unary operators and their usages&colon. 
:p.:table cols=' 6 76 25'.
:row.
:c.:hp9.Symbol:ehp9.
:c.:hp9.Example:ehp9.
:c.:hp9.Explanation:ehp9.
:row.
:c.-
:c.-a
:c.unary minus
:row.
:c.+
:c.+a
:c.unary plus (no-operation)
:row.
:c.~
:c.~a
:c.* one's complement
:row.
:c.!
:c.!a
:c.* logical negation
:row.
:c.!
:c.a!
:c.* factorial
:row.
:c.3
:c.* call arg/column during :link reftype=hd res=2465.using:elink. manipulation
:c.
:row.
:c._
:c.
:c.
:etable.
(*) Starred explanations indicate that the operator requires an integer 
argument. 
:p.Operator precedence is the same as in Fortran and C.  As in those languages, 
parentheses may be used to change the order of operation.  Thus -2**2 = -4, 
but (-2)**2 = 4. 
:p.The factorial operator returns a real number to allow a greater range. 
:h4 res=1000. Binary
:p.The following is a list of all the binary operators and their usages&colon. 
:p.:p.:table cols=' 10 12 24'.
:row.
:c.c c l .
:c.
:c.
:row.
:c.Symbol
:c.Example
:c.Explanation
:row.
:c._
:c.
:c.
:row.
:c.**
:c.a**b
:c.exponentiation
:row.
:c.*
:c.a*b
:c.multiplication
:row.
:c./
:c.a/b
:c.division
:row.
:c.%
:c.a%b
:c.* modulo
:row.
:c.+
:c.a+b
:c.addition
:row.
:c.-
:c.a-b
:c.subtraction
:row.
:c.==
:c.a==b
:c.equality
:row.
:c.!=
:c.a!=b
:c.inequality
:row.
:c.<
:c.a<b
:c.less than
:row.
:c.<=
:c.a<=b
:c.less than or equal to
:row.
:c.>
:c.a>b
:c.greater than
:row.
:c.>=
:c.a>=b
:c.greater than or equal to
:row.
:c.&amp.
:c.a&amp.b
:c.* bitwise AND
:row.
:c.^
:c.a^b
:c.* bitwise exclusive OR
:row.
:c.|
:c.a|b
:c.* bitwise inclusive OR
:row.
:c.&amp.&amp.
:c.a&amp.&amp.b
:c.* logical AND
:row.
:c.||
:c.a||b
:c.* logical OR
:etable.
(*) Starred explanations indicate that the operator requires integer 
arguments. 
:p.Logical AND (&amp.&amp.) and OR (||) short-circuit the way they do in C.  That is, 
the second :hp2.&amp.&amp.:ehp2. operand is not evaluated if the first is false; the second 
:hp2.||:ehp2. operand is not evaluated if the first is true. 
:h4 res=1073. Ternary
:p.There is a single ternary operator&colon. 
:p.:p.:table cols=' 8 11 19'.
:row.
:c.c c l .
:c.
:c.
:row.
:c.Symbol
:c.Example
:c.Explanation
:row.
:c._
:c.
:c.
:row.
:c.?&colon.
:c.a?b&colon.c
:c.* ternary operation
:etable.
The ternary operator behaves as it does in C.  The first argument (a), which 
must be an integer, is evaluated.  If it is true (non-zero), the second 
argument (b) is evaluated and returned; otherwise the third argument (c) is 
evaluated and returned. 
:p.The ternary operator is very useful both in constructing piecewise functions 
and in plotting points only when certain conditions are met. 
:p.Examples&colon. 
:p.Plot a function that is to equal sin(x) for 0 <= x < 1, 1/x for 1 <= x < 2, 
and undefined elsewhere&colon. 
:p.      f(x) = 0<=x &amp.&amp. x<1 ? sin(x) &colon. 1<=x &amp.&amp. x<2 ? 1/x &colon. 1/0
.br
      plot f(x)
.br
Note that :link reftype=hd res=34.gnuplot:elink. quietly ignores undefined values, so the final branch of 
the function (1/0) will produce no plottable points.  Note also that f(x) 
will be plotted as a continuous function across the discontinuity if a line 
style is used.  To plot it discontinuously, create separate functions for the 
two pieces.  (Parametric functions are also useful for this purpose.) 
:p.For data in a file, plot the average of the data in columns 2 and 3 against 
the datum in column 1, but only if the datum in column 4 is non-negative&colon. 
:p.:p.      plot 'file' using 1&colon.( $4<0 ? 1/0 &colon. ($2+$3)/2 )
.br
:p.Please see :link reftype=hd res=2465.plot data-file using:elink. for an explanation of the :link reftype=hd res=2465.using:elink. syntax. 
:h3 res=1119. User-defined
:p.New user-defined variables and functions of one through five variables may 
be declared and used anywhere, including on the :link reftype=hd res=2060.plot:elink. command itself. 
:p.User-defined function syntax&colon. 
:p.      <func-name>( <dummy1> {,<dummy2>} ... {,<dummy5>} ) = <expression>
.br
:p.where <expression> is defined in terms of <dummy1> through <dummy5>. 
:p.User-defined variable syntax&colon. 
:p.      <variable-name> = <constant-expression>
.br
:p.Examples&colon. 
:p.      w = 2
.br
      q = floor(tan(pi/2 - 0.1))
.br
      f(x) = sin(w*x)
.br
      sinc(x) = sin(pi*x)/(pi*x)
.br
      delta(t) = (t == 0)
.br
      ramp(t) = (t > 0) ? t &colon. 0
.br
      min(a,b) = (a < b) ? a &colon. b
.br
      comb(n,k) = n!/(k!*(n-k)!)
.br
      len3d(x,y,z) = sqrt(x*x+y*y+z*z)
.br
      plot f(x) = sin(x*a), a = 0.2, f(x), a = 0.4, f(x)
.br
:p.Note that the variable :hp2.pi:ehp2. is already defined.  But it is in no way magic; 
you may redefine it to be whatever you like. 
:p.Valid names are the same as in most programming languages&colon. they must begin 
with a letter, but subsequent characters may be letters, digits, "$", or "_". 
Note, however, that the :link reftype=hd res=1490.fit:elink. mechanism uses several variables with names 
that begin "FIT_".  It is safest to avoid using such names.  "FIT_LIMIT", 
however, is one that you may wish to redefine. See the documentation 
on :link reftype=hd res=1490.fit:elink. for details. 
:p.:p.See :link reftype=hd res=3940.show functions:elink., :link reftype=hd res=7627.show variables:elink., and :link reftype=hd res=1490.fit:elink.. 
:h2 res=1159. Glossary
:p.Throughout this document an attempt has been made to maintain consistency of 
nomenclature.  This cannot be wholly successful because as :link reftype=hd res=34.gnuplot:elink. has 
evolved over time, certain command and keyword names have been adopted that 
preclude such perfection.  This section contains explanations of the way 
some of these terms are used. 
:p.A "page" or "screen" is the entire area addressable by :link reftype=hd res=34.gnuplot:elink..  On a 
monitor, it is the full screen; on a plotter, it is a single sheet of paper. 
:p.A screen may contain one or more "plots".  A plot is defined by an abscissa 
and an ordinate, although these need not actually appear on it, as well as 
the margins and any text written therein. 
:p.A plot contains one "graph".  A graph is defined by an abscissa and an 
ordinate, although these need not actually appear on it. 
:p.A graph may contain one or more "lines".  A line is a single function or 
data set.  "Line" is also a plotting style.  The word will also be used in 
sense "a line of text".  Presumably the context will remove any ambiguity. 
:p.The lines on a graph may have individual names.  These may be listed 
together with a sample of the plotting style used to represent them in 
the "key", sometimes also called the "legend". 
:p.The word "title" occurs with multiple meanings in :link reftype=hd res=34.gnuplot:elink..  In this 
document, it will always be preceded by the adjective "plot", "line", or 
"key" to differentiate among them. 
:p.A graph may have up to four labelled axes.  Various commands have the name of 
an axis built into their names, such as :link reftype=hd res=7814.set xlabel:elink..  Other commands have 
one or more axis names as options, such as :hp2.set logscale xy:ehp2..  The names of 
the four axes for these usages are "x" for the axis along the bottom border 
of the plot, "y" for the left border, "x2" for the top border, and "y2" for 
the right border.  "z" also occurs in commands used with 3-d plotting. 
:p.When discussing data files, the term "record" will be resurrected and used 
to denote a single line of text in the file, that is, the characters between 
newline or end-of-record characters.  A "point" is the datum extracted from 
a single record.  A "datablock" is a set of points from consecutive records, 
delimited by blank records.  A line, when referred to in the context of a 
data file, is a subset of a datablock. 
:h2 res=1202. Plotting
:p.There are three :link reftype=hd res=34.gnuplot:elink. commands which actually create a plot&colon. :link reftype=hd res=2060.plot:elink., 
:link reftype=hd res=8368.splot:elink. and :link reftype=hd res=2869.replot:elink..  :link reftype=hd res=2060.plot:elink. generates 2-d plots, :link reftype=hd res=8368.splot:elink. generates 3-d 
plots (actually 2-d projections, of course), and :link reftype=hd res=2869.replot:elink. appends its 
arguments to the previous :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. and executes the modified 
command. 
:p.Much of the general information about plotting can be found in the discussion 
of :link reftype=hd res=2060.plot:elink.; information specific to 3-d can be found in the :link reftype=hd res=8368.splot:elink. section. 
:p.:link reftype=hd res=2060.plot:elink. operates in either rectangular or polar coordinates -- see :link reftype=hd res=4832.set polar:elink. 
for details of the latter.  :link reftype=hd res=8368.splot:elink. operates only in rectangular coordinates, 
but the :link reftype=hd res=4447.set mapping:elink. command allows for a few other coordinate systems to be 
treated.  In addition, the :link reftype=hd res=2465.using:elink. option allows both :link reftype=hd res=2060.plot:elink. and :link reftype=hd res=8368.splot:elink. to 
treat almost any coordinate system you'd care to define. 
:p.:link reftype=hd res=8368.splot:elink. can plot surfaces and contours in addition to points and/or lines. 
In addition to :link reftype=hd res=8368.splot:elink., see :link reftype=hd res=4109.set isosamples:elink. for information about defining 
the grid for a 3-d function;  :link reftype=hd res=8405.splot datafile:elink. for information about the 
requisite file structure for 3-d data values; and :link reftype=hd res=3518.set contour:elink. and :hp2.set 
cntrparam:ehp2. for information about contours. 
:h2 res=1224. Start-up
:p.When :link reftype=hd res=34.gnuplot:elink. is run, it looks for an initialization file to load.  This 
file is called :link reftype=hd res=1224..gnuplot:elink. on Unix and AmigaOS systems, and :hp2.GNUPLOT.INI:ehp2. on 
other systems.  If this file is not found in the current directory, the 
program will look for it in the home directory (under AmigaOS, 
Atari(single)TOS, MS-DOS and OS/2, the environment variable :link reftype=hd res=34.gnuplot:elink. should 
contain the name of this directory).  Note&colon. if NOCWDRC is defined during the 
installation, :link reftype=hd res=34.gnuplot:elink. will not read from the current directory. 
:p.If the initialization file is found, :link reftype=hd res=34.gnuplot:elink. executes the commands in it. 
These may be any legal :link reftype=hd res=34.gnuplot:elink. commands, but typically they are limited to 
setting the terminal and defining frequently-used functions or variables. 
:h2 res=1239. Substitution
:p.Command-line substitution is specified by a system command enclosed in 
backquotes.  This command is spawned and the output it produces replaces 
the name of the command (and backquotes) on the command line.  Some 
implementations also support pipes;  see :link reftype=hd res=2358.plot data-file special-filenames:elink.. 
:p.Newlines in the output produced by the spawned command are replaced with 
blanks. 
:p.Command-line substitution can be used anywhere on the :link reftype=hd res=34.gnuplot:elink. command 
line, except inside strings delimited by single quotes. 
:p.Example&colon. 
:p.This will run the program :hp2.leastsq:ehp2. and replace :hp2.leastsq:ehp2. (including 
backquotes) on the command line with its output&colon. 
:p.      f(x) = :hp2.leastsq:ehp2.
.br
:p.or, in VMS 
:p.      f(x) = :hp2.run leastsq:ehp2.
.br
:p.These will generate labels with the current time and userid&colon. 
:p.      set label "generated on :hp2.date +%Y-%m-%d:ehp2.by :hp2.whoami:ehp2." at 1,1
.br
      set timestamp "generated on %Y-%m-%d by :hp2.whoami:ehp2."
.br
:p.:h2 res=1265. Syntax
:p.The general rules of syntax and punctuation in :link reftype=hd res=34.gnuplot:elink. are that keywords 
and options are order-dependent.  Options and any accompanying parameters are 
separated by spaces whereas lists and coordinates are separated by commas. 
Ranges are separated by colons and enclosed in brackets [], text and file 
names are enclosed in quotes, and a few miscellaneous things are enclosed 
in parentheses.  Braces {} are used for a few special purposes. 
:p.Commas are used to separate coordinates on the :link reftype=hd res=2973.set:elink. commands :link reftype=hd res=3030.arrow:elink., 
:link reftype=hd res=4140.key:elink., and :link reftype=hd res=4262.label:elink.; the list of variables being fitted (the list after the 
:hp2.via:ehp2. keyword on the :link reftype=hd res=1490.fit:elink. command); lists of discrete contours or the loop 
parameters which specify them on the :link reftype=hd res=3426.set cntrparam:elink. command; the arguments 
of the :link reftype=hd res=2973.set:elink. commands :link reftype=hd res=3584.dgrid3d:elink., :link reftype=hd res=3646.dummy:elink., :link reftype=hd res=4109.isosamples:elink., :link reftype=hd res=4679.offsets:elink., :link reftype=hd res=4711.origin:elink., 
:link reftype=hd res=4905.samples:elink., :link reftype=hd res=4932.size:elink., :hp2.time:ehp2., and :link reftype=hd res=7648.view:elink.; lists of tics or the loop parameters 
which specify them; the offsets for titles and axis labels; parametric 
functions to be used to calculate the x, y, and z coordinates on the :link reftype=hd res=2060.plot:elink., 
:link reftype=hd res=2869.replot:elink. and :link reftype=hd res=8368.splot:elink. commands; and the complete sets of keywords specifying 
individual plots (data sets or functions) on the :link reftype=hd res=2060.plot:elink., :link reftype=hd res=2869.replot:elink. and :link reftype=hd res=8368.splot:elink. 
commands. 
:p.Parentheses are used to delimit sets of explicit tics (as opposed to loop 
parameters) and to indicate computations in the :link reftype=hd res=2465.using:elink. filter of the :link reftype=hd res=1490.fit:elink., 
:link reftype=hd res=2060.plot:elink., :link reftype=hd res=2869.replot:elink. and :link reftype=hd res=8368.splot:elink. commands. 
:p.(Parentheses and commas are also used as usual in function notation.) 
:p.Brackets are used to delimit ranges, whether they are given on :link reftype=hd res=2973.set:elink., :link reftype=hd res=2060.plot:elink. 
or :link reftype=hd res=8368.splot:elink. commands. 
:p.Colons are used to separate extrema in :hp2.range:ehp2. specifications (whether they 
are given on :link reftype=hd res=2973.set:elink., :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. commands) and to separate entries in 
the :link reftype=hd res=2465.using:elink. filter of the :link reftype=hd res=2060.plot:elink., :link reftype=hd res=2869.replot:elink., :link reftype=hd res=8368.splot:elink. and :link reftype=hd res=1490.fit:elink. commands. 
:p.Semicolons are used to separate commands given on a single command line. 
:p.Braces are used in text to be specially processed by some terminals, like 
:link reftype=hd res=6466.postscript:elink..  They are also used to denote complex numbers&colon. {3,2} = 3 + 2i. 
:p.Text may be enclosed in single- or double-quotes.  Backslash processing of 
sequences like \n (newline) and \345 (octal character code) is performed for 
double-quoted strings, but not for single-quoted strings. 
:p.The justification is the same for each line of a multi-line string.  Thus the 
center-justified string 
:p.      "This is the first line of text.\nThis is the second line."
.br
will produce 
:p.                       This is the first line of text.
.br
                          This is the second line.
.br
but 
:p.      'This is the first line of text.\nThis is the second line.'
.br
will produce 
:p.          This is the first line of text.\nThis is the second line.
.br
:p.Filenames may be entered with either single- or double-quotes.  In this 
manual the command examples generally single-quote filenames and double-quote 
other string tokens for clarity. 
:p.At present you should not embed \n inside {} when using the enhanced option 
of the postscript terminal. 
:p.The EEPIC, Imagen, Uniplex, LaTeX, and TPIC drivers allow a newline to be 
specified by \\ in a single-quoted string or \\\\ in a double-quoted string. 
:p.Back-quotes are used to enclose system commands for substitution. 
:h2 res=1332. Time/Date data
:p.:link reftype=hd res=34.gnuplot:elink. supports the use of time and/or date information as input data. 
This feature is activated by the commands :hp2.set xdata time:ehp2., :hp2.set ydata time:ehp2., 
etc. 
:p.Internally all times and dates are converted to the number of seconds from 
the year 2000.  The command :link reftype=hd res=7488.set timefmt:elink. defines the format for all inputs&colon. 
data files, ranges, tics, label positions---in short, anything that accepts a 
data value must receive it in this format.  Since only one input format can 
be in force at a given time, all time/date quantities being input at the same 
time must be presented in the same format.  Thus if both x and y data in a 
file are time/date, they must be in the same format. 
:p.The conversion to and from seconds assumes Universal Time (which is the same 
as Greenwich Standard Time).  There is no provision for changing the time 
zone or for daylight savings.  If all your data refer to the same time zone 
(and are all either daylight or standard) you don't need to worry about these 
things.  But if the absolute time is crucial for your application, you'll 
need to convert to UT yourself. 
:p.Commands like :link reftype=hd res=7904.show xrange:elink. will re-interpret the integer according to 
:link reftype=hd res=7488.timefmt:elink..  If you change :link reftype=hd res=7488.timefmt:elink., and then :link reftype=hd res=2973.show:elink. the quantity again, it 
will be displayed in the new :link reftype=hd res=7488.timefmt:elink..  For that matter, if you give the 
deactivation command (like :link reftype=hd res=7761.set xdata:elink.), the quantity will be shown in its 
numerical form. 
:p.The command :link reftype=hd res=3695.set format:elink. defines the format that will be used for tic labels, 
whether or not the specified axis is time/date. 
:p.If time/date information is to be plotted from a file, the :link reftype=hd res=2465.using:elink. option 
_must_ be used on the :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. command.  These commands simply use 
white space to separate columns, but white space may be embedded within the 
time/date string.  If you use tabs as a separator, some trial-and-error may 
be necessary to discover how your system treats them. 
:p.The following example demonstrates time/date plotting. 
:p.Suppose the file "data" contains records like 
:p.:p.      03/21/95 10&colon.00  6.02e23
.br
:p.This file can be plotted by 
:p.:p.      set xdata time
.br
      set timefmt "%m/%d/%y"
.br
      set xrange ["03/21/95"&colon."03/22/95"]
.br
      set format x "%m/%d"
.br
      set timefmt "%m/%d/%y %H&colon.%M"
.br
      plot "data" using 1&colon.3
.br
:p.which will produce xtic labels that look like "03/21". 
:p.See the descriptions of each command for more details. 
:h1 res=1386. Commands
:p.This section lists the commands acceptable to :link reftype=hd res=34.gnuplot:elink. in alphabetical 
order.  Printed versions of this document contain all commands; on-line 
versions may not be complete.  Indeed, on some systems there may be no 
commands at all listed under this heading. 
:p.Note that in most cases unambiguous abbreviations for command names and their 
options are permissible, i.e., ":hp2.p f(x) w l:ehp2." instead of ":hp2.plot f(x) with 
lines:ehp2.". 
:p.In the syntax descriptions, braces ({}) denote optional arguments and a 
vertical bar (|) separates mutually exclusive choices. 
:h2 res=1399. cd
:p.The :link reftype=hd res=1399.cd:elink. command changes the working directory. 
:p.Syntax&colon. 
:p.      cd '<directory-name>'
.br
:p.The directory name must be enclosed in quotes. 
:p.Examples&colon. 
:p.      cd 'subdir'
.br
      cd ".."
.br
:p.DOS users _must_ use single-quotes---backslash [\] has special significance 
inside double-quotes.  For example, 
:p.      cd "c&colon.\newdata"
.br
fails, but 
:p.      cd 'c&colon.\newdata'
.br
works as expected. 
:h2 res=1419. call
:p.The :link reftype=hd res=1419.call:elink. command is identical to the load command with one exception&colon. you 
can have up to ten additional parameters to the command (delimited according 
to the standard parser rules) which can be substituted into the lines read 
from the file.  As each line is read from the :link reftype=hd res=1419.call:elink.ed input file, it is 
scanned for the sequence :hp2.$:ehp2. (dollar-sign) followed by a digit (0--9).  If 
found, the sequence is replaced by the corresponding parameter from the 
:link reftype=hd res=1419.call:elink. command line.  If the parameter was specified as a string in the 
:link reftype=hd res=1419.call:elink. line, it is substituted without its enclosing quotes.  :hp2.$:ehp2. followed by 
any character other than a digit will be that character.  E.g. use :hp2.$$:ehp2. to 
get a single :hp2.$:ehp2..  Providing more than ten parameters on the :link reftype=hd res=1419.call:elink. command 
line will cause an error.  A parameter that was not provided substitutes as 
nothing.  Files being :link reftype=hd res=1419.call:elink.ed may themselves contain :link reftype=hd res=1419.call:elink. or :link reftype=hd res=2007.load:elink. 
commands. 
:p.The :link reftype=hd res=1419.call:elink. command _must_ be the last command on a multi-command line. 
:p.Syntax&colon. 
:p.      call "<input-file>" <parameter-0> <parm-1> ... <parm-9>
.br
:p.The name of the input file must be enclosed in quotes, and it is recommended 
that parameters are similarly enclosed in quotes (future versions of gnuplot 
may treat quoted and unquoted arguments differently). 
:p.Example&colon. 
:p.If the file 'calltest.gp' contains the line&colon. 
:p.      print "p0=$0 p1=$1 p2=$2 p3=$3 p4=$4 p5=$5 p6=$6 p7=x$7x"
.br
:p.entering the command&colon. 
:p.      call 'calltest.gp' "abcd" 1.2 + "'quoted'" -- "$2"
.br
:p.will display&colon. 
:p.      p0=abcd p1=1.2 p2=+ p3='quoted' p4=- p5=- p6=$2 p7=xx
.br
:p.NOTE&colon. there is a clash in syntax with the datafile :link reftype=hd res=2465.using:elink. callback 
operator.  Use :hp2.$$n:ehp2. or :hp2.column(n):ehp2. to access column n from a datafile inside 
a :link reftype=hd res=1419.call:elink.ed datafile plot. 
:h2 res=1459. clear
:p.The :link reftype=hd res=1459.clear:elink. command erases the current screen or output device as specified 
by :link reftype=hd res=4724.set output:elink..  This usually generates a formfeed on hardcopy devices.  Use 
:link reftype=hd res=5284.set terminal:elink. to set the device type. 
:p.For some terminals :link reftype=hd res=1459.clear:elink. erases only the portion of the plotting surface 
defined by :link reftype=hd res=4932.set size:elink., so for these it can be used in conjunction with :hp2.set 
multiplot:ehp2. to create an inset. 
:p.Example&colon. 
:p.      set multiplot
.br
      plot sin(x)
.br
      set origin 0.5,0.5
.br
      set size 0.4,0.4
.br
      clear
.br
      plot cos(x)
.br
      set nomultiplot
.br
:p.Please see :link reftype=hd res=4540.set multiplot:elink., :link reftype=hd res=4932.set size:elink., and :link reftype=hd res=4711.set origin:elink. for details of these 
commands. 
:h2 res=1481. exit
:p.The commands :link reftype=hd res=1481.exit:elink. and :link reftype=hd res=2863.quit:elink. and the END-OF-FILE character will exit the 
current :link reftype=hd res=34.gnuplot:elink. command file and :link reftype=hd res=2007.load:elink. the next one.  See "help 
batch/interactive" for more details. 
:p.Each of these commands will clear the output device (as does the :link reftype=hd res=1459.clear:elink. 
command) before exiting. 
:h2 res=1490. fit
:p.The :link reftype=hd res=1490.fit:elink. command can fit a user-defined function to a set of data points 
(x,y) or (x,y,z), using an implementation of the nonlinear least-squares 
(NLLS) Marquardt-Levenberg algorithm.  Any user-defined variable occurring in 
the function body may serve as a fit parameter, but the return type of the 
function must be real. 
:p.Syntax&colon. 
:p.      fit {[xrange] {[yrange]}} <function> '<datafile>'
.br
          {datafile-modifiers}
.br
          via '<parameter file>' | <var1>{,<var2>,...}
.br
:p.Ranges may be specified to temporarily limit the data which is to be fitted; 
any out-of-range data points are ignored. The syntax is 
:p.      [{dummy_variable=}{<min>}{&colon.<max>}],
.br
analogous to :link reftype=hd res=2060.plot:elink.; see :link reftype=hd res=2643.plot ranges:elink.. 
:p.<function> is any valid :link reftype=hd res=34.gnuplot:elink. expression, although it is usual to use a 
previously user-defined function of the form f(x) or f(x,y). 
:p.<datafile> is treated as in the :link reftype=hd res=2060.plot:elink. command.  All the :link reftype=hd res=2098.plot datafile:elink. 
modifiers (:link reftype=hd res=2465.using:elink., :link reftype=hd res=2163.every:elink.,...) except :link reftype=hd res=2251.smooth:elink. are applicable to :link reftype=hd res=1490.fit:elink.. 
See :link reftype=hd res=2098.plot datafile:elink.. 
:p.The default data formats for fitting functions with a single independent 
variable, y=f(x), are {x&colon.}y or x&colon.y&colon.s; those formats can be changed with 
the datafile :link reftype=hd res=2465.using:elink. qualifier.  The third item, (a column number or an 
expression), if present, is interpreted as the standard deviation of the 
corresponding y value and is used to compute a weight for the datum, 1/s**2. 
Otherwise, all data points are weighted equally, with a weight of one. 
:p.To fit a function with two independent variables, z=f(x,y), the required 
format is :link reftype=hd res=2465.using:elink. with four items, x&colon.y&colon.z&colon.s.  The complete format must be 
given---no default columns are assumed for a missing token.  Weights for 
each data point are evaluated from 's' as above.  If error estimates are 
not available, a constant value can be specified as a constant expression 
(see :link reftype=hd res=2465.plot datafile using:elink.), e.g., :hp2.using 1&colon.2&colon.3&colon.(1):ehp2.. 
:p.Multiple datasets may be simultaneously fit with functions of one 
independent variable by making y a 'pseudo-variable', e.g., the dataline 
number, and fitting as two independent variables.  See :hp2.fit multibranch:ehp2.. 
:p.The :hp2.via:ehp2. qualifier specifies which parameters are to be adjusted, either 
directly, or by referencing a parameter file. 
:p.Examples&colon. 
:p.      f(x) = a*x**2 + b*x + c
.br
      g(x,y) = a*x**2 + b*y**2 + c*x*y
.br
      FIT_LIMIT = 1e-6
.br
      fit f(x) 'measured.dat' via 'start.par'
.br
      fit f(x) 'measured.dat' using 3&colon.($7-5) via 'start.par'
.br
      fit f(x) './data/trash.dat' using 1&colon.2&colon.3 via a, b, c
.br
      fit g(x,y) 'surface.dat' using 1&colon.2&colon.3&colon.(1) via a, b, c
.br
:p.After each iteration step, detailed information about the current state 
of the fit is written to the display.  The same information about the 
initial and final states is written to a log file, "fit.log".  This file 
is always appended to, so as to not lose any previous fit history;  it 
should be deleted or renamed as desired. 
:p.The fit may be interrupted by pressing Ctrl-C (any key but Ctrl-C under 
MSDOS and Atari Multitasking Systems).  After the current iteration 
completes, you have the option to (1) stop the fit and accept the current 
parameter values, (2) continue the fit, (3) execute a :link reftype=hd res=34.gnuplot:elink. command 
as specified by the environment variable FIT_SCRIPT.  The default for 
FIT_SCRIPT is :link reftype=hd res=2869.replot:elink., so if you had previously plotted both the data 
and the fitting function in one graph, you can display the current state 
of the fit. 
:p.Once :link reftype=hd res=1490.fit:elink. has finished, the :link reftype=hd res=8619.update:elink. command may be used to store final 
values in a file for subsequent use as a parameter file.   See :link reftype=hd res=8619.update:elink. 
for details. 
:h3 res=1566. adjustable parameters
:p.There are two ways that :hp2.via:ehp2. can specify the parameters to be adjusted, 
either directly on the command line or indirectly, by referencing a 
parameter file.  The two use different means to set initial values. 
:p.Adjustable parameters can be specified by a comma-separated list of variable 
names after the :hp2.via:ehp2. keyword.  Any variable that is not already defined 
is created with an initial value of 1.0.  However, the fit is more likely 
to converge rapidly if the variables have been previously declared with more 
appropriate starting values. 
:p.In a parameter file, each parameter to be varied and a corresponding initial 
value are specified, one per line, in the form 
:p.      varname = value
.br
:p.Comments, marked by '#', and blank lines are permissible.  The 
special form 
:p.      varname = value       # FIXED
.br
:p.means that the variable is treated as a 'fixed parameter', initialized by the 
parameter file, but not adjusted by :link reftype=hd res=1490.fit:elink..  For clarity, it may be useful to 
designate variables as fixed parameters so that their values are reported by 
:link reftype=hd res=1490.fit:elink..  The keyword :hp2.# FIXED:ehp2. has to appear in exactly this form. 
:p.:h3 res=1595. beginner's guide
:p.:link reftype=hd res=1490.fit:elink. is used to find a set of parameters that 'best' fits your data to your 
user-defined function.  The fit is judged on the basis of the the sum of the 
squared differences or 'residuals' (SSR) between the input data points and 
the function values, evaluated at the same places.  This quantity is often 
called 'chisquare' (i.e., the Greek letter chi, to the power of 2).  The 
algorithm attempts to minimize SSR, or more precisely, WSSR, as the residuals 
are 'weighted' by the input data errors (or 1.0) before being squared; see 
:hp2.fit error_estimates:ehp2. for details. 
:p.That's why it is called 'least-squares fitting'.  Let's look at an example 
to see what is meant by 'non-linear', but first we had better go over some 
terms.  Here it is convenient to use z as the dependent variable for 
user-defined functions of either one independent variable, z=f(x), or two 
independent variables, z=f(x,y).  A parameter is a user-defined variable 
that :link reftype=hd res=1490.fit:elink. will adjust, i.e., an unknown quantity in the function 
declaration.  Linearity/non-linearity refers to the relationship of the 
dependent variable, z, to the parameters which :link reftype=hd res=1490.fit:elink. is adjusting, not of 
z to the independent variables, x and/or y.  (To be technical, the 
second {and higher} derivatives of the fitting function with respect to 
the parameters are zero for a linear least-squares problem). 
:p.For linear least-squares (LLS), the user-defined function will be a sum of 
simple functions, not involving any parameters, each multiplied by one 
parameter.  NLLS handles more complicated functions in which parameters can 
be used in a large number of ways.  An example that illustrates the 
difference between linear and nonlinear least-squares is the Fourier series. 
One member may be written as 
:p.     z=a*sin(c*x) + b*cos(c*x).
.br
If a and b are the unknown parameters and c is constant, then estimating 
values of the parameters is a linear least-squares problem.  However, if 
c is an unknown parameter, the problem is nonlinear. 
:p.In the linear case, parameter values can be determined by comparatively 
simple linear algebra, in one direct step.  However LLS is a special case 
which is also solved along with more general NLLS problems by the iterative 
procedure that :link reftype=hd res=34.gnuplot:elink. uses.  :link reftype=hd res=1490.fit:elink. attempts to find the minimum by doing 
a search.  Each step (iteration) calculates WSSR with a new set of parameter 
values.  The Marquardt-Levenberg algorithm selects the parameter values for 
the next iteration.  The process continues until a preset criterium is met, 
either (1) the fit has "converged" (the relative change in WSSR is less than 
FIT_LIMIT), or (2) it reaches a preset iteration count limit, FIT_MAXITER 
(see :link reftype=hd res=1800.fit control variables:elink.).  The fit may also be interrupted 
and subsequently halted from the keyboard (see :link reftype=hd res=1490.fit:elink.). 
:p.Often the function to be fitted will be based on a model (or theory) that 
attempts to describe or predict the behaviour of the data.  Then :link reftype=hd res=1490.fit:elink. can 
be used to find values for the free parameters of the model, to determine 
how well the data fits the model, and to estimate an error range for each 
parameter.  See :hp2.fit error_estimates:ehp2.. 
:p.Alternatively, in curve-fitting, functions are selected independent of 
a model (on the basis of experience as to which are likely to describe 
the trend of the data with the desired resolution and a minimum number 
of parameters*functions.)  The :link reftype=hd res=1490.fit:elink. solution then provides an analytic 
representation of the curve. 
:p.However, if all you really want is a smooth curve through your data points, 
the :link reftype=hd res=2251.smooth:elink. option to :link reftype=hd res=2060.plot:elink. may be what you've been looking for rather 
than :link reftype=hd res=1490.fit:elink.. 
:h3 res=1659. error estimates
:p.In :link reftype=hd res=1490.fit:elink., the term "error" is used in two different contexts, data error 
estimates and parameter error estimates. 
:p.Data error estimates are used to calculate the relative weight of each data 
point when determining the weighted sum of squared residuals, WSSR or 
chisquare.  They can affect the parameter estimates, since they determine 
how much influence the deviation of each data point from the fitted function 
has on the final values.  Some of the :link reftype=hd res=1490.fit:elink. output information, including 
the parameter error estimates, is more meaningful if accurate data error 
estimates have been provided. 
:p.The 'statistical overview' describes some of the :link reftype=hd res=1490.fit:elink. output and gives some 
background for the 'practical guidelines'. 
:h4 res=1676. statistical overview
:p.The theory of non-linear least-squares (NLLS) is generally described in terms 
of a normal distribution of errors, that is, the input data is assumed to be 
a sample from a population having a given mean and a Gaussian (normal) 
distribution about the mean with a given standard deviation.  For a sample of 
sufficiently large size, and knowing the population standard deviation, one 
can use the statistics of the chisquare distribution to describe a "goodness 
of fit" by looking at the variable often called "chisquare".  Here, it is 
sufficient to say that a reduced chisquare (chisquare/degrees of freedom, 
where degrees of freedom is the number of datapoints less the number of 
parameters being fitted) of 1.0 is an indication that the weighted sum of 
squared deviations between the fitted function and the data points is the 
same as that expected for a random sample from a population characterized by 
the function with the current value of the parameters and the given standard 
deviations. 
:p.If the standard deviation for the population is not constant, as in counting 
statistics where variance = counts, then each point should be individually 
weighted when comparing the observed sum of deviations and the expected sum 
of deviations. 
:p.At the conclusion :link reftype=hd res=1490.fit:elink. reports 'stdfit', the standard deviation of the fit, 
which is the rms of the residuals, and the variance of the residuals, also 
called 'reduced chisquare' when the data points are weighted.  The number of 
degrees of freedom (the number of data points minus the number of fitted 
parameters) is used in these estimates because the parameters used in 
calculating the residuals of the datapoints were obtained from the same data. 
:p.To estimate confidence levels for the parameters, one can use the minimum 
chisquare obtained from the fit and chisquare statistics to determine the 
value of chisquare corresponding to the desired confidence level, but 
considerably more calculation is required to determine the combinations of 
parameters which produce such values. 
:p.Rather than determine confidence intervals, :link reftype=hd res=1490.fit:elink. reports parameter error 
estimates which are readily obtained from the variance-covariance matrix 
after the final iteration.  By convention, these estimates are called 
"standard errors" or "asymptotic standard errors", since they are calculated 
in the same way as the standard errors (standard deviation of each parameter) 
of a linear least-squares problem, even though the statistical conditions for 
designating the quantity calculated to be a standard deviation are not 
generally valid for the NLLS problem.  The asymptotic standard errors are 
generally over-optimistic and should not be used for determining confidence 
levels, but are useful for qualitative purposes. 
:p.The final solution also produces a correlation matrix, which gives an 
indication of the correlation of parameters in the region of the solution; 
if one parameter is changed, increasing chisquare, does changing another 
compensate?  The main diagonal elements, autocorrelation, are all 1; if 
all parameters were independent, all other elements would be nearly 0.  Two 
variables which completely compensate each other would have an off-diagonal 
element of unit magnitude, with a sign depending on whether the relation is 
proportional or inversely proportional.  The smaller the magnitudes of the 
off-diagonal elements, the closer the estimates of the standard deviation 
of each parameter would be to the asymptotic standard error. 
:h4 res=1734. practical guidelines
:p.If you have a basis for assigning weights to each data point, doing so lets 
you make use of additional knowledge about your measurements, e.g., take into 
account that some points may be more reliable than others.  That may affect 
the final values of the parameters. 
:p.Weighting the data provides a basis for interpreting the additional :link reftype=hd res=1490.fit:elink. 
output after the last iteration.  Even if you weight each point equally, 
estimating an average standard deviation rather than using a weight of 1 
makes WSSR a dimensionless variable, as chisquare is by definition. 
:p.Each fit iteration will display information which can be used to evaluate 
the progress of the fit.  (An '*' indicates that it did not find a smaller 
WSSR and is trying again.)  The 'sum of squares of residuals', also called 
'chisquare', is the WSSR between the data and your fitted function; :link reftype=hd res=1490.fit:elink. 
has minimized that.  At this stage, with weighted data, chisquare is expected 
to approach the number of degrees of freedom (data points minus parameters). 
The WSSR can be used to calculate the reduced chisquare (WSSR/ndf) or stdfit, 
the standard deviation of the fit, sqrt(WSSR/ndf).  Both of these are 
reported for the final WSSR. 
:p.If the data are unweighted, stdfit is the rms value of the deviation of the 
data from the fitted function, in user units. 
:p.If you supplied valid data errors, the number of data points is large enough, 
and the model is correct, the reduced chisquare should be about unity.  (For 
details, look up the 'chi-squared distribution' in your favourite statistics 
reference.)  If so, there are additional tests, beyond the scope of this 
overview, for determining how well the model fits the data. 
:p.A reduced chisquare much larger than 1.0 may be due to incorrect data error 
estimates, data errors not normally distributed, systematic measurement 
errors, 'outliers', or an incorrect model function.  A plot of the residuals, 
e.g., :hp2.plot 'datafile' using 1&colon.($2-f($1)):ehp2., may help to show any systematic 
trends.  Plotting both the data points and the function may help to suggest 
another model. 
:p.Similarly, a reduced chisquare less than 1.0 indicates WSSR is less than that 
expected for a random sample from the function with normally distributed 
errors.  The data error estimates may be too large, the statistical 
assumptions may not be justified, or the model function may be too general, 
fitting fluctuations in a particular sample in addition to the underlying 
trends.  In the latter case, a simpler function may be more appropriate. 
:p.You'll have to get used to both :link reftype=hd res=1490.fit:elink. and the kind of problems you apply it 
to before you can relate the standard errors to some more practical estimates 
of parameter uncertainties or evaluate the significance of the correlation 
matrix. 
:p.Note that :link reftype=hd res=1490.fit:elink., in common with most NLLS implementations, minimizes the 
weighted sum of squared distances (y-f(x))**2.  It does not provide any means 
to account for "errors" in the values of x, only in y.  Also, any "outliers" 
(data points outside the normal distribution of the model) will have an 
exaggerated effect on the solution. 
:h3 res=1792. fit controlling
:p.There are a number of :link reftype=hd res=34.gnuplot:elink. variables that can be defined to affect 
:link reftype=hd res=1490.fit:elink..  Those which can be defined once :link reftype=hd res=34.gnuplot:elink. is running are listed 
under 'control_variables' while those defined before starting :link reftype=hd res=34.gnuplot:elink. 
are listed under 'environment_variables'. 
:h4 res=1800. control variables
:p.The default epsilon limit (1e-5) may be changed by declaring a value for 
:p.      FIT_LIMIT
.br
When the sum of squared residuals changes between two iteration steps by 
a factor less than this number (epsilon), the fit is considered to have 
'converged'. 
:p.The maximum number of iterations may be limited by declaring a value for 
:p.      FIT_MAXITER
.br
A value of 0 (or not defining it at all)  means that there is no limit. 
:p.If you need even more control about the algorithm, and know the 
Marquardt-Levenberg algorithm well, there are some more variables to 
influence it. The startup value of :hp2.lambda:ehp2. is normally calculated 
automatically from the ML-matrix, but if you want to, you may provide 
your own one with 
:p.      FIT_START_LAMBDA
.br
Specifying FIT_START_LAMBDA as zero or less will re-enable the automatic 
selection. The variable 
:p.      FIT_LAMBDA_FACTOR
.br
gives the factor by which :hp2.lambda:ehp2. is increased or decreased whenever 
the chi-squared target function increased or decreased significantly. 
Setting FIT_LAMBDA_FACTOR to zero re-enables the default factor of 
10.0. 
:p.Other variables with the FIT_ prefix may be added to :link reftype=hd res=1490.fit:elink., so it is safer 
not to use that prefix for user-defined variables. 
:p.The variables FIT_SKIP and FIT_INDEX were used by earlier releases of 
:link reftype=hd res=34.gnuplot:elink. with a 'fit' patch called :hp2.gnufit:ehp2. and are no longer available. 
The datafile :link reftype=hd res=2163.every:elink. modifier provides the functionality of FIT_SKIP. 
FIT_INDEX was used for multi-branch fitting, but multi-branch fitting of 
one independent variable is now done as a pseudo-3D fit in which the 
second independent variable and :link reftype=hd res=2465.using:elink. are used to specify the branch. 
See :link reftype=hd res=1853.fit multi-branch:elink.. 
:h4 res=1838. environment variables
:p.The environment variables must be defined before :link reftype=hd res=34.gnuplot:elink. is executed; how 
to do so depends on your operating system. 
:p.:p.      FIT_LOG
.br
changes the name (and/or path) of the file to which the fit log will be 
written from the default of "fit.log" in the working directory. 
:p.:p.      FIT_SCRIPT
.br
specifies a command that may be executed after an user interrupt. The default 
is :link reftype=hd res=2869.replot:elink., but a :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=2007.load:elink. command may be useful to display a plot 
customized to highlight the progress of the fit. 
:h3 res=1853. multi-branch
:p.In multi-branch fitting, multiple data sets can be simultaneously fit with 
functions of one independent variable having common parameters by minimizing 
the total WSSR.  The function and parameters (branch) for each data set are 
selected by using a 'pseudo-variable', e.g., either the dataline number (a 
'column' index of -1) or the datafile index (-2), as the second independent 
variable. 
:p.Example&colon.  Given two exponential decays of the form, z=f(x), each describing 
a different data set but having a common decay time, estimate the values of 
the parameters.  If the datafile has the format x&colon.z&colon.s, then 
:p.     f(x,y) = (y==0) ? a*exp(-x/tau) &colon. b*exp(-x/tau)
.br
     fit f(x,y) 'datafile' using  1&colon.-1&colon.2&colon.3  via a, b, tau
.br
:p.For a more complicated example, see the file "hexa.fnc" used by the 
"fit.dem" demo. 
:p.Appropriate weighting may be required since unit weights may cause one 
branch to predominate if there is a difference in the scale of the dependent 
variable.  Fitting each branch separately, using the multi-branch solution 
as initial values, may give an indication as to the relative effect of each 
branch on the joint solution. 
:h3 res=1879. starting values
:p.Nonlinear fitting is not guaranteed to converge to the global optimum (the 
solution with the smallest sum of squared residuals, SSR), and can get stuck 
at a local minimum.  The routine has no way to determine that;  it is up to 
you to judge whether this has happened. 
:p.:link reftype=hd res=1490.fit:elink. may, and often will get "lost" if started far from a solution, where 
SSR is large and changing slowly as the parameters are varied, or it may 
reach a numerically unstable region (e.g., too large a number causing a 
floating point overflow) which results in an "undefined value" message 
or :link reftype=hd res=34.gnuplot:elink. halting. 
:p.To improve the chances of finding the global optimum, you should set the 
starting values at least roughly in the vicinity of the solution, e.g., 
within an order of magnitude, if possible.  The closer your starting values 
are to the solution, the less chance of stopping at another minimum.  One way 
to find starting values is to plot data and the fitting function on the same 
graph and change parameter values and :link reftype=hd res=2869.replot:elink. until reasonable similarity 
is reached.  The same plot is also useful to check whether the fit stopped at 
a minimum with a poor fit. 
:p.Of course, a reasonably good fit is not proof there is not a "better" fit (in 
either a statistical sense, characterized by an improved goodness-of-fit 
criterion, or a physical sense, with a solution more consistent with the 
model.)  Depending on the problem, it may be desirable to :link reftype=hd res=1490.fit:elink. with various 
sets of starting values, covering a reasonable range for each parameter. 
:h3 res=1908. tips
:p.Here are some tips to keep in mind to get the most out of :link reftype=hd res=1490.fit:elink..  They're not 
very organized, so you'll have to read them several times until their essence 
has sunk in. 
:p.The two forms of the :hp2.via:ehp2. argument to :link reftype=hd res=1490.fit:elink. serve two largely distinct 
purposes.  The :hp2.via "file":ehp2. form is best used for (possibly unattended) batch 
operation, where you just supply the startup values in a file and can later 
use :link reftype=hd res=8619.update:elink. to copy the results back into another (or the same) parameter 
file. 
:p.The :hp2.via var1, var2, ...:ehp2. form is best used interactively, where the command 
history mechanism may be used to edit the list of parameters to be fitted or 
to supply new startup values for the next try.  This is particularly useful 
for hard problems, where a direct fit to all parameters at once won't work 
without good starting values.  To find such, you can iterate several times, 
fitting only some of the parameters, until the values are close enough to the 
goal that the final fit to all parameters at once will work. 
:p.Make sure that there is no mutual dependency among parameters of the function 
you are fitting.  For example, don't try to fit a*exp(x+b), because 
a*exp(x+b)=a*exp(b)*exp(x).  Instead, fit either a*exp(x) or exp(x+b). 
:p.A technical issue&colon.  the parameters must not be too different in magnitude. 
The larger the ratio of the largest and the smallest absolute parameter 
values, the slower the fit will converge.  If the ratio is close to or above 
the inverse of the machine floating point precision, it may take next to 
forever to converge, or refuse to converge at all.  You will have to adapt 
your function to avoid this, e.g., replace 'parameter' by '1e9*parameter' in 
the function definition, and divide the starting value by 1e9. 
:p.If you can write your function as a linear combination of simple functions 
weighted by the parameters to be fitted, by all means do so.  That helps a 
lot, because the problem is no longer nonlinear and should converge with only 
a small number of iterations, perhaps just one. 
:p.Some prescriptions for analysing data, given in practical experimentation 
courses, may have you first fit some functions to your data, perhaps in a 
multi-step process of accounting for several aspects of the underlying 
theory one by one, and then extract the information you really wanted from 
the fitting parameters of those functions.  With :link reftype=hd res=1490.fit:elink., this may often be 
done in one step by writing the model function directly in terms of the 
desired parameters.  Transforming data can also quite often be avoided, 
though sometimes at the cost of a more difficult fit problem.  If you think 
this contradicts the previous paragraph about simplifying the fit function, 
you are correct. 
:p.A "singular matrix" message indicates that this implementation of the 
Marquardt-Levenberg algorithm can't calculate parameter values for the next 
iteration.  Try different starting values, writing the function in another 
form, or a simpler function. 
:p.Finally, a nice quote from the manual of another fitting package (fudgit), 
that kind of summarizes all these issues&colon.  "Nonlinear fitting is an art!" 
:h2 res=1965. help
:p.The :link reftype=hd res=1965.help:elink. command displays on-line help. To specify information on a 
particular topic use the syntax&colon. 
:p.:p.      help {<topic>}
.br
:p.If <topic> is not specified, a short message is printed about :link reftype=hd res=34.gnuplot:elink.. 
After help for the requested topic is given, a menu of subtopics is given; 
help for a subtopic may be requested by typing its name, extending the help 
request.  After that subtopic has been printed, the request may be extended 
again or you may go back one level to the previous topic.  Eventually, the 
:link reftype=hd res=34.gnuplot:elink. command line will return. 
:p.If a question mark (?) is given as the topic, the list of topics currently 
available is printed on the screen. 
:h2 res=1982. if
:p.The :link reftype=hd res=1982.if:elink. command allows commands to be executed conditionally. 
:p.Syntax&colon. 
:p.      if (<condition>) <command-line>
.br
:p.<condition> will be evaluated.  If it is true (non-zero), then the command(s) 
of the <command-line> will be executed.  If <condition> is false (zero), then 
the entire <command-line> is ignored.  Note that use of :hp2.;:ehp2. to allow multiple 
commands on the same line will _not_ end the conditionalized commands. 
:p.Examples&colon. 
:p.      pi=3
.br
      if (pi!=acos(-1)) print "?Fixing pi!"; pi=acos(-1); print pi
.br
will display&colon. 
:p.      ?Fixing pi!
.br
      3.14159265358979
.br
but 
:p.      if (1==2) print "Never see this"; print "Or this either"
.br
will not display anything. 
:p.See :link reftype=hd res=2898.reread:elink. for an example of how :link reftype=hd res=1982.if:elink. and :link reftype=hd res=2898.reread:elink. can be used together to 
perform a loop. 
:h2 res=2007. load
:p.The :link reftype=hd res=2007.load:elink. command executes each line of the specified input file as if it 
had been typed in interactively.  Files created by the :link reftype=hd res=2950.save:elink. command can 
later be :link reftype=hd res=2007.load:elink.ed.  Any text file containing valid commands can be created 
and then executed by the :link reftype=hd res=2007.load:elink. command.  Files being :link reftype=hd res=2007.load:elink.ed may themselves 
contain :link reftype=hd res=2007.load:elink. or :link reftype=hd res=1419.call:elink. commands.  See :hp2.comment:ehp2. for information about 
comments in commands.  To :link reftype=hd res=2007.load:elink. with arguments, see :link reftype=hd res=1419.call:elink.. 
:p.The :link reftype=hd res=2007.load:elink. command _must_ be the last command on a multi-command line. 
:p.Syntax&colon. 
:p.      load "<input-file>"
.br
:p.The name of the input file must be enclosed in quotes. 
:p.The special filename "-" may be used to :link reftype=hd res=2007.load:elink. commands from standard input. 
This allows a :link reftype=hd res=34.gnuplot:elink. command file to accept some commands from standard 
input.  Please see "help batch/interactive" for more details. 
:p.Examples&colon. 
:p.      load 'work.gnu'
.br
      load "func.dat"
.br
:p.The :link reftype=hd res=2007.load:elink. command is performed implicitly on any file names given as 
arguments to :link reftype=hd res=34.gnuplot:elink..  These are loaded in the order specified, and 
then :link reftype=hd res=34.gnuplot:elink. exits. 
:h2 res=2035. pause
:p.The :link reftype=hd res=2035.pause:elink. command displays any text associated with the command and then 
waits a specified amount of time or until the carriage return is pressed. 
:link reftype=hd res=2035.pause:elink. is especially useful in conjunction with :link reftype=hd res=2007.load:elink. files. 
:p.Syntax&colon. 
:p.      pause <time> {"<string>"}
.br
:p.<time> may be any integer constant or expression.  Choosing -1 will wait 
until a carriage return is hit, zero (0) won't pause at all, and a positive 
integer will wait the specified number of seconds.  :hp2.pause 0:ehp2. is synonymous 
with :link reftype=hd res=2848.print:elink.. 
:p.Note&colon. Since :link reftype=hd res=2035.pause:elink. communicates with the operating system rather than the 
graphics, it may behave differently with different device drivers (depending 
upon how text and graphics are mixed). 
:p.Examples&colon. 
:p.      pause -1    # Wait until a carriage return is hit
.br
      pause 3     # Wait three seconds
.br
      pause -1  "Hit return to continue"
.br
      pause 10  "Isn't this pretty?  It's a cubic spline."
.br
:p.:h2 res=2060. plot
:p.:link reftype=hd res=2060.plot:elink. is the primary command for drawing plots with :link reftype=hd res=34.gnuplot:elink..  It creates 
plots of functions and data in many, many ways.  :link reftype=hd res=2060.plot:elink. is used to draw 2-d 
functions and data; :link reftype=hd res=8368.splot:elink. draws 2-d projections of 3-d surfaces and data. 
:link reftype=hd res=2060.plot:elink. and :link reftype=hd res=8368.splot:elink. contain many common features; see :link reftype=hd res=8368.splot:elink. for differences. 
Note specifically that :link reftype=hd res=8368.splot:elink.'s :link reftype=hd res=8452.binary:elink. and :link reftype=hd res=8542.matrix:elink. options do not exist 
for :link reftype=hd res=2060.plot:elink.. 
:p.Syntax&colon. 
:p.      plot {<ranges>}
.br
           {<function> | {"<datafile>" {datafile-modifiers}}}
.br
           {axes <axes>} {<title-spec>} {with <style>}
.br
           {, {definitions,} <function> ...}
.br
:p.where either a <function> or the name of a data file enclosed in quotes is 
supplied.  A function is a mathematical expression or a pair of mathematical 
expressions in parametric mode.  The expressions may be defined completely or 
in part earlier in the stream of :link reftype=hd res=34.gnuplot:elink. commands (see :link reftype=hd res=1119.user-defined:elink.). 
:p.It is also possible to define functions and parameters on the :link reftype=hd res=2060.plot:elink. command 
itself.  This is done merely by isolating them from other items with commas. 
:p.There are four possible sets of axes available; the keyword <axes> is used to 
select the axes for which a particular line should be scaled.  :hp2.x1y1:ehp2. refers 
to the axes on the bottom and left; :hp2.x2y2:ehp2. to those on the top and right; 
:hp2.x1y2:ehp2. to those on the bottom and right; and :hp2.x2y1:ehp2. to those on the top and 
left.  Ranges specified on the :link reftype=hd res=2060.plot:elink. command apply only to the first set of 
axes (bottom left). 
:p.Examples&colon. 
:p.      plot sin(x)
.br
      plot f(x) = sin(x*a), a = .2, f(x), a = .4, f(x)
.br
      plot [t=1&colon.10] [-pi&colon.pi*2] tan(t), \
.br
           "data.1" using (tan($2))&colon.($3/$4) smooth csplines \
.br
                    axes x1y2 notitle with lines 5
.br
:p.:h3 res=2098. data-file
:p.Discrete data contained in a file can be displayed by specifying the name of 
the data file (enclosed in single or double quotes) on the :link reftype=hd res=2060.plot:elink. command line. 
:p.Syntax&colon. 
:p.      plot '<file_name>' {index <index list>}
.br
                            {every <every list>}
.br
                            {thru <thru expression>}
.br
                            {using <using list>}
.br
                            {smooth <option>}
.br
:p.The modifiers :link reftype=hd res=2228.index:elink., :link reftype=hd res=2163.every:elink., :link reftype=hd res=2441.thru:elink., :link reftype=hd res=2465.using:elink., and :link reftype=hd res=2251.smooth:elink. are discussed 
separately.  In brief, :link reftype=hd res=2228.index:elink. selects which data sets in a multi-data-set 
file are to be plotted, :link reftype=hd res=2163.every:elink. specifies which points within a single data 
set are to be plotted, :link reftype=hd res=2465.using:elink. determines how the columns within a single 
record are to be interpreted (:link reftype=hd res=2441.thru:elink. is a special case of :link reftype=hd res=2465.using:elink.), and 
:link reftype=hd res=2251.smooth:elink. allows for simple interpolation and approximation.  ('splot' has a 
similar syntax, but does not support the :link reftype=hd res=2251.smooth:elink. and :link reftype=hd res=2441.thru:elink. options.) 
:p.Data files should contain at least one data point per record (:link reftype=hd res=2465.using:elink. can 
select one data point from the record).  Records beginning with :hp2.#:ehp2. (and 
also with :hp2.!:ehp2. on VMS) will be treated as comments and ignored.  Each data 
point represents an (x,y) pair.  For :link reftype=hd res=2060.plot:elink.s with error bars (see :hp2.set style 
errorbars:ehp2.), each data point is (x,y,ydelta), (x,y,ylow,yhigh), (x,y,xdelta), 
(x,y,xlow,xhigh), or (x,y,xlow,xhigh,ylow,yhigh).  In all cases, the numbers 
on each record of a data file must be separated by white space (one or more 
blanks or tabs), unless a format specifier is provided by the :link reftype=hd res=2465.using:elink. option. 
This white space divides each record into columns. 
:p.Data may be written in exponential format with the exponent preceded by the 
letter e, E, d, D, q, or Q. 
:p.Only one column (the y value) need be provided.  If x is omitted, :link reftype=hd res=34.gnuplot:elink. 
provides integer values starting at 0. 
:p.In datafiles, blank records (records with no characters other than blanks and 
a newline and/or carriage return) are significant---pairs of blank records 
separate :link reftype=hd res=2228.index:elink.es (see :link reftype=hd res=2228.plot datafile index:elink.).  Data separated by double 
blank records are treated as if they were in separate data files. 
:p.Single blank records designate discontinuities in a :link reftype=hd res=2060.plot:elink.; no line will join 
points separated by a blank records (if they are plotted with a line style). 
:p.If autoscaling has been enabled (:link reftype=hd res=3102.set autoscale:elink.), the axes are automatically 
extended to include all datapoints, with a whole number of tic marks if tics 
are being drawn.  This has two consequences&colon. i) For :link reftype=hd res=8368.splot:elink., the corner of 
the surface may not coincide with the corner of the base.  In this case, no 
vertical line is drawn.  ii) When plotting data with the same x range on a 
dual-axis graph, the x coordinates may not coincide if the x2tics are not 
being drawn.  This is because the x axis has been autoextended to a whole 
number of tics, but the x2 axis has not.  The following example illustrates 
the problem&colon. 
:p.:p.      reset; plot '-', '-'
.br
      1 1
.br
      19 19
.br
      e
.br
      1 1
.br
      19 19
.br
      e
.br
:h4 res=2163. every
:p.The :link reftype=hd res=2163.every:elink. keyword allows a periodic sampling of a data set to be plotted. 
:p.In the discussion a "point" is a datum defined by a single record in the 
file; "block" here will mean the same thing as "datablock" (see :link reftype=hd res=1159.glossary:elink.). 
:p.Syntax&colon. 
:p.      plot 'file' every {<point_incr>}
.br
                          {&colon.{<block_incr>}
.br
                            {&colon.{<start_point>}
.br
                              {&colon.{<start_block>}
.br
                                {&colon.{<end_point>}
.br
                                  {&colon.<end_block>}}}}}
.br
:p.The data points to be plotted are selected according to a loop from 
<:hp2.start_point:ehp2.> to <:hp2.end_point:ehp2.> with increment <:hp2.point_incr:ehp2.> and the 
blocks according to a loop from <:hp2.start_block:ehp2.> to <:hp2.end_block:ehp2.> with 
increment <:hp2.block_incr:ehp2.>. 
:p.The first datum in each block is numbered '0', as is the first block in the 
file. 
:p.Note that records containing unplottable information are counted. 
:p.Any of the numbers can be omitted; the increments default to unity, the start 
values to the first point or block, and the end values to the last point or 
block.  If :link reftype=hd res=2163.every:elink. is not specified, all points in all lines are plotted. 
:p.Examples&colon. 
:p.      every &colon.&colon.&colon.3&colon.&colon.3    # selects just the fourth block ('0' is first)
.br
      every &colon.&colon.&colon.&colon.&colon.9     # selects the first 10 blocks
.br
      every 2&colon.2        # selects every other point in every other block
.br
      every &colon.&colon.5&colon.&colon.15    # selects points 5 through 15 in each block
.br
:h4 res=2205. example datafile
:p.This example plots the data in the file "population.dat" and a theoretical 
curve&colon. 
:p.:p.      pop(x) = 103*exp((1965-x)/10)
.br
      plot [1960&colon.1990] 'population.dat', pop(x)
.br
:p.The file "population.dat" might contain&colon. 
:p.:p.      # Gnu population in Antarctica since 1965
.br
         1965   103
.br
         1970   55
.br
         1975   34
.br
         1980   24
.br
         1985   10
.br
:p.:h4 res=2228. index
:p.The :link reftype=hd res=2228.index:elink. keyword allows only some of the data sets in a multi-data-set 
file to be plotted. 
:p.Syntax&colon. 
:p.      plot 'file' index <m>{{&colon.<n>}&colon.<p>}
.br
:p.Data sets are separated by pairs of blank records.  :hp2.index <m>:ehp2. selects only 
set <m>; :hp2.index <m>&colon.<n>:ehp2. selects sets in the range <m> to <n>; and :link reftype=hd res=2228.index 
<m>&colon.<n>&colon.<p>:elink. selects indices <m>, <m>+<p>, <m>+2<p>, etc., but stopping at 
<n>.  Following C indexing, the index 0 is assigned to the first data set in 
the file.  Specifying too large an index results in an error message.  If 
:link reftype=hd res=2228.index:elink. is not specified, all sets are plotted as a single data set. 
:p.Example&colon. 
:p.      plot 'file' index 4&colon.5
.br
:h4 res=2251. smooth
:p.:link reftype=hd res=34.gnuplot:elink. includes a few general-purpose routines for interpolation and 
approximation of data; these are grouped under the :link reftype=hd res=2251.smooth:elink. option.  More 
sophisticated data processing may be performed by preprocessing the data 
externally or by using :link reftype=hd res=1490.fit:elink. with an appropriate model. 
:p.Syntax&colon. 
:p.      smooth {unique | csplines | acsplines | bezier | sbezier}
.br
:p.:link reftype=hd res=2345.unique:elink. plots the data after making them monotonic.  Each of the other 
routines uses the data to determine the coefficients of a continuous curve 
between the endpoints of the data.  This curve is then plotted in the same 
manner as a function, that is, by finding its value at uniform intervals 
along the abscissa (see :link reftype=hd res=4905.set samples:elink.) and connecting these points with 
straight line segments (if a line style is chosen). 
:p.If :link reftype=hd res=3102.autoscale:elink. is in effect, the ranges will be computed such that the 
plotted curve lies within the borders of the graph. 
:p.If too few points are available to allow the selected option to be applied, 
an error message is produced.  The minimum number is one for :link reftype=hd res=2345.unique:elink., four 
for :link reftype=hd res=2281.acsplines:elink., and three for the others. 
:p.The :link reftype=hd res=2251.smooth:elink. options have no effect on function plots. 
:h5 res=2281. acsplines
:p.The :link reftype=hd res=2281.acsplines:elink. option approximates the data with a "natural smoothing spline". 
After the data are made monotonic in x (see :link reftype=hd res=2345.smooth unique:elink.), a curve is 
piecewise constructed from segments of cubic polynomials whose coefficients 
are found by the weighting the data points; the weights are taken from the 
third column in the data file.  That default can be modified by the third 
entry in the :link reftype=hd res=2465.using:elink. list, e.g., 
:p.      plot 'data-file' using 1&colon.2&colon.(1.0) smooth acsplines
.br
:p.Qualitatively, the absolute magnitude of the weights determines the number 
of segments used to construct the curve.  If the weights are large, the 
effect of each datum is large and the curve approaches that produced by 
connecting consecutive points with natural cubic splines.  If the weights are 
small, the curve is composed of fewer segments and thus is smoother; the 
limiting case is the single segment produced by a weighted linear least 
squares fit to all the data.  The smoothing weight can be expressed in terms 
of errors as a statistical weight for a point divided by a "smoothing factor" 
for the curve so that (standard) errors in the file can be used as smoothing 
weights. 
:p.Example&colon. 
:p.      sw(x,S)=1/(x*x*S)
.br
      plot 'data_file' using 1&colon.2&colon.(sw($3,100)) smooth acsplines
.br
:h5 res=2312. bezier
:p.The :link reftype=hd res=2312.bezier:elink. option approximates the data with a Bezier curve of degree n 
(the number of data points) that connects the endpoints. 
:h5 res=2323. csplines
:p.The :link reftype=hd res=2323.csplines:elink. option connects consecutive points by natural cubic splines 
after rendering the data monotonic (see :link reftype=hd res=2345.smooth unique:elink.). 
:h5 res=2334. sbezier
:p.The :link reftype=hd res=2334.sbezier:elink. option first renders the data monotonic (:link reftype=hd res=2345.unique:elink.) and then 
applies the :link reftype=hd res=2312.bezier:elink. algorithm. 
:h5 res=2345. unique
:p.The :link reftype=hd res=2345.unique:elink. option makes the data monotonic in x; points with the same 
x-value are replaced by a single point having the average y-value.  The 
resulting points are then connected by straight line segments. 
:h4 res=2358. special-filenames
:p.A special filename of :hp2.'-':ehp2. specifies that the data are inline; i.e., they 
follow the command.  Only the data follow the command; :link reftype=hd res=2060.plot:elink. options like 
filters, titles, and line styles remain on the 'plot' command line.  This is 
similar to << in unix shell script, and $DECK in VMS DCL.  The data are 
entered as though they are being read from a file, one data point per record. 
The letter "e" at the start of the first column terminates data entry.  The 
:link reftype=hd res=2465.using:elink. option can be applied to these data---using it to filter them through 
a function might make sense, but selecting columns probably doesn't! 
:p.:hp2.'-':ehp2. is intended for situations where it is useful to have data and commands 
together, e.g., when :link reftype=hd res=34.gnuplot:elink. is run as a sub-process of some front-end 
application.  Some of the demos, for example, might use this feature.  While 
:link reftype=hd res=2060.plot:elink. options such as :link reftype=hd res=2228.index:elink. and :link reftype=hd res=2163.every:elink. are recognized, their use forces 
you to enter data that won't be used.  For example, while 
:p.:p.      plot '-' index 0, '-' index 1
.br
      2
.br
      4
.br
      6
.br
:p.:p.:p.      10
.br
      12
.br
      14
.br
      e
.br
      2
.br
      4
.br
      6
.br
:p.:p.:p.      10
.br
      12
.br
      14
.br
      e
.br
:p.does indeed work, 
:p.:p.      plot '-', '-'
.br
      2
.br
      4
.br
      6
.br
      e
.br
      10
.br
      12
.br
      14
.br
      e
.br
:p.is a lot easier to type. 
:p.If you use :hp2.'-':ehp2. with :link reftype=hd res=2869.replot:elink., you may need to enter the data more than once 
(see :link reftype=hd res=2869.replot:elink.). 
:p.A blank filename ('') specifies that the previous filename should be reused. 
This can be useful with things like 
:p.:p.      plot 'a/very/long/filename' using 1&colon.2, '' using 1&colon.3, '' using 1&colon.4
.br
:p.(If you use both :hp2.'-':ehp2. and :hp2.'':ehp2. on the same :link reftype=hd res=2060.plot:elink. command, you'll need to 
have two sets of inline data, as in the example above.) 
:p.On some computer systems with a popen function (Unix), the datafile can be 
piped through a shell command by starting the file name with a '<'.  For 
example, 
:p.:p.      pop(x) = 103*exp(-x/10)
.br
      plot "< awk '{print $1-1965, $2}' population.dat", pop(x)
.br
:p.would plot the same information as the first population example but with 
years since 1965 as the x axis.  If you want to execute this example, you 
have to delete all comments from the data file above or substitute the 
following command for the first part of the command above (the part up to 
the comma)&colon. 
:p.:p.      plot "< awk '$0 !~ /^#/ {print $1-1965, $2}' population.dat"
.br
:p.While this approach is most flexible, it is possible to achieve simple 
filtering with the :link reftype=hd res=2465.using:elink. or :link reftype=hd res=2441.thru:elink. keywords. 
:h4 res=2441. thru
:p.The :link reftype=hd res=2441.thru:elink. function is provided for backward compatibility. 
:p.Syntax&colon. 
:p.      plot 'file' thru f(x)
.br
:p.It is equivalent to&colon. 
:p.:p.      plot 'file' using 1&colon.(f($2))
.br
:p.While the latter appears more complex, it is much more flexible.  The more 
natural 
:p.:p.      plot 'file' thru f(y)
.br
:p.also works (i.e. you can use y as the dummy variable). 
:p.:link reftype=hd res=2441.thru:elink. is parsed for :link reftype=hd res=8368.splot:elink. and :link reftype=hd res=1490.fit:elink. but has no effect. 
:h4 res=2465. using
:p.The most common datafile modifier is :link reftype=hd res=2465.using:elink.. 
:p.Syntax&colon. 
:p.      plot 'file' using {<entry> {&colon.<entry> {&colon.<entry> ...}}} {'format'}
.br
:p.If a format is specified, each datafile record is read using the C library's 
'scanf' function, with the specified format string.  Otherwise the record is 
read and broken into columns at spaces or tabs.  A format cannot be specified 
if time-format data is being used (this must be done by :hp2.set data time:ehp2.). 
:p.The resulting array of data is then sorted into columns according to the 
entries.  Each <entry> may be a simple column number, which selects the 
datum, an expression enclosed in parentheses, or empty.  The expression can 
use $1 to access the first item read, $2 for the second item, and so on.  It 
can also use :hp2.column(x):ehp2. and :hp2.valid(x):ehp2. where x is an arbitrary expression 
resulting in an integer.  :hp2.column(x):ehp2. returns the x'th datum; :hp2.valid(x):ehp2. 
tests that the datum in the x'th column is a valid number.  A column number 
of 0 generates a number increasing (from zero) with each point, and is reset 
upon encountering two blank records.  A column number of -1 gives the 
dataline number, which starts at 0, increments at single blank records, and 
is reset at double blank records.  A column number of -2 gives the index 
number, which is incremented only when two blank records are found.  An empty 
<entry> will default to its order in the list of entries.  For example, 
:hp2.using &colon.&colon.4:ehp2. is interpreted as :hp2.using 1&colon.2&colon.4:ehp2.. 
:p.N.B.---the :link reftype=hd res=1419.call:elink. command also uses $'s as a special character.  See :link reftype=hd res=1419.call:elink. 
for details about how to include a column number in a :link reftype=hd res=1419.call:elink. argument list. 
:p.If the :link reftype=hd res=2465.using:elink. list has but a single entry, that <entry> will be used for y 
and the data point number is used for x; for example, ":hp2.plot 'file' using 1:ehp2." 
is identical to ":hp2.plot 'file' using 0&colon.1:ehp2.".  If the :link reftype=hd res=2465.using:elink. list has two 
entries, these will be used for x and y.  Additional entries are usually 
errors in x and/or y.  See :link reftype=hd res=4989.set style:elink. for details about plotting styles that 
make use of error information, and :link reftype=hd res=1490.fit:elink. for use of error information in 
curve fitting. 
:p.'scanf' accepts several numerical specifications but :link reftype=hd res=34.gnuplot:elink. requires all 
inputs to be double-precision floating-point variables, so :hp2.lf:ehp2. is the only 
permissible specifier.  'scanf' expects to see white space---a blank, tab 
("\t"), newline ("\n"), or formfeed ("\f")---between numbers; anything else 
in the input stream must be explicitly skipped. 
:p.Note that the use of "\t", "\n", or "\f" or requires use of double-quotes 
rather than single-quotes. 
:p.Examples&colon. 
:p.This creates a plot of the sum of the 2nd and 3rd data against the first&colon. 
(The format string specifies comma- rather than space-separated columns.) 
:p.      plot 'file' using 1&colon.($2+$3) '%lf,%lf,%lf'
.br
:p.In this example the data are read from the file "MyData" using a more 
complicated format&colon. 
:p.      plot 'MyData' using "%*lf%lf%*20[^\n]%lf"
.br
:p.The meaning of this format is&colon. 
:p.:p.      %*lf        ignore a number
.br
      %lf         read a double-precision number (x by default)
.br
      %*20[^\n]   ignore 20 non-newline characters
.br
      %lf         read a double-precision number (y by default)
.br
:p.One trick is to use the ternary :hp2.?&colon.:ehp2. operator to filter data&colon. 
:p.:p.      plot 'file' using 1&colon.($3>10 ? $2 &colon. 1/0)
.br
:p.which plots the datum in column two against that in column one provided 
the datum in column three exceeds ten.  :hp2.1/0:ehp2. is undefined; :link reftype=hd res=34.gnuplot:elink. 
quietly ignores undefined points, so unsuitable points are suppressed. 
:p.In fact, you can use a constant expression for the column number, provided it 
doesn't start with an opening parenthesis; constructs like :link reftype=hd res=2465.using 
0+(complicated expression):elink. can be used.  The crucial point is that the 
expression is evaluated once if it doesn't start with a left parenthesis, or 
once for each data point read if it does. 
:p.If timeseries data are being used, the time can span multiple columns.  The 
starting column should be specified.  Note that the spaces within the time 
must be included when calculating starting columns for other data.  E.g., if 
the first element on a line is a time with an embedded space, the y value 
should be specified as column three. 
:p.It should be noted that :hp2.plot 'file':ehp2., :hp2.plot 'file' using 1&colon.2:ehp2., and :link reftype=hd res=2060.plot 
'file' using ($1)&colon.($2):elink. can be subtly different&colon. 1) if :hp2.file:ehp2. has some lines 
with one column and some with two, the first will invent x values when they 
are missing, the second will quietly ignore the lines with one column, and 
the third will store an undefined value for lines with one point (so that in 
a plot with lines, no line joins points across the bad point); 2) if a line 
contains text at the first column, the first will abort the plot on an error, 
but the second and third should quietly skip the garbage. 
:p.In fact, it is often possible to plot a file with lots of lines of garbage at 
the top simply by specifying 
:p.:p.      plot 'file' using 1&colon.2
.br
:p.However, if you want to leave text in your data files, it is safer to put the 
comment character (#) in the first column of the text lines. 
:h3 res=2571. errorbars
:p.Error bars are supported for 2-d data file plots by reading one to four 
additional columns (or :link reftype=hd res=2465.using:elink. entries); these additional values are used in 
different ways by the various errorbar styles. 
:p.In the default situation, :link reftype=hd res=34.gnuplot:elink. expects to see three, four, or six 
numbers on each line of the data file---either 
:p.:p.      (x, y, ydelta),
.br
      (x, y, ylow, yhigh),
.br
      (x, y, xdelta),
.br
      (x, y, xlow, xhigh),
.br
      (x, y, xdelta, ydelta), or
.br
      (x, y, xlow, xhigh, ylow, yhigh).
.br
:p.The x coordinate must be specified.  The order of the numbers must be 
exactly as given above, though the :link reftype=hd res=2465.using:elink. qualifier can manipulate the order 
and provide values for missing columns.  For example, 
:p.:p.      plot 'file' with errorbars
.br
      plot 'file' using 1&colon.2&colon.(sqrt($1)) with xerrorbars
.br
      plot 'file' using 1&colon.2&colon.($1-$3)&colon.($1+$3)&colon.4&colon.5 with xyerrorbars
.br
:p.The last example is for a file containing an unsupported combination of 
relative x and absolute y errors.  The :link reftype=hd res=2465.using:elink. entry generates absolute x min 
and max from the relative error. 
:p.The y error bar is a vertical line plotted from (x, ylow) to (x, yhigh). 
If ydelta is specified instead of ylow and yhigh, ylow = y - ydelta and 
yhigh = y + ydelta are derived.  If there are only two numbers on the record, 
yhigh and ylow are both set to y.  The x error bar is a horizontal line 
computed in the same fashion.  To get lines plotted between the data points, 
:link reftype=hd res=2060.plot:elink. the data file twice, once with errorbars and once with lines (but 
remember to use the :hp2.notitle:ehp2. option on one to avoid two entries in the key). 
:p.The error bars have crossbars at each end unless :link reftype=hd res=3217.set bar:elink. is used (see :hp2.set 
bar:ehp2. for details). 
:p.If autoscaling is on, the ranges will be adjusted to include the error bars. 
:p.See :link reftype=hd res=2465.plot using:elink., :link reftype=hd res=2755.plot with:elink., and :link reftype=hd res=4989.set style:elink. for more information. 
:h3 res=2618. parametric
:p.When in parametric mode (:link reftype=hd res=4764.set parametric:elink.) mathematical expressions must be 
given in pairs for :link reftype=hd res=2060.plot:elink. and in triplets for :link reftype=hd res=8368.splot:elink.. 
:p.Examples&colon. 
:p.      plot sin(t),t**2
.br
      splot cos(u)*cos(v),cos(u)*sin(v),sin(u)
.br
:p.Data files are plotted as before, except any preceding parametric function 
must be fully specified before a data file is given as a plot.  In other 
words, the x parametric function (:hp2.sin(t):ehp2. above) and the y parametric 
function (:hp2.t**2:ehp2. above) must not be interrupted with any modifiers or data 
functions; doing so will generate a syntax error stating that the parametric 
function is not fully specified. 
:p.Other modifiers, such as :link reftype=hd res=2755.with:elink. and :link reftype=hd res=2714.title:elink., may be specified only after the 
parametric function has been completed&colon. 
:p.:p.      plot sin(t),t**2 title 'Parametric example' with linespoints
.br
:h3 res=2643. ranges
:p.The optional ranges specify the region of the graph that will be displayed. 
:p.Syntax&colon. 
:p.      [{<dummy-var>=}{{<min>}&colon.{<max>}}]
.br
      [{{<min>}&colon.{<max>}}]
.br
:p.The first form applies to the independent variable (:link reftype=hd res=7904.xrange:elink. or :link reftype=hd res=7609.trange:elink., if 
in parametric mode).  The second form applies to the dependent variable 
:link reftype=hd res=8214.yrange:elink. (and :link reftype=hd res=7904.xrange:elink., too, if in parametric mode).  <dummy-var> is a new 
name for the independent variable.  (The defaults may be changed with :hp2.set 
dummy:ehp2..)  The optional <min> and <max> terms can be constant expressions or *. 
:p.In non-parametric mode, the order in which ranges must be given is :link reftype=hd res=7904.xrange:elink. 
and :link reftype=hd res=8214.yrange:elink.. 
:p.In parametric mode, the order for the :link reftype=hd res=2060.plot:elink. command is :link reftype=hd res=7609.trange:elink., :link reftype=hd res=7904.xrange:elink., 
and :link reftype=hd res=8214.yrange:elink..  The following :link reftype=hd res=2060.plot:elink. command shows setting the :link reftype=hd res=7609.trange:elink. to 
[-pi&colon.pi], the :link reftype=hd res=7904.xrange:elink. to [-1.3&colon.1.3] and the :link reftype=hd res=8214.yrange:elink. to [-1&colon.1] for the 
duration of the graph&colon. 
:p.:p.      plot [-pi&colon.pi] [-1.3&colon.1.3] [-1&colon.1] sin(t),t**2
.br
:p.Note that the x2range and y2range cannot be specified here---:link reftype=hd res=7730.set x2range:elink. 
and :link reftype=hd res=8147.set y2range:elink. must be used. 
:p.Ranges are interpreted in the order listed above for the appropriate mode. 
Once all those needed are specified, no further ones must be listed, but 
unneeded ones cannot be skipped---use an empty range :hp2.[]:ehp2. as a placeholder. 
:p.:hp2.*:ehp2. can be used to allow autoscaling of either of min and max.  See also 
:link reftype=hd res=3102.set autoscale:elink.. 
:p.Ranges specified on the :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. command line affect only that 
graph; use the :link reftype=hd res=7904.set xrange:elink., :link reftype=hd res=8214.set yrange:elink., etc., commands to change the 
default ranges for future graphs. 
:p.With time data, you must provide the range (in the same manner as the time 
appears in the datafile) within quotes.  :link reftype=hd res=34.gnuplot:elink. uses the :link reftype=hd res=7488.timefmt:elink. string 
to read the value---see :link reftype=hd res=7488.set timefmt:elink.. 
:p.Examples&colon. 
:p.This uses the current ranges&colon. 
:p.      plot cos(x)
.br
:p.This sets the x range only&colon. 
:p.      plot [-10&colon.30] sin(pi*x)/(pi*x)
.br
:p.This is the same, but uses t as the dummy-variable&colon. 
:p.      plot [t = -10 &colon.30]  sin(pi*t)/(pi*t)
.br
:p.This sets both the x and y ranges&colon. 
:p.      plot [-pi&colon.pi] [-3&colon.3]  tan(x), 1/x
.br
:p.This sets only the y range, and turns off autoscaling on both axes&colon. 
:p.      plot [ ] [-2&colon.sin(5)*-8] sin(x)**besj0(x)
.br
:p.This sets xmax and ymin only&colon. 
:p.      plot [&colon.200] [-pi&colon.]  exp(sin(x))
.br
:p.This sets the x range for a timeseries&colon. 
:p.      set timefmt "%d/%m/%y %H&colon.%M"
.br
      plot ["1/6/93 12&colon.00"&colon."5/6/93 12&colon.00"] 'timedata.dat'
.br
:p.:h3 res=2714. title
:p.A line title for each function and data set appears in the key, accompanied 
by a sample of the line and/or symbol used to represent it.  It can be 
changed by using the :link reftype=hd res=2714.title:elink. option. 
:p.Syntax&colon. 
:p.      title "<title>" | notitle
.br
:p.where <title> is the new title of the line and must be enclosed in quotes. 
The quotes will not be shown in the key.  A special character may be given as 
a backslash followed by its octal value ("\345").  The tab character "\t" is 
understood.  Note that backslash processing occurs only for strings enclosed 
in double quotes---use single quotes to prevent such processing.  The newline 
character "\n" is not processed in key entries in either type of string. 
:p.The line title and sample can be omitted from the key by using the keyword 
:hp2.notitle:ehp2..  A null title (:hp2.title '':ehp2.) is equivalent to :hp2.notitle:ehp2..  If only 
the sample is wanted, use one or more blanks (:hp2.title ' ':ehp2.). 
:p.By default the line title is the function or file name as it appears on the 
:link reftype=hd res=2060.plot:elink. command.  If it is a file name, any datafile modifiers specified will 
be included in the default title. 
:p.The layout of the key itself (position, title justification, etc.) can be 
controlled by :link reftype=hd res=4140.set key:elink..  Please see :link reftype=hd res=4140.set key:elink. for details. 
:p.Examples&colon. 
:p.This plots y=x with the title 'x'&colon. 
:p.      plot x
.br
:p.This plots x squared with title "x^2" and file "data.1" with title 
"measured data"&colon. 
:p.      plot x**2 title "x^2", 'data.1' t "measured data"
.br
:p.This puts an untitled circular border around a polar graph&colon. 
:p.      set polar; plot my_function(t), 1 notitle
.br
:h3 res=2755. with
:p.Functions and data may be displayed in one of a large number of styles. 
The :link reftype=hd res=2755.with:elink. keyword provides the means of selection. 
:p.Syntax&colon. 
:p.      with <style> { {linestyle | ls <line_style>}
.br
                     | {{linetype | lt <line_type>}
.br
                        {linewidth | lw <line_width>}
.br
                        {pointtype | pt <point_type>}
.br
                        {pointsize | ps <point_size>}} }
.br
:p.where <style> is either :link reftype=hd res=5165.lines:elink., :link reftype=hd res=5186.points:elink., :link reftype=hd res=5171.linespoints:elink., :link reftype=hd res=5158.impulses:elink., :link reftype=hd res=5109.dots:elink., 
:link reftype=hd res=5194.steps:elink., :link reftype=hd res=5131.fsteps:elink., :link reftype=hd res=5140.histeps:elink., :link reftype=hd res=2571.errorbars:elink., :link reftype=hd res=5214.xerrorbars:elink., :link reftype=hd res=5243.yerrorbars:elink., 
:link reftype=hd res=5225.xyerrorbars:elink., :link reftype=hd res=5064.boxes:elink., :link reftype=hd res=5045.boxerrorbars:elink., :link reftype=hd res=5081.boxxyerrorbars:elink., :link reftype=hd res=5116.financebars:elink., 
:link reftype=hd res=5093.candlesticks:elink. or :link reftype=hd res=5203.vector:elink..  Some of these styles require additional 
information.  See :hp2.set style <style>:ehp2. for details of each style. 
:p.Default styles are chosen with the :link reftype=hd res=3924.set function style:elink. and :link reftype=hd res=3569.set data style:elink. 
commands. 
:p.By default, each function and data file will use a different line type and 
point type, up to the maximum number of available types.  All terminal 
drivers support at least six different point types, and re-use them, in 
order, if more are required.  The LaTeX driver supplies an additional six 
point types (all variants of a circle), and thus will only repeat after 12 
curves are plotted with points.  The PostScript drivers (:link reftype=hd res=6466.postscript:elink.) 
supplies a total of 64. 
:p.If you wish to choose the line or point type for a single plot, <line_type> 
and <point_type> may be specified.  These are positive integer constants (or 
expressions) that specify the line type and point type to be used for the 
plot.  Use :link reftype=hd res=8611.test:elink. to display the types available for your terminal. 
:p.You may also scale the line width and point size for a plot by using 
<line_width> and <point_size>, which are specified relative to the default 
values for each terminal.  The pointsize may also be altered globally---see 
:link reftype=hd res=4812.set pointsize:elink. for details.  But note that both <point_size> as set here and 
as set by :link reftype=hd res=4812.set pointsize:elink. multiply the default point size---their effects are 
not cumulative.  That is, :hp2.set pointsize 2; plot x w p ps 3:ehp2. will use points 
three times default size, not six. 
:p.If you have defined specific line type/width and point type/size combinations 
with :link reftype=hd res=4334.set linestyle:elink., one of these may be selected by setting <line_style> to 
the index of the desired style. 
:p.The keywords may be abbreviated as indicated. 
:p.Note that the :link reftype=hd res=6005.linewidth:elink. and :link reftype=hd res=4812.pointsize:elink. options are not supported by all 
terminals. 
:p.Examples&colon. 
:p.This plots sin(x) with impulses&colon. 
:p.      plot sin(x) with impulses
.br
:p.This plots x with points, x**2 with the default&colon. 
:p.      plot x w points, x**2
.br
:p.This plots tan(x) with the default function style, file "data.1" with lines&colon. 
:p.      plot [ ] [-2&colon.5] tan(x), 'data.1' with l
.br
:p.This plots "leastsq.dat" with impulses&colon. 
:p.      plot 'leastsq.dat' w i
.br
:p.This plots the data file "population" with boxes&colon. 
:p.      plot 'population' with boxes
.br
:p.This plots "exper.dat" with errorbars and lines connecting the points 
(errorbars require three or four columns)&colon. 
:p.      plot 'exper.dat' w lines, 'exper.dat' notitle w errorbars
.br
:p.This plots sin(x) and cos(x) with linespoints, using the same line type but 
different point types&colon. 
:p.      plot sin(x) with linesp lt 1 pt 3, cos(x) with linesp lt 1 pt 4
.br
:p.This plots file "data" with points of type 3 and twice usual size&colon. 
:p.      plot 'data' with points pointtype 3 pointsize 2
.br
:p.This plots two data sets with lines differing only by weight&colon. 
:p.      plot 'd1' t "good" w l lt 2 lw 3, 'd2' t "bad" w l lt 2 lw 1
.br
:p.See :link reftype=hd res=4989.set style:elink. to change the default styles. 
:h2 res=2848. print
:p.The :link reftype=hd res=2848.print:elink. command prints the value of <expression> to the screen.  It is 
synonymous with :hp2.pause 0:ehp2..  <expression> may be anything that :link reftype=hd res=34.gnuplot:elink. can 
evaluate that produces a number, or it can be a string. 
:p.Syntax&colon. 
:p.      print <expression> {, <expression>, ...}
.br
:p.See :link reftype=hd res=476.expressions:elink.. 
:h2 res=2859. pwd
:p.The :link reftype=hd res=2859.pwd:elink. command prints the name of the working directory to the screen. 
:h2 res=2863. quit
:p.The :link reftype=hd res=1481.exit:elink. and :link reftype=hd res=2863.quit:elink. commands and END-OF-FILE character will exit :link reftype=hd res=34.gnuplot:elink.. 
Each of these commands will clear the output device (as does the :link reftype=hd res=1459.clear:elink. 
command) before exiting. 
:h2 res=2869. replot
:p.The :link reftype=hd res=2869.replot:elink. command without arguments repeats the last :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. 
command.  This can be useful for viewing a plot with different :link reftype=hd res=2973.set:elink. options, 
or when generating the same plot for several devices. 
:p.Arguments specified after a :link reftype=hd res=2869.replot:elink. command will be added onto the last 
:link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. command (with an implied ',' separator) before it is 
repeated.  :link reftype=hd res=2869.replot:elink. accepts the same arguments as the :link reftype=hd res=2060.plot:elink. and :link reftype=hd res=8368.splot:elink. 
commands except that ranges cannot be specified.  Thus you can use :link reftype=hd res=2869.replot:elink. 
to plot a function against the second axes if the previous command was :link reftype=hd res=2060.plot:elink. 
but not if it was :link reftype=hd res=8368.splot:elink., and similarly you can use :link reftype=hd res=2869.replot:elink. to add a plot 
from a binary file only if the previous command was :link reftype=hd res=8368.splot:elink.. 
:p.N.B.---use of 
:p.:p.      plot '-' ; ... ; replot
.br
:p.is not recommended.  :link reftype=hd res=34.gnuplot:elink. does not store the inline data internally, so 
since :link reftype=hd res=2869.replot:elink. appends new information to the previous :link reftype=hd res=2060.plot:elink. and then 
executes the modified command, the :hp2.'-':ehp2. from the initial :link reftype=hd res=2060.plot:elink. will expect 
to read inline data again. 
:p.Note that :link reftype=hd res=2869.replot:elink. does not work in :link reftype=hd res=4540.multiplot:elink. mode, since it reproduces 
only the last plot rather than the entire screen. 
:p.See also :link reftype=hd res=272.command-line-editing:elink. for ways to edit the last :link reftype=hd res=2060.plot:elink. (:link reftype=hd res=8368.splot:elink.) 
command. 
:h2 res=2898. reread
:p.The :link reftype=hd res=2898.reread:elink. command causes the current :link reftype=hd res=34.gnuplot:elink. command file, as specified 
by a :link reftype=hd res=2007.load:elink. command or on the command line, to be reset to its starting 
point before further commands are read from it.  This essentially implements 
an endless loop of the commands from the beginning of the command file to 
the :link reftype=hd res=2898.reread:elink. command.  (But this is not necessarily a disaster---:link reftype=hd res=2898.reread:elink. can 
be very useful when used in conjunction with :link reftype=hd res=1982.if:elink..  See :link reftype=hd res=1982.if:elink. for details.) 
The :link reftype=hd res=2898.reread:elink. command has no effect if input from standard input. 
:p.Examples&colon. 
:p.Suppose the file "looper" contains the commands 
:p.      a=a+1
.br
      plot sin(x*a)
.br
      pause -1
.br
      if(a<5) reread
.br
and from within :link reftype=hd res=34.gnuplot:elink. you submit the commands 
:p.      a=0
.br
      load 'looper'
.br
The result will be four plots (separated by the :link reftype=hd res=2035.pause:elink. message). 
:p.Suppose the file "data" contains six columns of numbers with a total yrange 
from 0 to 10; the first is x and the next are five different functions of x. 
Suppose also that the file "plotter" contains the commands 
:p.      c_p = c_p+1
.br
      plot "$0" using 1&colon.c_p with lines linetype c_p
.br
      if(c_p <  n_p) reread
.br
and from within :link reftype=hd res=34.gnuplot:elink. you submit the commands 
:p.      n_p=6
.br
      c_p=1
.br
      set nokey
.br
      set yrange [0&colon.10]
.br
      set multiplot
.br
      call 'plotter' 'data'
.br
      set nomultiplot
.br
The result is a single graph consisting of five plots.  The yrange must be 
set explicitly to guarantee that the five separate graphs (drawn on top of 
each other in multiplot mode) will have exactly the same axes.  The linetype 
must be specified; otherwise all the plots would be drawn with the same type. 
:h2 res=2940. reset
:p.The :link reftype=hd res=2940.reset:elink. command causes all options that can be set with the :link reftype=hd res=2973.set:elink. 
command to take on their default values.  The only exceptions are that the 
terminal set with :link reftype=hd res=5284.set term:elink. and the output file set with :link reftype=hd res=4724.set output:elink. are 
left unchanged.  This command is useful, e.g., to restore the default 
settings at the end of a command file, or to return to a defined state after 
lots of settings have been changed within a command file.  Please refer to 
the :link reftype=hd res=2973.set:elink. command to see the default values that the various options take. 
:h2 res=2950. save
:p.The :link reftype=hd res=2950.save:elink. command saves user-defined functions, variables, :link reftype=hd res=2973.set:elink. options, 
or all three, plus the last :link reftype=hd res=2060.plot:elink. (:link reftype=hd res=8368.splot:elink.) command to the specified file. 
:p.Syntax&colon. 
:p.      save  {<option>} '<filename>'
.br
:p.where <option> is :link reftype=hd res=3940.functions:elink., :link reftype=hd res=7627.variables:elink. or :link reftype=hd res=2973.set:elink.. If no option is used, 
:link reftype=hd res=34.gnuplot:elink. saves functions, variables, :link reftype=hd res=2973.set:elink. options and the last :link reftype=hd res=2060.plot:elink. 
(:link reftype=hd res=8368.splot:elink.) command. 
:p.:link reftype=hd res=2950.save:elink.d files are written in text format and may be read by the :link reftype=hd res=2007.load:elink. 
command. 
:p.The filename must be enclosed in quotes. 
:p.Examples&colon. 
:p.      save 'work.gnu'
.br
      save functions 'func.dat'
.br
      save var 'var.dat'
.br
      save set 'options.dat'
.br
:h2 res=2973. set-show
:p.The :link reftype=hd res=2973.set:elink. command can be used to sets _lots_ of options.  No screen is 
drawn, however, until a :link reftype=hd res=2060.plot:elink., :link reftype=hd res=8368.splot:elink., or :link reftype=hd res=2869.replot:elink. command is given. 
:p.The :link reftype=hd res=2973.show:elink. command shows their settings;  :link reftype=hd res=2973.show all:elink. shows all the 
settings. 
:p.If a variable contains time/date data, :link reftype=hd res=2973.show:elink. will display it according to 
the format currently defined by :link reftype=hd res=7488.set timefmt:elink., even if that was not in effect 
when the variable was initially defined. 
:h3 res=2988. angles
:p.By default, :link reftype=hd res=34.gnuplot:elink. assumes the independent variable in polar graphs is in 
units of radians.  If :link reftype=hd res=2988.set angles degrees:elink. is specified before :link reftype=hd res=4832.set polar:elink., 
then the default range is [0&colon.360] and the independent variable has units of 
degrees.  This is particularly useful for plots of data files.  The angle 
setting also applies to 3-d mapping as set via the :link reftype=hd res=4447.set mapping:elink. command. 
:p.Syntax&colon. 
:p.      set angles {degrees | radians}
.br
      show angles
.br
:p.The angle specified in :hp2.set grid polar:ehp2. is also read and displayed in the 
units specified by :link reftype=hd res=2988.set angles:elink.. 
:p.:link reftype=hd res=2988.set angles:elink. also affects the arguments of the machine-defined functions 
sin(x), cos(x) and tan(x), and the outputs of asin(x), acos(x), atan(x), 
atan2(x), and arg(x).  It has no effect on the arguments of hyperbolic 
functions or Bessel functions.  However, the output arguments of inverse 
hyperbolic functions of complex arguments are affected; if these functions 
are used, :hp2.set angles radians:ehp2. must be in effect to maintain consistency 
between input and output arguments. 
:p.:p.      x={1.0,0.1}
.br
      set angles radians
.br
      y=sinh(x)
.br
      print y         #prints {1.16933, 0.154051}
.br
      print asinh(y)  #prints {1.0, 0.1}
.br
but 
:p.      set angles degrees
.br
      y=sinh(x)
.br
      print y         #prints {1.16933, 0.154051}
.br
      print asinh(y)  #prints {57.29578, 5.729578}
.br
:h3 res=3030. arrow
:p.Arbitrary arrows can be placed on a plot using the :link reftype=hd res=3030.set arrow:elink. command. 
:p.Syntax&colon. 
:p.      set arrow {<tag>} {from <position>} {to <position>} {{no}head}
.br
                { {linestyle | ls <line_style>}
.br
                  | {linetype | lt <line_type>}
.br
                    {linewidth | lw <line_width} }
.br
      set noarrow {<tag>}
.br
      show arrow
.br
:p.<tag> is an integer that identifies the arrow.  If no tag is given, the 
lowest unused tag value is assigned automatically.  The tag can be used to 
delete or change a specific arrow.  To change any attribute of an existing 
arrow, use the :link reftype=hd res=3030.set arrow:elink. command with the appropriate tag and specify the 
parts of the arrow to be changed. 
:p.The <position>s are specified by either x,y or x,y,z, and may be preceded by 
:hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2., or :hp2.screen:ehp2. to select the coordinate system. 
Unspecified coordinates default to 0.  The endpoints can be specified in 
one of four coordinate systems---:hp2.first:ehp2. or :hp2.second:ehp2. axes, :hp2.graph:ehp2. or 
:hp2.screen:ehp2..  See :link reftype=hd res=413.coordinates:elink. for details.  A coordinate system specifier 
does not carry over from the "from" position to the "to" position.  Arrows 
outside the screen boundaries are permitted but may cause device errors. 
:p.Specifying :hp2.nohead:ehp2. produces an arrow drawn without a head---a line segment. 
This gives you yet another way to draw a line segment on the plot.  By 
default, arrows have heads. 
:p.The line style may be selected from a user-defined list of line styles (see 
:link reftype=hd res=4334.set linestyle:elink.) or may be defined here by providing values for <line_type> 
(an index from the default list of styles) and/or <line_width> (which is a 
multiplier for the default width). 
:p.Note, however, that if a user-defined line style has been selected, its 
properties (type and width) cannot be altered merely by issuing another 
:link reftype=hd res=3030.set arrow:elink. command with the appropriate index and :hp2.lt:ehp2. or :hp2.lw:ehp2.. 
:p.Examples&colon. 
:p.To set an arrow pointing from the origin to (1,2) with user-defined style 5, 
use&colon. 
:p.      set arrow to 1,2 ls 5
.br
:p.To set an arrow from bottom left of plotting area to (-5,5,3), and tag the 
arrow number 3, use&colon. 
:p.      set arrow 3 from graph 0,0 to -5,5,3
.br
:p.To change the preceding arrow to end at 1,1,1, without an arrow head and 
double its width, use&colon. 
:p.      set arrow 3 to 1,1,1 nohead lw 2
.br
:p.To draw a vertical line from the bottom to the top of the graph at x=3, use&colon. 
:p.      set arrow from 3, graph 0 to 3, graph 1 nohead
.br
:p.To delete arrow number 2, use&colon. 
:p.      set noarrow 2
.br
:p.To delete all arrows, use&colon. 
:p.      set noarrow
.br
:p.To show all arrows (in tag order), use&colon. 
:p.      show arrow
.br
:h3 res=3102. autoscale
:p.Autoscaling may be set individually on the x, y or z axis or globally on all 
axes. The default is to autoscale all axes. 
:p.Syntax&colon. 
:p.      set autoscale {<axes>{min|max}}
.br
      set noautoscale {<axes>{min|max}}
.br
      show autoscale
.br
:p.where <axes> is either :hp2.x:ehp2., :hp2.y:ehp2., :hp2.z:ehp2., :hp2.x2:ehp2., :hp2.y2:ehp2. or :hp2.xy:ehp2..  A keyword with 
:hp2.min:ehp2. or :hp2.max:ehp2. appended (this cannot be done with :hp2.xy:ehp2.) tells :link reftype=hd res=34.gnuplot:elink. to 
autoscale just the minimum or maximum of that axis.  If no keyword is given, 
all axes are autoscaled. 
:p.When autoscaling, the axis range is automatically computed and the dependent 
axis (y for a :link reftype=hd res=2060.plot:elink. and z for :link reftype=hd res=8368.splot:elink.) is scaled to include the range of the 
function or data being plotted. 
:p.If autoscaling of the dependent axis (y or z) is not set, the current y or z 
range is used. 
:p.Autoscaling the independent variables (x for :link reftype=hd res=2060.plot:elink. and x,y for :link reftype=hd res=8368.splot:elink.) is a 
request to set the domain to match any data file being plotted.  If there are 
no data files, autoscaling an independent variable has no effect.  In other 
words, in the absence of a data file, functions alone do not affect the x 
range (or the y range if plotting z = f(x,y)). 
:p.Please see :link reftype=hd res=7904.set xrange:elink. for additional information about ranges. 
:p.The behavior of autoscaling remains consistent in parametric mode, (see :hp2.set 
parametric:ehp2.).  However, there are more dependent variables and hence more 
control over x, y, and z axis scales.  In parametric mode, the independent or 
dummy variable is t for :link reftype=hd res=2060.plot:elink.s and u,v for :link reftype=hd res=8368.splot:elink.s.  :link reftype=hd res=3102.autoscale:elink. in 
parametric mode, then, controls all ranges (t, u, v, x, y, and z) and allows 
x, y, and z to be fully autoscaled. 
:p.Autoscaling works the same way for polar mode as it does for parametric mode 
for :link reftype=hd res=2060.plot:elink., with the extension that in polar mode :link reftype=hd res=3646.set dummy:elink. can be used to 
change the independent variable from t (see :link reftype=hd res=3646.set dummy:elink.). 
:p.When tics are displayed on second axes but no plot has been specified for 
those axes, x2range and y2range are inherited from xrange and yrange.  This 
is done _before_ xrange and yrange are autoextended to a whole number of 
tics, which can cause unexpected results. 
:p.Examples&colon. 
:p.This sets autoscaling of the y axis (other axes are not affected)&colon. 
:p.      set autoscale y
.br
:p.This sets autoscaling only for the minimum of the y axis (the maximum of the 
y axis and the other axes are not affected)&colon. 
:p.      set autoscale ymin
.br
:p.This sets autoscaling of the x and y axes&colon. 
:p.      set autoscale xy
.br
:p.This sets autoscaling of the x, y, z, x2 and y2 axes&colon. 
:p.      set autoscale
.br
:p.This disables autoscaling of the x, y, z, x2 and y2 axes&colon. 
:p.      set noautoscale
.br
:p.This disables autoscaling of the z axis only&colon. 
:p.      set noautoscale z
.br
:h4 res=3175. parametric mode
:p.When in parametric mode (:link reftype=hd res=4764.set parametric:elink.), the xrange is as fully scalable 
as the y range.  In other words, in parametric mode the x axis can be 
automatically scaled to fit the range of the parametric function that is 
being plotted.  Of course, the y axis can also be automatically scaled just 
as in the non-parametric case.  If autoscaling on the x axis is not set, the 
current x range is used. 
:p.Data files are plotted the same in parametric and non-parametric mode. 
However, there is a difference in mixed function and data plots&colon. in 
non-parametric mode with autoscaled x, the x range of the datafile controls 
the x range of the functions; in parametric mode it has no influence. 
:p.For completeness a last command :link reftype=hd res=3175.set autoscale t:elink. is accepted.  However, the 
effect of this "scaling" is very minor.  When :link reftype=hd res=34.gnuplot:elink. determines that the 
t range would be empty, it makes a small adjustment if autoscaling is true. 
Otherwise, :link reftype=hd res=34.gnuplot:elink. gives an error.  Such behavior may, in fact, not be very 
useful and the command :link reftype=hd res=3175.set autoscale t:elink. is certainly questionable. 
:p.:link reftype=hd res=8368.splot:elink. extends the above ideas as you would expect.  If autoscaling is set, 
then x, y, and z ranges are computed and each axis scaled to fit the 
resulting data. 
:h4 res=3200. polar mode
:p.When in polar mode (:link reftype=hd res=4832.set polar:elink.), the xrange and the yrange are both found 
from the polar coordinates, and thus they can both be automatically scaled. 
In other words, in polar mode both the x and y axes can be automatically 
scaled to fit the ranges of the polar function that is being plotted. 
:p.When plotting functions in polar mode, the rrange may be autoscaled.  When 
plotting data files in polar mode, the trange may also be autoscaled.  Note 
that if the trange is contained within one quadrant, autoscaling will produce 
a polar plot of only that single quadrant. 
:p.Explicitly setting one or two ranges but not others may lead to unexpected 
results. 
:h3 res=3217. bar
:p.The :link reftype=hd res=3217.set bar:elink. command controls the tics at the ends of errorbars. 
:p.Syntax&colon. 
:p.      set bar {small | large | <size>}
.br
      show bar
.br
:p.:hp2.small:ehp2. is a synonym for 0.0, and :hp2.large:ehp2. for 1.0. 
The default is 1.0 if no size is given. 
:h3 res=3230. bmargin
:p.The command :link reftype=hd res=3230.set bmargin:elink. sets the size of the bottom margin.  Please see 
:link reftype=hd res=4490.set margin:elink. for details. 
:h3 res=3236. border
:p.The :link reftype=hd res=3236.set border:elink. and :link reftype=hd res=3236.set noborder:elink. commands control the display of the graph 
borders for the :link reftype=hd res=2060.plot:elink. and :link reftype=hd res=8368.splot:elink. commands. 
:p.Syntax&colon. 
:p.      set border {<integer> { {linestyle | ls <line_style>}
.br
                              | {linetype | lt <line_type> }
.br
                                {linewidth | lw <line_width>} } }
.br
      set noborder
.br
      show border
.br
:p.The borders are encoded in a 12-bit integer&colon. the bottom four bits control the 
border for :link reftype=hd res=2060.plot:elink. and the sides of the base for :link reftype=hd res=8368.splot:elink.; The next four bits 
control the verticals in :link reftype=hd res=8368.splot:elink.; the top four bits control the edges on top 
of the :link reftype=hd res=8368.splot:elink..  In detail, the :hp2.<integer>:ehp2. should be the sum of the 
appropriate entries from the following table&colon. 
:p.:table cols=' 14 9 5 4'.
:row.
:c.c c c c c .
:c.
:c.
:c.
:row.
:c.plot border
:c.splot
:c.splot
:c.
:row.
:c.splot base
:c.verticals
:c.top
:c.
:row.
:c._
:c.
:c.
:c.
:row.
:c.bottom (south)
:c.1
:c.16
:c.256
:row.
:c.left   (west)
:c.2
:c.32
:c.512
:row.
:c.top    (north)
:c.4
:c.64
:c.1024
:row.
:c.right  (east)
:c.8
:c.128
:c.2048
:etable.
:p.The default is 31, which is all four sides for :link reftype=hd res=2060.plot:elink., and base and z axis 
for :link reftype=hd res=8368.splot:elink.. 
:p.Using the optional <line_style>, <line_type> and <line_width> 
specifiers, the way the border lines are drawn can be influenced 
(limited by what the current terminal driver supports).  By default, 
the border is drawn with twice the usual linewidth.  The <line_width> 
specifier scales this default value; for example, :hp2.set border 15 lw 2:ehp2. 
will produce a border with four times the usual linewidth. 
:p.Various axes or combinations of axes may be added together in the command. 
:p.To have tics on edges other than bottom and left, disable the usual tics and 
enable the second axes. 
:p.Examples&colon. 
:p.Draw all borders&colon. 
:p.      set border
.br
:p.Draw only the SOUTHWEST borders&colon. 
:p.      set border 3
.br
:p.Draw a complete box around a :link reftype=hd res=8368.splot:elink.&colon. 
:p.      set border 4095
.br
:p.Draw a partial box, omitting the front vertical&colon. 
:p.      set border 127+256+512
.br
:p.Draw only the NORTHEAST borders&colon. 
:p.      set noxtics; set noytics; set x2tics; set y2tics; set border 12
.br
:p.:h3 res=3320. boxwidth
:p.The :link reftype=hd res=3320.set boxwidth:elink. command is used to set the default width of boxes in the 
:link reftype=hd res=5064.boxes:elink. and :link reftype=hd res=5045.boxerrorbars:elink. styles. 
:p.Syntax&colon. 
:p.      set boxwidth {<width>}
.br
      show boxwidth
.br
:p.If a data file is plotted without the width being specified in the third, 
fourth, or fifth column (or :link reftype=hd res=2465.using:elink. entry), or if a function is plotted, the 
width of each box is set by the :link reftype=hd res=3320.set boxwidth:elink. command.  (If a width is given 
both in the file and by the :link reftype=hd res=3320.set boxwidth:elink. command, the one in the file is 
used.)  If the width is not specified in one of these ways, the width of each 
box will be calculated automatically so that it touches the adjacent boxes. 
In a four-column data set, the fourth column will be interpreted as the box 
width unless the width is set to -2.0, in which case the width will be 
calculated automatically.  See :link reftype=hd res=5045.set style boxerrorbars:elink. for more details. 
:p.To set the box width to automatic use the command 
:p.      set boxwidth
.br
or, for four-column data, 
:p.      set boxwidth -2
.br
:p.The same effect can be achieved with the :link reftype=hd res=2465.using:elink. keyword in :link reftype=hd res=2060.plot:elink.&colon. 
:p.      plot 'file' using 1&colon.2&colon.3&colon.4&colon.(-2)
.br
:h3 res=3350. clabel
:p.:link reftype=hd res=34.gnuplot:elink. will vary the linetype used for each contour level when clabel is 
set.  When this option on (the default), a legend labels each linestyle with 
the z level it represents.  It is not possible at present to separate the 
contour labels from the surface key. 
:p.Syntax&colon. 
:p.      set clabel {'<format>'}
.br
      set noclabel
.br
      show clabel
.br
:p.The default for the format string is %8.3g, which gives three decimal places. 
This may produce poor label alignment if the key is altered from its default 
configuration. 
:p.The first contour linetype, or only contour linetype when clabel is off, is 
the surface linetype +1; contour points are the same style as surface points. 
:p.See also :link reftype=hd res=3518.set contour:elink.. 
:h3 res=3377. clip
:p.:link reftype=hd res=34.gnuplot:elink. can clip data points and lines that are near the boundaries of a 
graph. 
:p.Syntax&colon. 
:p.      set clip <clip-type>
.br
      set noclip <clip-type>
.br
      show clip
.br
:p.Three clip types are supported by :link reftype=hd res=34.gnuplot:elink.&colon. :link reftype=hd res=5186.points:elink., :hp2.one:ehp2., and :hp2.two:ehp2.. 
One, two, or all three clip types may be active for a single graph. 
:p.The :link reftype=hd res=5186.points:elink. clip type forces :link reftype=hd res=34.gnuplot:elink. to clip (actually, not plot at all) 
data points that fall within but too close to the boundaries.  This is done 
so that large symbols used for points will not extend outside the boundary 
lines.  Without clipping points near the boundaries, the plot may look bad. 
Adjusting the x and y ranges may give similar results. 
:p.Setting the :hp2.one:ehp2. clip type causes :link reftype=hd res=34.gnuplot:elink. to draw a line segment which has 
only one of its two endpoints within the graph.  Only the in-range portion of 
the line is drawn.  The alternative is to not draw any portion of the line 
segment. 
:p.Some lines may have both endpoints out of range, but pass through the graph. 
Setting the :hp2.two:ehp2. clip-type allows the visible portion of these lines to be 
drawn. 
:p.In no case is a line drawn outside the graph. 
:p.The defaults are :hp2.noclip points:ehp2., :hp2.clip one:ehp2., and :hp2.noclip two:ehp2.. 
:p.To check the state of all forms of clipping, use 
:p.      show clip
.br
:p.For backward compatibility with older versions, the following forms are also 
permitted&colon. 
:p.      set clip
.br
      set noclip
.br
:p.:link reftype=hd res=3377.set clip:elink. is synonymous with :hp2.set clip points:ehp2.; :link reftype=hd res=3377.set noclip:elink. turns off all 
three types of clipping. 
:h3 res=3426. cntrparam
:p.:link reftype=hd res=3426.set cntrparam:elink. controls the generation of contours and their smoothness for 
a contour plot. :link reftype=hd res=3518.show contour:elink. displays current settings of :link reftype=hd res=3426.cntrparam:elink. as 
well as :link reftype=hd res=3518.contour:elink.. 
:p.Syntax&colon. 
:p.      set cntrparam {  {linear | cubicspline | bspline}
.br
                      { points <n>} { order <n> }
.br
                      { levels   auto {<n>} | <n>
.br
                               | discrete <z1> {,<z2>{,<z3>...}}
.br
                               | incremental <start>, <incr> {,<end>}
.br
                       }
.br
                     }
.br
      show contour
.br
:p.This command has two functions.  First, it sets the values of z for which 
contour points are to be determined (by linear interpolation between data 
points or function isosamples.)  Second, it controls the way contours are 
drawn between the points determined to be of equal z.  <n> should be an 
integral constant expression and <z1>, <z2> ... any constant expressions. 
The parameters are&colon. 
:p.:hp2.linear:ehp2., :hp2.cubicspline:ehp2., :hp2.bspline:ehp2.---Controls type of approximation or 
interpolation.  If :hp2.linear:ehp2., then straight line segments connect points of 
equal z magnitude.  If :hp2.cubicspline:ehp2., then piecewise-linear contours are 
interpolated between the same equal z points to form somewhat smoother 
contours, but which may undulate.  If :hp2.bspline:ehp2., a guaranteed-smoother curve 
is drawn, which only approximates the position of the points of equal-z. 
:p.:link reftype=hd res=5186.points:elink.---Eventually all drawings are done with piecewise-linear strokes. 
This number controls the number of line segments used to approximate the 
:hp2.bspline:ehp2. or :hp2.cubicspline:ehp2. curve.  Number of cubicspline or bspline 
segments (strokes) = :link reftype=hd res=5186.points:elink. * number of linear segments. 
:p.:hp2.order:ehp2.---Order of the bspline approximation to be used.  The bigger this 
order is, the smoother the resulting contour.  (Of course, higher order 
bspline curves will move further away from the original piecewise linear 
data.)  This option is relevant for :hp2.bspline:ehp2. mode only.  Allowed values are 
integers in the range from 2 (linear) to 10. 
:p.:hp2.levels:ehp2.--- Selection of contour levels,  controlled by :hp2.auto:ehp2. (default), 
:hp2.discrete:ehp2., :hp2.incremental:ehp2., and <n>, number of contour levels, limited to 
:p. MAX_DISCRETE_LEVELS as defined in plot.h (30 is standard.)
.br
:p.For :hp2.auto:ehp2., <n> specifies a nominal number of levels; the actual number will 
be adjusted to give simple labels. If the surface is bounded by zmin and zmax, 
contours will be generated at integer multiples of dz between zmin and zmax, 
where dz is 1, 2, or 5 times some power of ten (like the step between two 
tic marks). 
:p.For :hp2.levels discrete:ehp2., contours will be generated at z = <z1>, <z2> ... as 
specified; the number of discrete levels sets the number of contour levels. 
In :hp2.discrete:ehp2. mode, any :hp2.set cntrparms levels <n>:ehp2. are ignored. 
:p.For :hp2.incremental:ehp2., contours are generated at values of z beginning at <start> 
and increasing by <increment>, until the number of contours is reached. <end> 
is used to determine the number of contour levels, which will be changed by 
any subsequent :hp2.set cntrparam levels <n>:ehp2.. 
:p.If the command :link reftype=hd res=3426.set cntrparam:elink. is given without any arguments specified,  the 
defaults are used&colon. linear, 5 points, order 4, 5 auto levels. 
:p.Examples&colon. 
:p.      set cntrparam bspline
.br
      set cntrparam points 7
.br
      set cntrparam order 10
.br
:p.To select levels automatically, 5 if the level increment criteria are met&colon. 
:p.      set cntrparam levels auto 5
.br
:p.To specify discrete levels at .1, .37, and .9&colon. 
:p.      set cntrparam levels discrete .1,1/exp(1),.9
.br
:p.To specify levels from 0 to 4 with increment 1&colon. 
:p.      set cntrparam levels incremental  0,1,4
.br
:p.To set the number of levels to 10 (changing an incremental end or possibly 
the number of auto levels)&colon. 
:p.      set cntrparam levels 10
.br
:p.To set the start and increment while retaining the number of levels&colon. 
:p.      set cntrparam levels incremental 100,50
.br
:p.See also :link reftype=hd res=3518.set contour:elink. for control of where the contours are drawn, and :hp2.set 
clabel:ehp2. for control of the format of the contour labels and linetypes. 
:h3 res=3518. contour
:p.:link reftype=hd res=3518.set contour:elink. enables contour drawing for surfaces. This option is available 
for :link reftype=hd res=8368.splot:elink. only. 
:p.Syntax&colon. 
:p.      set contour {base | surface | both}
.br
      set nocontour
.br
      show contour
.br
:p.The three options specify where to draw the contours&colon. :hp2.base:ehp2. draws the 
contours on the grid base where the x/ytics are placed, :link reftype=hd res=5259.surface:elink. draws the 
contours on the surfaces themselves, and :hp2.both:ehp2. draws the contours on both 
the base and the surface.  If no option is provided, the default is :hp2.base:ehp2.. 
:p.See also :link reftype=hd res=3426.set cntrparam:elink. for the parameters that affect the drawing of 
contours, and :link reftype=hd res=3350.set clabel:elink. for control of labelling of the contours. 
:p.The surface can be switched off (see :link reftype=hd res=5259.set surface:elink.), giving a contour-only 
graph.  Though it is possible to use :link reftype=hd res=4932.set size:elink. to enlarge the plot to fill 
the screen, more control over the output format can be obtained by writing 
the contour information to a file, and rereading it as a 2-d datafile plot&colon. 
:p.:p.      set nosurface
.br
      set contour
.br
      set cntrparam ...
.br
      set term table
.br
      set out 'filename'
.br
      splot ...
.br
      set out
.br
      # contour info now in filename
.br
      set term <whatever>
.br
      plot 'filename'
.br
:p.In order to draw contours, the data should be organized as "grid data".  In 
such a file all the points for a single y-isoline are listed, then all the 
points for the next y-isoline, and so on.  A single blank line (a line 
containing no characters other than blank spaces and a carriage return and/or 
a line feed) separates one y-isoline from the next.  See also :link reftype=hd res=8405.splot datafile:elink.. 
:p.If contours are desired from non-grid data, :link reftype=hd res=3584.set dgrid3d:elink. can be used to 
create an appropriate grid.  See :link reftype=hd res=3584.set dgrid3d:elink. for more information. 
:h3 res=3569. data style
:p.The :link reftype=hd res=3569.set data style:elink. command changes the default plotting style for data 
plots. 
:p.Syntax&colon. 
:p.      set data style <style-choice>
.br
      show data style
.br
:p.See :link reftype=hd res=4989.set style:elink. for the choices.  If no choice is given, the choices are 
listed.  :link reftype=hd res=3569.show data style:elink. shows the current default data plotting style. 
:h3 res=3584. dgrid3d
:p.The :link reftype=hd res=3584.set dgrid3d:elink. command enables, and can set parameters for, non-grid 
to grid data mapping. 
:p.Syntax&colon. 
:p.      set dgrid3d {<row_size>} {,{<col_size>} {,<norm>}}
.br
      set nodgrid3d
.br
      show dgrid3d
.br
:p.By default :link reftype=hd res=3584.dgrid3d:elink. is disabled.  When enabled, 3-d data read from a file 
are always treated as a scattered data set.  A grid with dimensions derived 
from a bounding box of the scattered data and size as specified by the 
row/col_size parameters is created for plotting and contouring.  The grid 
is equally spaced in x (rows) and in y (columns); the z values are computed 
as weighted averages of the scattered points' z values. 
:p.The third parameter, norm, controls the weighting&colon.  Each data point is 
weighted inversely by its distance from the grid point raised to the norm 
power.  (Actually, the weights are given by the inverse of dx^norm + dy^norm, 
where dx and dy are the components of the separation of the grid point from 
each data point.  For some norms that are powers of two, specifically 4, 8, 
and 16, the computation is optimized by using the Euclidean distance in the 
weight calculation, (dx^2+dx^2)^norm/2.  However, any non-negative integer 
can be used.) 
:p.The closer the data point is to a grid point, the more effect it has on 
that grid point and the larger the value of norm the less effect more 
distant data points have on that grid point. 
:p.The :link reftype=hd res=3584.dgrid3d:elink. option is a simple low pass filter that converts scattered 
data to a grid data set.  More sophisticated approaches to this problem 
exist and should be used to preprocess the data outside :link reftype=hd res=34.gnuplot:elink. if this 
simple solution is found inadequate. 
:p.(The z values are found by weighting all data points, not by interpolating 
between nearby data points;  also edge effects may produce unexpected and/or 
undesired results.  In some cases, small norm values produce a grid point 
reflecting the average of distant data points rather than a local average, 
while large values of norm may produce "steps" with several grid points 
having the same value as the closest data point, rather than making a smooth 
transition between adjacent data points.  Some areas of a grid may be filled 
by extrapolation, to an arbitrary boundary condition.  The variables are 
not normalized; consequently the units used for x and y will affect the 
relative weights of points in the x and y directions.) 
:p.Examples&colon. 
:p.      set dgrid3d 10,10,1     # defaults
.br
      set dgrid3d ,,4
.br
:p.The first specifies that a grid of size 10 by 10 is to be constructed using 
a norm value of 1 in the weight computation.  The second only modifies the 
norm, changing it to 4. 
:p.:h3 res=3646. dummy
:p.The :link reftype=hd res=3646.set dummy:elink. command changes the default dummy variable names. 
:p.Syntax&colon. 
:p.      set dummy {<dummy-var>} {,<dummy-var>}
.br
      show dummy
.br
:p.By default, :link reftype=hd res=34.gnuplot:elink. assumes that the independent, or "dummy", variable for 
the :link reftype=hd res=2060.plot:elink. command is "t" if in parametric or polar mode, or "x" otherwise. 
Similarly the independent variables for the :link reftype=hd res=8368.splot:elink. command are "u" and "v" 
in parametric mode (:link reftype=hd res=8368.splot:elink. cannot be used in polar mode), or "x" and "y" 
otherwise. 
:p.It may be more convenient to call a dummy variable by a more physically 
meaningful or conventional name.  For example, when plotting time functions&colon. 
:p.:p.      set dummy t
.br
      plot sin(t), cos(t)
.br
:p.At least one dummy variable must be set on the command; :link reftype=hd res=3646.set dummy:elink. by itself 
will generate an error message. 
:p.Examples&colon. 
:p.      set dummy u,v
.br
      set dummy ,s
.br
:p.The second example sets the second variable to s. 
:h3 res=3678. encoding
:p.The :link reftype=hd res=3678.set encoding:elink. command selects a character encoding.  Valid values are 
:hp2.default:ehp2., which tells a terminal to use its default; :hp2.iso_8859_1:ehp2. (known in 
the PostScript world as :hp2.ISO-Latin1:ehp2.), which is used on many Unix workstations 
and with MS-Windows; :hp2.cp850:ehp2., for OS/2; and :hp2.cp437:ehp2., for MS-DOS. 
:p.Syntax&colon. 
:p.      set encoding {<value>}
.br
      show encoding
.br
:p.Note that encoding is not supported by all terminal drivers and that 
the device must be able to produce the desired non-standard characters. 
:h3 res=3695. format
:p.The format of the tic-mark labels can be set with the :link reftype=hd res=3695.set format:elink. command. 
:p.Syntax&colon. 
:p.      set format {<axes>} {"<format-string>"}
.br
      set format {<axes>} {'<format-string>'}
.br
      show format
.br
:p.where <axes> is either :hp2.x:ehp2., :hp2.y:ehp2., :hp2.z:ehp2., :hp2.xy:ehp2., :hp2.x2:ehp2., :hp2.y2:ehp2. or nothing (which is 
the same as :hp2.xy:ehp2.).  The length of the string representing a tic mark (after 
formatting with 'printf') is restricted to 100 characters.  If the format 
string is omitted, the format will be returned to the default "%g".  For 
LaTeX users, the format "$%g$" is often desirable.  If the empty string "" is 
used, no label will be plotted with each tic, though the tic mark will still 
be plotted.  To eliminate all tic marks, use :link reftype=hd res=7984.set noxtics:elink. or :link reftype=hd res=8222.set noytics:elink.. 
:p.Newline (\n) is accepted in the format string.  Use double-quotes rather than 
single-quotes to enable such interpretation.  See also :link reftype=hd res=1265.syntax:elink.. 
:p.The default format for both axes is "%g", but other formats such as "%.2f" or 
"%3.0em" are often desirable.  Anything accepted by 'printf' when given a 
double precision number, and accepted by the terminal, will work.  Some other 
options have been added.  If the format string looks like a floating point 
format, then :link reftype=hd res=34.gnuplot:elink. tries to construct a reasonable format. 
:p.Characters not preceded by "%" are printed verbatim.  Thus you can include 
spaces and labels in your format string, such as "%g m", which will put " m" 
after each number.  If you want "%" itself, double it&colon. "%g %%". 
:p.See also :link reftype=hd res=7984.set xtics:elink. for more information about tic labels. 
:h4 res=3731. format specifiers
:p.The acceptable formats (if not in time/date mode) are&colon. 
:p.:table cols=' 8 54'.
:row.
:c.c l .
:c.
:row.
:c.Format
:c.Explanation
:row.
:c._
:c.
:row.
:c.%f
:c.floating point notation
:row.
:c.%e or %E
:c.exponential notation; an "e" or "E" before the power
:row.
:c.%g or %G
:c.the shorter of %e (or %E) and %f
:row.
:c.%x or %X
:c.hex
:row.
:c.%o or %O
:c.octal
:row.
:c.%t
:c.mantissa to base 10
:row.
:c.%l
:c.mantissa to base of current logscale
:row.
:c.%s
:c.mantissa to base of current logscale; scientific power
:row.
:c.%T
:c.power to base 10
:row.
:c.%L
:c.power to base of current logscale
:row.
:c.%S
:c.scientific power
:row.
:c.%c
:c.character replacement for scientific power
:row.
:c.%P
:c.multiple of pi
:row.
:c._
:c.
:etable.
:p.A 'scientific' power is one such that the exponent is a multiple of three. 
Character replacement of scientific powers (:hp2."%c":ehp2.) has been implemented 
for powers in the range -18 to +18.  For numbers outside of this range the 
format reverts to exponential. 
:p.Other acceptable modifiers (which come after the "%" but before the format 
specifier) are "-", which left-justifies the number; "+", which forces all 
numbers to be explicitly signed; "#", which places a decimal point after 
floats that have only zeroes following the decimal point; a positive integer, 
which defines the field width; "0" (the digit, not the letter) immediately 
preceding the field width, which indicates that leading zeroes are to be used 
instead of leading blanks; and a decimal point followed by a non-negative 
integer, which defines the precision (the minimum number of digits of an 
integer, or the number of digits following the decimal point of a float). 
:p.Some releases of 'printf' may not support all of these modifiers but may also 
support others; in case of doubt, check the appropriate documentation and 
then experiment. 
:p.Examples&colon. 
:p.      set format y "%t"; set ytics (5,10)          # "5.0" and "1.0"
.br
      set format y "%s"; set ytics (500,1000)      # "500" and "1.0"
.br
      set format y "+-12.3f"; set ytics(12345)     # "+12345.000  "
.br
      set format y "%.2t*10^%+03T"; set ytic(12345)# "1.23*10^+04"
.br
      set format y "%s*10^{%S}"; set ytic(12345)   # "12.345*10^{3}"
.br
      set format y "%s %cg"; set ytic(12345)       # "12.345 kg"
.br
      set format y "%.0P pi"; set ytic(6.283185)   # "2 pi"
.br
      set format y "%.0P%%"; set ytic(50)          # "50%"
.br
:p.:p.      set log y 2; set format y '%l'; set ytics (1,2,3)
.br
      #displays "1.0", "1.0" and "1.5" (since 3 is 1.5 * 2^1)
.br
:p.There are some problem cases that arise when numbers like 9.999 are printed 
with a format that requires both rounding and a power. 
:p.If the data type for the axis is time/date, the format string must contain 
valid codes for the 'strftime' function (outside of :link reftype=hd res=34.gnuplot:elink., type "man 
strftime").  See :link reftype=hd res=7488.set timefmt:elink. for a list of the allowed input format codes. 
:h4 res=3827. time/date specifiers
:p.In time/date mode, the acceptable formats are&colon. 
:p.:table cols=' 8 40'.
:row.
:c.c l .
:c.
:row.
:c.Format
:c.Explanation
:row.
:c._
:c.
:row.
:c.%a
:c.abbreviated name of day of the week
:row.
:c.%A
:c.full name of day of the week
:row.
:c.%b or %h
:c.abbreviated name of the month
:row.
:c.%B
:c.full name of the month
:row.
:c.%d
:c.day of the month, 1--31
:row.
:c.%D
:c.shorthand for "%m/%d/%y"
:row.
:c.%H or %k
:c.hour, 0--24
:row.
:c.%I or %l
:c.hour, 0--12
:row.
:c.%j
:c.day of the year, 1--366
:row.
:c.%m
:c.month, 1--12
:row.
:c.%M
:c.minute, 0--60
:row.
:c.%p
:c."am" or "pm"
:row.
:c.%r
:c.shorthand for "%I&colon.%M&colon.%S %p"
:row.
:c.%R
:c.shorthand for %H&colon.%M"
:row.
:c.%S
:c.second, 0--60
:row.
:c.%T
:c.shorthand for "%H&colon.%M&colon.%S"
:row.
:c.%U
:c.week of the year (week starts on Sunday)
:row.
:c.%w
:c.day of the week, 0--6 (Sunday = 0)
:row.
:c.%W
:c.week of the year (week starts on Monday)
:row.
:c.%y
:c.year, 0-99
:row.
:c.%Y
:c.year, 4-digit
:row.
:c._
:c.
:etable.
:p.Except for the non-numerical formats, these may be preceded by a "0" ("zero", 
not "oh") to pad the field length with leading zeroes, and a positive digit, 
to define the minimum field width (which will be overridden if the specified 
width is not large enough to contain the number).  There is a 24-character 
limit to the length of the printed text; longer strings will be truncated. 
:p.Examples&colon. 
:p.Suppose the text is "76/12/25 23&colon.11&colon.11".  Then 
:p.      set format x                 # defaults to "12/25/76" \n "23&colon.11"
.br
      set format x "%A, %d %b %Y"  # "Saturday, 25 Dec 1976"
.br
      set format x "%r %d"         # "11&colon.11&colon.11 pm 12/25/76"
.br
:p.Suppose the text is "98/07/06 05&colon.04&colon.03".  Then 
:p.      set format x "%1y/%2m/%3d %01H&colon.%02M&colon.%03S"  # "98/ 7/  6 5&colon.04&colon.003"
.br
:h3 res=3924. function style
:p.The :link reftype=hd res=3924.set function style:elink. command changes the default plotting style for 
function plots. 
:p.Syntax&colon. 
:p.      set function style <style-choice>
.br
      show function style
.br
:p.See :link reftype=hd res=4989.set style:elink. for the choices.  If no choice is given, the choices are 
listed.  :link reftype=hd res=3924.show function style:elink. shows the current default function plotting 
style. 
:h3 res=3940. functions
:p.The :link reftype=hd res=3940.show functions:elink. command lists all user-defined functions and their 
definitions. 
:p.Syntax&colon. 
:p.      show functions
.br
:p.For information about the definition and usage of functions in :link reftype=hd res=34.gnuplot:elink., 
please see :link reftype=hd res=476.expressions:elink.. 
:h3 res=3953. grid
:p.The :link reftype=hd res=3953.set grid:elink. command allows grid lines to be drawn on the plot. 
:p.Syntax&colon. 
:p.      set grid {{no}{m}xtics} {{no}{m}ytics} {{no}{m}ztics}
.br
               {{no}{m}x2tics} {{no}{m}y2tics}
.br
               {polar {<angle>}}
.br
               { {linestyle <major_linestyle>}
.br
                 | {linetype | lt <major_linetype>}
.br
                   {linewidth | lw <major_linewidth>}
.br
                 { , {linestyle | ls <minor_linestyle>}
.br
                     | {linetype | lt <minor_linetype>}
.br
                       {linewidth | lw <minor_linewidth>} } }
.br
      set nogrid
.br
      show grid
.br
:p.The grid can be enabled and disabled for the major and/or minor tic 
marks on any axis, and the linetype and linewidth can be specified 
for major and minor grid lines, also via a predefined linestyle, as 
far as the active terminal driver supports this. 
:p.Additionally, a polar grid can be selected for 2-d plots---circles are drawn 
to intersect the selected tics, and radial lines are drawn at definable 
intervals.  (The interval is given in degrees or radians ,depending on the 
:link reftype=hd res=2988.set angles:elink. setting.)  Note that a polar grid is no longer automatically 
generated in polar mode. 
:p.The pertinent tics must be enabled before :link reftype=hd res=3953.set grid:elink. can draw them; :link reftype=hd res=34.gnuplot:elink. 
will quietly ignore instructions to draw grid lines at non-existent tics, but 
they will appear if the tics are subsequently enabled. 
:p.If no linetype is specified for the minor gridlines, the same linetype as the 
major gridlines is used.  The default polar angle is 30 degrees. 
:p.By default, grid lines are drawn with half the usual linewidth. The major and 
minor linewidth specifiers scale this default value; for example, :hp2.set grid 
lw .5:ehp2. will draw grid lines with one quarter the usual linewidth. 
:p.Z grid lines are drawn on the back of the plot.  This looks better if a 
partial box is drawn around the plot---see :link reftype=hd res=3236.set border:elink.. 
:h3 res=4001. hidden3d
:p.The :link reftype=hd res=4001.set hidden3d:elink. command enables hidden line removal for surface plotting 
(see :link reftype=hd res=8368.splot:elink.).  Some optional features of the underlying algorithm can also 
be controlled using this command. 
:p.Syntax&colon. 
:p.      set hidden3d {defaults} |
.br
                   { {{offset <offset>} | {nooffset}}
.br
                     {trianglepattern <bitpattern>}
.br
                     {{undefined <level>} | {noundefined}}
.br
                     {{no}altdiagonal}
.br
                     {{no}bentover} }
.br
      set nohidden3d
.br
      show hidden3d
.br
:p.In contrast to the usual display in gnuplot, hidden line removal actually 
treats the given function or data grids as real surfaces that can't be seen 
through, so parts behind the surface will be hidden by it.  For this to be 
possible, the surface needs to have 'grid structure' (see :link reftype=hd res=8405.splot datafile:elink. 
about this), and it has to be drawn :hp2.with lines:ehp2. or :hp2.with linespoints:ehp2.. 
:p.When :link reftype=hd res=4001.hidden3d:elink. is set, both the hidden portion of the surface and possibly 
its contours drawn on the base (see :link reftype=hd res=3518.set contour:elink.) as well as the grid will 
be hidden.  Each surface has its hidden parts removed with respect to itself 
and to other surfaces, if more than one surface is plotted.  Contours drawn 
on the surface (:hp2.set contour surface:ehp2.) don't work.  Labels and arrows are 
always visible and are unaffected.  The key is also never hidden by the 
surface. 
:p.Functions are evaluated at isoline intersections.  The algorithm interpolates 
linearly between function points or data points when determining the visible 
line segments.  This means that the appearance of a function may be different 
when plotted with :link reftype=hd res=4001.hidden3d:elink. than when plotted with :link reftype=hd res=4001.nohidden3d:elink. because in 
the latter case functions are evaluated at each sample.  Please see :hp2.set 
samples:ehp2. and :link reftype=hd res=4109.set isosamples:elink. for discussion of the difference. 
:p.The algorithm used to remove the hidden parts of the surfaces has some 
additional features controllable by this command.  Specifying :hp2.defaults:ehp2. will 
set them all to their default settings, as detailed below.  If :hp2.defaults:ehp2. is 
not given, only explicitly specified options will be influenced&colon. all others 
will keep their previous values, so you can turn on/off hidden line removal 
via :hp2.set {no}hidden3d:ehp2., without modifying the set of options you chose. 
:p.The first option, :hp2.offset:ehp2., influences the linestyle used for lines on the 
'back' side.  Normally, they are drawn in a linestyle one index number higher 
than the one used for the front, to make the two sides of the surface 
distinguishable.  You can specify a different line style offset to add 
instead of the default 1, by :hp2.offset <offset>:ehp2..  Option :hp2.nooffset:ehp2. stands for 
:hp2.offset 0:ehp2., making the two sides of the surface use the same linestyle. 
:p.Next comes the option :hp2.trianglepattern <bitpattern>:ehp2..  <bitpattern> must be 
a number between 0 and 7, interpreted as a bit pattern.  Each bit determines 
the visibility of one edge of the triangles each surface is split up into. 
Bit 0 is for the 'horizontal' edges of the grid, Bit 1 for the 'vertical' 
ones, and Bit 2 for the diagonals that split each cell of the original grid 
into two triangles.  The default pattern is 3, making all horizontal and 
vertical lines visible, but not the diagonals.  You may want to choose 7 to 
see those diagonals as well. 
:p.The :hp2.undefined <level>:ehp2. option lets you decide what the algorithm is to do 
with data points that are undefined (missing data, or undefined function 
values), or exceed the given x-, y- or z-ranges.  Such points can either be 
plotted nevertheless, or taken out of the input data set.  All surface 
elements touching a point that is taken out will be taken out as well, thus 
creating a hole in the surface.  If <level> = 3, equivalent to option 
:hp2.noundefined:ehp2., no points will be thrown away at all.  This may produce all 
kinds of problems elsewhere, so you should avoid this.  <level> = 2 will 
throw away undefined points, but keep the out-of-range ones.  <level> = 1, 
the default, will get rid of out-of-range points as well. 
:p.By specifying :hp2.noaltdiagonal:ehp2., you can override the default handling of a 
special case can occur if :hp2.undefined:ehp2. is active (i.e. <level> is not 3). 
Each cell of the grid-structured input surface will be divided in two 
triangles along one of its diagonals.  Normally, all these diagonals have 
the same orientation relative to the grid.  If exactly one of the four cell 
corners is excluded by the :hp2.undefined:ehp2. handler, and this is on the usual 
diagonal, both triangles will be excluded.  However if the default setting 
of :hp2.altdiagonal:ehp2. is active, the other diagonal will be chosen for this cell 
instead, minimizing the size of the hole in the surface. 
:p.The :hp2.bentover:ehp2. option controls what happens to another special case, this 
time in conjunction with the :hp2.trianglepattern:ehp2..  For rather crumply surfaces, 
it can happen that the two triangles a surface cell is divided into are seen 
from opposite sides (i.e. the original quadrangle is 'bent over'), as 
illustrated in the following ASCII art&colon. 
:p.:p.                                                              C----B
.br
    original quadrangle&colon.  A--B      displayed quadrangle&colon.     |\   |
.br
      ("set view 0,0")    | /|    ("set view 75,75" perhaps)  | \  |
.br
                          |/ |                                |  \ |
.br
                          C--D                                |   \|
.br
                                                              A    D
.br
:p.If the diagonal edges of the surface cells aren't generally made visible by 
bit 2 of the <bitpattern> there, the edge CB above wouldn't be drawn at all, 
normally, making the resulting display hard to understand.  Therefore, the 
default option of :hp2.bentover:ehp2. will turn it visible in this case.  If you don't 
want that, you may choose :hp2.nobentover:ehp2. instead. 
:h3 res=4109. isosamples
:p.The isoline density (grid) for plotting functions as surfaces may be changed 
by the :link reftype=hd res=4109.set isosamples:elink. command. 
:p.Syntax&colon. 
:p.      set isosamples <iso_1> {,<iso_2>}
.br
      show isosamples
.br
:p.Each function surface plot will have <iso_1> iso-u lines and <iso_2> iso-v 
lines.  If you only specify <iso_1>, <iso_2> will be set to the same value 
as <iso_1>.  By default, sampling is set to 10 isolines per u or v axis. 
A higher sampling rate will produce more accurate plots, but will take longer. 
These parameters have no effect on data file plotting. 
:p.An isoline is a curve parameterized by one of the surface parameters while 
the other surface parameter is fixed.  Isolines provide a simple means to 
display a surface.  By fixing the u parameter of surface s(u,v), the iso-u 
lines of the form c(v) = s(u0,v) are produced, and by fixing the v parameter, 
the iso-v lines of the form c(u) = s(u,v0) are produced. 
:p.When a function surface plot is being done without the removal of hidden 
lines, :link reftype=hd res=4905.set samples:elink.  controls the number of points sampled along each 
isoline;  see :link reftype=hd res=4905.set samples:elink. and :link reftype=hd res=4001.set hidden3d:elink..  The contour algorithm 
assumes that a function sample occurs at each isoline intersection, so 
change in :link reftype=hd res=4905.samples:elink. as well as :link reftype=hd res=4109.isosamples:elink. may be desired when changing 
the resolution of a function surface/contour. 
:h3 res=4140. key
:p.The :link reftype=hd res=4140.set key:elink. enables a key (or legend) describing plots on a plot. 
:p.The contents of the key, i.e., the names given to each plotted data set and 
function and samples of the lines and/or symbols used to represent them, are 
determined by the :link reftype=hd res=2714.title:elink. and :link reftype=hd res=2755.with:elink. options of the {:hp2.s:ehp2.}:link reftype=hd res=2060.plot:elink. command. 
Please see :link reftype=hd res=2714.plot title:elink. and :link reftype=hd res=2755.plot with:elink. for more information. 
:p.Syntax&colon. 
:p.      set key {  left | right | top | bottom | outside | below
.br
               | <position>}
.br
              {Left | Right} {{no}reverse}
.br
              {samplen <sample_length>} {spacing <vertical_spacing>}
.br
              {width <width_increment>}
.br
              {title "<text>"}
.br
              {{no}box { {linestyle | ls <line_style>}
.br
                         | {linetype | lt <line_type>}
.br
                           {linewidth | lw <line_width>}}}
.br
      set nokey
.br
      show key
.br
:p.By default the key is placed in the upper right corner of the graph.  The 
keywords :hp2.left:ehp2., :hp2.right:ehp2., :hp2.top:ehp2., :hp2.bottom:ehp2., :hp2.outside:ehp2. and :hp2.below:ehp2. may be used 
to place the key in the other corners inside the graph or to the right 
(outside) or below the graph.  They may be given alone or combined. 
:p.Justification of the labels within the key is controlled by :hp2.Left:ehp2. or :hp2.Right:ehp2. 
(default is :hp2.Right:ehp2.).  The text and sample can be reversed (:hp2.reverse:ehp2.) and a 
box can be drawn around the key (:hp2.box {...}:ehp2.) in a specified :hp2.linetype:ehp2. 
and :link reftype=hd res=6005.linewidth:elink., or a user-defined :link reftype=hd res=4334.linestyle:elink.. Note that not all 
terminal drivers support linewidth selection, though. 
:p.The length of the sample line can be controlled by :hp2.samplen:ehp2..  The sample 
length is computed as the sum of the tic length and <sample_length> times the 
character width.  :hp2.samplen:ehp2. also affects the positions of point samples in 
the key since these are drawn at the midpoint of the sample line, even if it 
is not drawn.  <sample_length> must be an integer. 
:p.The vertical spacing between lines is controlled by :hp2.spacing:ehp2..  The spacing 
is set equal to the product of the pointsize, the vertical tic size, and 
<vertical_spacing>.  The program will guarantee that the vertical spacing is 
no smaller than the character height. 
:p.The <width_increment> is a number of character widths to be added to or 
subtracted from the length of the string.  This is useful only when you are 
putting a box around the key and you are using control characters in the text. 
:link reftype=hd res=34.gnuplot:elink. simply counts the number of characters in the string when computing 
the box width; this allows you to correct it. 
:p.A title can be put on the key (:hp2.title "<text>":ehp2.)---see also :link reftype=hd res=1265.syntax:elink. for the 
distinction between text in single- or double-quotes.  The key title uses the 
same justification as do the plot titles. 
:p.The defaults for :link reftype=hd res=4140.set key:elink. are :hp2.right:ehp2., :hp2.top:ehp2., :hp2.Right:ehp2., :hp2.noreverse:ehp2., :hp2.samplen 
4:ehp2., :hp2.spacing 1.25:ehp2., :hp2.title "":ehp2., and :hp2.nobox:ehp2..  The default <linetype> is the 
same as that used for the plot borders.  Entering :link reftype=hd res=4140.set key:elink. with no options 
returns the key to its default configuration. 
:p.The <position> can be a simple x,y,z as in previous versions, but these can 
be preceded by one of four keywords (:hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2., :hp2.screen:ehp2.) 
which selects the coordinate system in which the position is specified.  See 
:link reftype=hd res=413.coordinates:elink. for more details. 
:p.The key is drawn as a sequence of lines, with one plot described on each 
line.  On the right-hand side (or the left-hand side, if :hp2.reverse:ehp2. is 
selected) of each line is a representation that attempts to mimic the way the 
curve is plotted.  On the other side of each line is the text description 
(the line title), obtained from the :link reftype=hd res=2060.plot:elink. command.  The lines are vertically 
arranged so that an imaginary straight line divides the left- and right-hand 
sides of the key.  It is the coordinates of the top of this line that are 
specified with the :link reftype=hd res=4140.set key:elink. command.  In a :link reftype=hd res=2060.plot:elink., only the x and y 
coordinates are used to specify the line position.  For a :link reftype=hd res=8368.splot:elink., x, y and 
z are all used as a 3-d location mapped using the same mapping as the graph 
itself to form the required 2-d screen position of the imaginary line. 
:p.Some or all of the key may be outside of the graph boundary, although this 
may interfere with other labels and may cause an error on some devices.  If 
you use the keywords :hp2.outside:ehp2. or :hp2.below:ehp2., :link reftype=hd res=34.gnuplot:elink. makes space for the keys 
and the graph becomes smaller.  Putting keys outside to the right, they 
occupy as few columns as possible, and putting them below, as many columns as 
possible (depending of the length of the labels), thus stealing as little 
space from the graph as possible. 
:p.When using the TeX or PostScript drivers, or similar drivers where formatting 
information is embedded in the string, :link reftype=hd res=34.gnuplot:elink. is unable to calculate 
correctly the width of the string for key positioning.  If the key is to be 
positioned at the left, it may be convenient to use the combination  :hp2.set key 
left Left reverse:ehp2..  The box and gap in the grid will be the width of the 
literal string. 
:p.If :link reftype=hd res=8368.splot:elink. is being used to draw contours, the contour labels will be listed 
in the key.  If the alignment of these labels is poor or a different number 
of decimal places is desired, the label format can be specified.  See :hp2.set 
clabel:ehp2. for details. 
:p.Examples&colon. 
:p.This places the key at the default location&colon. 
:p.      set key
.br
:p.This disables the key&colon. 
:p.      set nokey
.br
:p.This places a key at coordinates 2,3.5,2 in the default (first) coordinate 
system&colon. 
:p.      set key 2,3.5,2
.br
:p.This places the key below the graph&colon. 
:p.      set key below
.br
:p.This places the key in the bottom left corner, left-justifies the text, 
gives it a title, and draws a box around it in linetype 3&colon. 
:p.      set key left bottom Left title 'Legend' box 3
.br
:h3 res=4262. label
:p.Arbitrary labels can be placed on the plot using the :link reftype=hd res=4262.set label:elink. command. 
:p.Syntax&colon. 
:p.      set label {<tag>} {"<label_text>"} {at <position>}
.br
                {<justification>} {{no}rotate} {font "<name><,size>"}
.br
      set nolabel {<tag>}
.br
      show label
.br
:p.The <position> is specified by either x,y or x,y,z, and may be preceded by 
:hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2., or :hp2.screen:ehp2. to select the coordinate system. 
See :link reftype=hd res=413.coordinates:elink. for details. 
:p.The tag is an integer that is used to identify the label. If no <tag> is 
given, the lowest unused tag value is assigned automatically.  The tag can be 
used to delete or modify a specific label.  To change any attribute of an 
existing label, use the :link reftype=hd res=4262.set label:elink. command with the appropriate tag, and 
specify the parts of the label to be changed. 
:p.By default, the text is placed flush left against the point x,y,z.  To adjust 
the way the label is positioned with respect to the point x,y,z, add the 
parameter <justification>, which may be :hp2.left:ehp2., :hp2.right:ehp2. or :hp2.center:ehp2., 
indicating that the point is to be at the left, right or center of the text. 
Labels outside the plotted boundaries are permitted but may interfere with 
axis labels or other text. 
:p.If :link reftype=hd res=6013.rotate:elink. is given, the label is written vertically (if the terminal can do 
so, of course). 
:p.If one (or more) axis is timeseries, the appropriate coordinate should be 
given as a quoted time string according to the :link reftype=hd res=7488.timefmt:elink. format string.  See 
:link reftype=hd res=7761.set xdata:elink. and :link reftype=hd res=7488.set timefmt:elink.. 
:p.The EEPIC, Imagen, LaTeX, and TPIC drivers allow \\ in a string to specify 
a newline. 
:p.Examples&colon. 
:p.To set a label at (1,2) to "y=x", use&colon. 
:p.      set label "y=x" at 1,2
.br
:p.To set a Sigma of size 24, from the Symbol font set, at the center of 
the graph, use&colon. 
:p.      set label "S" at graph 0.5,0.5 center font "Symbol,24"
.br
:p.To set a label "y=x^2" with the right of the text at (2,3,4), and tag the 
label as number 3, use&colon. 
:p.      set label 3 "y=x^2" at 2,3,4 right
.br
:p.To change the preceding label to center justification, use&colon. 
:p.      set label 3 center
.br
:p.To delete label number 2, use&colon. 
:p.      set nolabel 2
.br
:p.To delete all labels, use&colon. 
:p.      set nolabel
.br
:p.To show all labels (in tag order), use&colon. 
:p.      show label
.br
:p.To set a label on a graph with a timeseries on the x axis, use, for example&colon. 
:p.      set timefmt "%d/%m/%y,%H&colon.%M"
.br
      set label "Harvest" at "25/8/93",1
.br
:h3 res=4334. linestyle
:p.Each terminal has a default set of line and point types, which can be seen 
by using the command :link reftype=hd res=8611.test:elink..  :link reftype=hd res=4334.set linestyle:elink. defines a set of line types 
and widths and point types and sizes so that you can refer to them later by 
an index instead of repeating all the information at each invocation. 
:p.Syntax&colon. 
:p.      set linestyle <index> {linetype | lt <line_type>}
.br
                            {linewidth | lw <line_width>}
.br
                            {pointtype | pt <point_type>}
.br
                            {pointsize | ps <point_size>}
.br
      set nolinestyle
.br
      show linestyle
.br
:p.The line and point types are taken from the default types for the terminal 
currently in use.  The line width and point size are multipliers for the 
default width and size (but note that <point_size> here is unaffected by 
the multiplier given on 'set pointsize'). 
:p.The defaults for the line and point types is the index.  The defaults for 
the width and size are both unity. 
:p.Linestyles created by this mechanism do not replace the default styles; 
both may be used. 
:p.Not all terminals support the :link reftype=hd res=6005.linewidth:elink. and :link reftype=hd res=4812.pointsize:elink. features; if 
not supported, the option will be ignored. 
:p.Note that this feature is not completely implemented; linestyles defined by 
this mechanism may be used with 'plot', 'splot', 'replot', and 'set arrow', 
but not by other commands that allow the default index to be used, such as 
'set grid'. 
:p.Example&colon. 
Suppose that the default lines for indices 1, 2, and 3 are red, green, and 
blue, respectively, and the default point shapes for the same indices are a 
square, a cross, and a triangle, respectively.  Then 
:p.:p.      set linestyle 1 lt 2 lw 2 pt 3 ps 0.5
.br
:p.defines a new linestyle that is green and twice the default width and a new 
pointstyle that is a half-sized triangle.  The commands 
:p.:p.      set function style lines
.br
      plot f(x) lt 3, g(x) ls 1
.br
:p.will create a plot of f(x) using the default blue line and a plot of g(x) 
using the user-defined wide green line.  Similarly the commands 
:p.:p.      set function style linespoints
.br
      plot p(x) lt 1 pt 3, q(x) ls 1
.br
:p.will create a plot of f(x) using the default triangles connected by a red 
line and q(x) using small triangles connected by a green line. 
:h3 res=4395. lmargin
:p.The command :link reftype=hd res=4395.set lmargin:elink. sets the size of the left margin.  Please see 
:link reftype=hd res=4490.set margin:elink. for details. 
:h3 res=4401. locale
:p.The :link reftype=hd res=4401.locale:elink. setting determines the language with which :hp2.{x,y,z}{d,m}tics:ehp2. 
will write the days and months. 
:p.Syntax&colon. 
:p.      set locale {"<locale>"}
.br
:p.<locale> may be any language designation acceptable to your installation. 
See your system documentation for the available options.  The default value 
is determined from the LANG environment variable. 
:h3 res=4416. logscale
:p.Log scaling may be set on the x, y, z, x2 and/or y2 axes. 
:p.Syntax&colon. 
:p.      set logscale <axes> <base>
.br
      set nologscale <axes>
.br
      show logscale
.br
:p.where <axes> may be any combinations of :hp2.x:ehp2., :hp2.y:ehp2., and :hp2.z:ehp2., in any order, or 
:hp2.x2:ehp2. or :hp2.y2:ehp2. and where <base> is the base of the log scaling.  If <base> is 
not given, then 10 is assumed.  If <axes> is not given, then all axes are 
assumed.  :link reftype=hd res=4416.set nologscale:elink. turns off log scaling for the specified axes. 
:p.Examples&colon. 
:p.To enable log scaling in both x and z axes&colon. 
:p.      set logscale xz
.br
:p.To enable scaling log base 2 of the y axis&colon. 
:p.      set logscale y 2
.br
:p.To disable z axis log scaling&colon. 
:p.      set nologscale z
.br
:h3 res=4447. mapping
:p.If data are provided to :link reftype=hd res=8368.splot:elink. in spherical or cylindrical coordinates, 
the :link reftype=hd res=4447.set mapping:elink. command should be used to instruct :link reftype=hd res=34.gnuplot:elink. how to 
interpret them. 
:p.Syntax&colon. 
:p.      set mapping {cartesian | spherical | cylindrical}
.br
:p.A cartesian coordinate system is used by default. 
:p.For a spherical coordinate system, the data occupy two or three columns (or 
:link reftype=hd res=2465.using:elink. entries).  The first two are interpreted as the azimuthal and polar 
angles theta and phi (in the units specified by :link reftype=hd res=2988.set angles:elink.).  The radius r 
is taken from the third column if there is one, or is set to unity if there 
is no third column.  The mapping is&colon. 
:p.:p.      x = r * cos(theta) * cos(phi)
.br
      y = r * sin(theta) * cos(phi)
.br
      z = r * sin(phi)
.br
:p.Note that this is a "geographic" spherical system, rather than a "polar" one. 
:p.For a cylindrical coordinate system, the data again occupy two or three 
columns.  The first two are interpreted as theta (in the units specified by 
:link reftype=hd res=2988.set angles:elink.) and z.  The radius is either taken from the third column or set 
to unity, as in the spherical case.  The mapping is&colon. 
:p.:p.      x = r * cos(theta)
.br
      y = r * sin(theta)
.br
      z = z
.br
:p.The effects of :link reftype=hd res=4447.mapping:elink. can be duplicated with the :link reftype=hd res=2465.using:elink. filter on the 
:link reftype=hd res=8368.splot:elink. command, but :link reftype=hd res=4447.mapping:elink. may be more convenient if many data files are 
to be processed.  However even if :link reftype=hd res=4447.mapping:elink. is used, :link reftype=hd res=2465.using:elink. may still be 
necessary if the data in the file are not in the required order. 
:p.:link reftype=hd res=4447.mapping:elink. has no effect on :link reftype=hd res=2060.plot:elink.. 
:h3 res=4490. margin
:p.The computed margins can be overridden by the :link reftype=hd res=4490.set margin:elink. commands.  :hp2.show 
margin:ehp2. shows the current settings. 
:p.Syntax&colon. 
:p.      set bmargin {<margin>}
.br
      set lmargin {<margin>}
.br
      set rmargin {<margin>}
.br
      set tmargin {<margin>}
.br
      show margin
.br
:p.The units of <margin> are character heights or widths, as appropriate.  A 
positive value defines the absolute size of the margin.  A negative value 
(or none) causes :link reftype=hd res=34.gnuplot:elink. to revert to the computed value. 
:p.Normally the margins of a plot are automatically calculated based on tics, 
tic labels, axis labels, the plot title, the timestamp and the size of the 
key if it is outside the borders.  If, however, tics are attached to the 
axes (:hp2.set xtics axis:ehp2., for example), neither the tics themselves nor their 
labels will be included in either the margin calculation or the calculation 
of the positions of other text to be written in the margin.  This can lead 
to tic labels overwriting other text if the axis is very close to the border. 
:h3 res=4517. missing
:p.The :link reftype=hd res=4517.set missing:elink. command allows you to tell :link reftype=hd res=34.gnuplot:elink. what character is 
used in a data file to denote missing data. 
:p.Syntax&colon. 
:p.      set missing {"<character>"}
.br
      show missing
.br
:p.Example&colon. 
:p.      set missing "?"
.br
:p.would mean that, when plotting a file containing 
:p.:p.         1 1
.br
         2 ?
.br
         3 2
.br
:p.the middle line would be ignored. 
:p.There is no default character for :link reftype=hd res=4517.missing:elink.. 
:h3 res=4540. multiplot
:p.The command :link reftype=hd res=4540.set multiplot:elink. places :link reftype=hd res=34.gnuplot:elink. in the multiplot mode, in which 
several plots are placed on the same page, window, or screen. 
:p.Syntax&colon. 
:p.      set multiplot
.br
      set nomultiplot
.br
:p.For some terminals, no plot is displayed until the command :link reftype=hd res=4540.set nomultiplot:elink. 
is given, which causes the entire page to be drawn and then returns :link reftype=hd res=34.gnuplot:elink. 
to its normal single-plot mode.  For other terminals, each separate :link reftype=hd res=2060.plot:elink. 
command produces a plot, but the screen may not be cleared between plots. 
:p.Any labels or arrows that have been defined will be drawn for each plot 
according to the current size and origin (unless their coordinates are 
defined in the :hp2.screen:ehp2. system).  Just about everything else that can be 
:link reftype=hd res=2973.set:elink. is applied to each plot, too.  If you want something to appear only 
once on the page, for instance a single time stamp, you'll need to put a :hp2.set 
time:ehp2./:hp2.set notime:ehp2. pair around one of the :link reftype=hd res=2060.plot:elink., :link reftype=hd res=8368.splot:elink. or :link reftype=hd res=2869.replot:elink. 
commands within the :link reftype=hd res=4540.set multiplot:elink./:link reftype=hd res=4540.set nomultiplot:elink. block. 
:p.The commands :link reftype=hd res=4711.set origin:elink. and :link reftype=hd res=4932.set size:elink. must be used to correctly position 
each plot; see :link reftype=hd res=4711.set origin:elink. and :link reftype=hd res=4932.set size:elink. for details of their usage. 
:p.Example&colon. 
:p.      set size 0.7,0.7
.br
      set origin 0.1,0.1
.br
      set multiplot
.br
      set size 0.4,0.4
.br
      set origin 0.1,0.1
.br
      plot sin(x)
.br
      set size 0.2,0.2
.br
      set origin 0.5,0.5
.br
      plot cos(x)
.br
      set nomultiplot
.br
:p.displays a plot of cos(x) stacked above a plot of sin(x).  Note the initial 
:link reftype=hd res=4932.set size:elink. and :link reftype=hd res=4711.set origin:elink..  While these are not always required, their 
inclusion is recommended.  Some terminal drivers require that bounding box 
information be available before any plots can be made, and the form given 
above guarantees that the bounding box will include the entire plot array 
rather than just the bounding box of the first plot. 
:p.:link reftype=hd res=4932.set size:elink. and :link reftype=hd res=4711.set origin:elink. refer to the entire plotting area used for each 
plot.  If you want to have the axes themselves line up, you can guarantee 
that the margins are the same size with the :link reftype=hd res=4490.set margin:elink. commands.  See 
:link reftype=hd res=4490.set margin:elink. for their use.  Note that the margin settings are absolute, 
in character units, so the appearance of the graph in the remaining space 
will depend on the screen size of the display device, e.g., perhaps quite 
different on a video display and a printer. 
:h3 res=4597. mx2tics
:p.Minor tic marks along the x2 (top) axis are controlled by :link reftype=hd res=4597.set mx2tics:elink.. 
Please see :link reftype=hd res=4608.set mxtics:elink.. 
:h3 res=4608. mxtics
:p.Minor tic marks along the x axis are controlled by :link reftype=hd res=4608.set mxtics:elink..  They can be 
turned off with :link reftype=hd res=4608.set nomxtics:elink..  Similar commands control minor tics along 
the other axes. 
:p.Syntax&colon. 
:p.      set mxtics {<freq> | default}
.br
      set nomxtics
.br
      show mxtics
.br
:p.The same syntax applies to :link reftype=hd res=4657.mytics:elink., :link reftype=hd res=4668.mztics:elink., :link reftype=hd res=4597.mx2tics:elink. and :link reftype=hd res=4646.my2tics:elink.. 
:p.<freq> is the number of sub-intervals (NOT the number of minor tics) between 
major tics (ten is the default for a linear axis, so there are nine minor 
tics between major tics). Selecting :hp2.default:ehp2. will return the number of minor 
ticks to its default value. 
:p.If the axis is logarithmic, the number of sub-intervals will be set to a 
reasonable number by default (based upon the length of a decade).  This will 
be overridden if <freq> is given.  However the usual minor tics (2, 3, ..., 
8, 9 between 1 and 10, for example) are obtained by setting <freq> to 10, 
even though there are but nine sub-intervals. 
:p.Minor tics can be used only with uniformly spaced major tics.  Since major 
tics can be placed arbitrarily by :hp2.set {x|x2|y|y2|z}tics:ehp2., minor tics cannot 
be used if major tics are explicitly :link reftype=hd res=2973.set:elink.. 
:p.By default, minor tics are off for linear axes and on for logarithmic axes. 
They inherit the settings for :hp2.axis|border:ehp2. and :hp2.{no}mirror:ehp2. specified for 
the major tics.  Please see :link reftype=hd res=7984.set xtics:elink. for information about these. 
:h3 res=4646. my2tics
:p.Minor tic marks along the y2 (right-hand) axis are controlled by :hp2.set 
my2tics:ehp2..  Please see :link reftype=hd res=4608.set mxtics:elink.. 
:h3 res=4657. mytics
:p.Minor tic marks along the y axis are controlled by :link reftype=hd res=4657.set mytics:elink..  Please 
see :link reftype=hd res=4608.set mxtics:elink.. 
:h3 res=4668. mztics
:p.Minor tic marks along the z axis are controlled by :link reftype=hd res=4668.set mztics:elink..  Please 
see :link reftype=hd res=4608.set mxtics:elink.. 
:h3 res=4679. offsets
:p.Offsets provide a mechanism to put a boundary around the data inside of an 
autoscaled graph. 
:p.Syntax&colon. 
:p.      set offsets <left>, <right>, <top>, <bottom>
.br
      set nooffsets
.br
      show offsets
.br
:p.Each offset may be a constant or an expression.  Each defaults to 0.  Left 
and right offsets are given in units of the x axis, top and bottom offsets in 
units of the y axis.  A positive offset expands the graph in the specified 
direction, e.g., a positive bottom offset makes ymin more negative.  Negative 
offsets, while permitted, can have unexpected interactions with autoscaling 
and clipping. 
:p.Offsets are ignored in :link reftype=hd res=8368.splot:elink.s. 
:p.Example&colon. 
:p.      set offsets 0, 0, 2, 2
.br
      plot sin(x)
.br
:p.This graph of sin(x) will have a y range [-3&colon.3] because the function 
will be autoscaled to [-1&colon.1] and the vertical offsets are each two. 
:h3 res=4711. origin
:p.The :link reftype=hd res=4711.set origin:elink. command is used to specify the origin of a plotting surface 
(i.e., the graph and its margins) on the screen.  The coordinates are given 
in the :hp2.screen:ehp2. coordinate system (see :link reftype=hd res=413.coordinates:elink. for information about 
this system). 
:p.Syntax&colon. 
:p.      set origin <x-origin>,<y-origin>
.br
:h3 res=4724. output
:p.By default, screens are displayed to the standard output. The :link reftype=hd res=4724.set output:elink. 
command redirects the display to the specified file or device. 
:p.Syntax&colon. 
:p.      set output {"<filename>"}
.br
      show output
.br
:p.The filename must be enclosed in quotes.  If the filename is omitted, any 
output file opened by a previous invocation of :link reftype=hd res=4724.set output:elink. will be closed 
and new output will be sent to STDOUT.  (If you give the command :hp2.set output 
"STDOUT":ehp2., your output may be sent to a file named "STDOUT"!  ["May be", not 
"will be", because some terminals, like :link reftype=hd res=5465.x11:elink., ignore :link reftype=hd res=4724.set output:elink..]) 
:p.MSDOS users should note that the \ character has special significance in 
double-quoted strings, so single-quotes should be used for filenames in 
different directories. 
:p.When both :link reftype=hd res=5284.set terminal:elink. and :link reftype=hd res=4724.set output:elink. are used together, it is safest to 
give :link reftype=hd res=5284.set terminal:elink. first, because some terminals set a flag which is needed 
in some operating systems.  This would be the case, for example, if the 
operating system needs to know whether or not a file is to be formatted in 
order to open it properly. 
:p.On machines with popen functions (Unix), output can be piped through a shell 
command if the first non-whitespace character of the filename is '|'. 
For instance, 
:p.:p.      set output "|lpr -Plaser filename"
.br
      set output "|lp -dlaser filename"
.br
:p.On MSDOS machines, :hp2.set output "PRN":ehp2. will direct the output to the default 
printer.  On VMS, output can be sent directly to any spooled device.  It is 
also possible to send the output to DECnet transparent tasks, which allows 
some flexibility. 
:h3 res=4764. parametric
:p.The :link reftype=hd res=4764.set parametric:elink. command changes the meaning of :link reftype=hd res=2060.plot:elink. (:link reftype=hd res=8368.splot:elink.) from 
normal functions to parametric functions.  The command :link reftype=hd res=4764.set noparametric:elink. 
restores the plotting style to normal, single-valued expression plotting. 
:p.Syntax&colon. 
:p.      set parametric
.br
      set noparametric
.br
      show parametric
.br
:p.For 2-d plotting, a parametric function is determined by a pair of parametric 
functions operating on a parameter.  An example of a 2-d parametric function 
would be :hp2.plot sin(t),cos(t):ehp2., which draws a circle (if the aspect ratio is 
set correctly---see :link reftype=hd res=4932.set size:elink.).  :link reftype=hd res=34.gnuplot:elink. will display an error message if 
both functions are not provided for a parametric :link reftype=hd res=2060.plot:elink.. 
:p.For 3-d plotting, the surface is described as x=f(u,v), y=g(u,v), z=h(u,v). 
Therefore a triplet of functions is required.  An example of a 3-d parametric 
function would be :hp2.cos(u)*cos(v),cos(u)*sin(v),sin(u):ehp2., which draws a sphere. 
:link reftype=hd res=34.gnuplot:elink. will display an error message if all three functions are not 
provided for a parametric :link reftype=hd res=8368.splot:elink.. 
:p.The total set of possible plots is a superset of the simple f(x) style plots, 
since the two functions can describe the x and y values to be computed 
separately.  In fact, plots of the type t,f(t) are equivalent to those 
produced with f(x) because the x values are computed using the identity 
function.  Similarly, 3-d plots of the type u,v,f(u,v) are equivalent to 
f(x,y). 
:p.Note that the order the parametric functions are specified is xfunction, 
yfunction (and zfunction) and that each operates over the common parametric 
domain. 
:p.Also, the :link reftype=hd res=4764.set parametric:elink. function implies a new range of values.  Whereas 
the normal f(x) and f(x,y) style plotting assume an xrange and yrange (and 
zrange), the parametric mode additionally specifies a trange, urange, and 
vrange.  These ranges may be set directly with :link reftype=hd res=7609.set trange:elink., :link reftype=hd res=7618.set urange:elink., 
and :link reftype=hd res=7683.set vrange:elink., or by specifying the range on the :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. 
commands.  Currently the default range for these parametric variables is 
[-5&colon.5].  Setting the ranges to something more meaningful is expected. 
:h3 res=4812. pointsize
:p.The :link reftype=hd res=4812.set pointsize:elink. command scales the size of the points used in plots. 
:p.Syntax&colon. 
:p.      set pointsize <multiplier>
.br
      show pointsize
.br
:p.The default is a multiplier of 1.0.  Larger pointsizes may be useful to 
make points more visible in bitmapped graphics. 
:p.The pointsize of a single plot may be changed on the :link reftype=hd res=2060.plot:elink. command.  See 
:link reftype=hd res=2755.plot with:elink. for details. 
:p.Please note that the pointsize setting is not supported by all terminal 
types. 
:h3 res=4832. polar
:p.The :link reftype=hd res=4832.set polar:elink. command changes the meaning of the plot from rectangular 
coordinates to polar coordinates. 
:p.Syntax&colon. 
:p.      set polar
.br
      set nopolar
.br
      show polar
.br
:p.There have been changes made to polar mode in version 3.7, so that scripts 
for :link reftype=hd res=34.gnuplot:elink. versions 3.5 and earlier will require modification.  The main 
change is that the dummy variable t is used for the angle so that the x and 
y ranges can be controlled independently.  Other changes are&colon. 
1) tics are no longer put along the zero axes automatically 
---use :hp2.set xtics axis nomirror:ehp2.; :hp2.set ytics axis nomirror:ehp2.; 
2) the grid, if selected, is not automatically polar 
---use :hp2.set grid polar:ehp2.; 
3) the grid is not labelled with angles 
---use :link reftype=hd res=4262.set label:elink. as necessary. 
:p.In polar coordinates, the dummy variable (t) is an angle.  The default range 
of t is [0&colon.2*pi], or, if degree units have been selected, to [0&colon.360] (see 
:link reftype=hd res=2988.set angles:elink.). 
:p.The command :link reftype=hd res=4832.set nopolar:elink. changes the meaning of the plot back to the default 
rectangular coordinate system. 
:p.The :link reftype=hd res=4832.set polar:elink. command is not supported for :link reftype=hd res=8368.splot:elink.s.  See the :link reftype=hd res=4447.set mapping:elink. 
command for similar functionality for :link reftype=hd res=8368.splot:elink.s. 
:p.While in polar coordinates the meaning of an expression in t is really 
r = f(t), where t is an angle of rotation.  The trange controls the domain 
(the angle) of the function, and the x and y ranges control the range of the 
graph in the x and y directions.  Each of these ranges, as well as the 
rrange, may be autoscaled or set explicitly.  See :link reftype=hd res=7904.set xrange:elink. for details 
of all the :hp2.set range:ehp2. commands. 
:p.Example&colon. 
:p.      set polar
.br
      plot t*sin(t)
.br
      plot [-2*pi&colon.2*pi] [-3&colon.3] [-3&colon.3] t*sin(t)
.br
:p.The first :link reftype=hd res=2060.plot:elink. uses the default polar angular domain of 0 to 2*pi.  The 
radius and the size of the graph are scaled automatically.  The second :link reftype=hd res=2060.plot:elink. 
expands the domain, and restricts the size of the graph to [-3&colon.3] in both 
directions. 
:p.You may want to :hp2.set size square:ehp2. to have :link reftype=hd res=34.gnuplot:elink. try to make the aspect 
ratio equal to unity, so that circles look circular. 
:h3 res=4891. rmargin
:p.The command :link reftype=hd res=4891.set rmargin:elink. sets the size of the right margin.  Please see 
:link reftype=hd res=4490.set margin:elink. for details. 
:h3 res=4897. rrange
:p.The :link reftype=hd res=4897.set rrange:elink. command sets the range of the radial coordinate for a 
graph in polar mode.  Please see :link reftype=hd res=7904.set xrange:elink. for details. 
:h3 res=4905. samples
:p.The sampling rate of functions, or for interpolating data, may be changed 
by the :link reftype=hd res=4905.set samples:elink. command. 
:p.Syntax&colon. 
:p.      set samples <samples_1> {,<samples_2>}
.br
      show samples
.br
:p.By default, sampling is set to 100 points.  A higher sampling rate will 
produce more accurate plots, but will take longer.  This parameter has no 
effect on data file plotting unless one of the interpolation/approximation 
options is used.  See :link reftype=hd res=2251.plot smooth:elink. re 2-d data and :link reftype=hd res=3426.set cntrparam:elink. and 
:link reftype=hd res=3584.set dgrid3d:elink. re 3-d data. 
:p.When a 2-d graph is being done, only the value of <samples_1> is relevant. 
:p.When a surface plot is being done without the removal of hidden lines, the 
value of samples specifies the number of samples that are to be evaluated for 
the isolines.  Each iso-v line will have <sample_1> samples and each iso-u 
line will have <sample_2> samples.  If you only specify <samples_1>, 
<samples_2> will be set to the same value as <samples_1>.  See also :hp2.set 
isosamples:ehp2.. 
:h3 res=4932. size
:p.The :link reftype=hd res=4932.set size:elink. command scales the displayed size of the plot. 
:p.Syntax&colon. 
:p.      set size {{no}square | ratio <r> | noratio} {<xscale>,<yscale>}
.br
      show size
.br
:p.The <xscale> and <yscale> values are the scaling factors for the size of the 
plot, which includes the graph and the margins. 
:p.:hp2.ratio:ehp2. causes :link reftype=hd res=34.gnuplot:elink. to try to create a graph with an aspect ratio of <r> 
(the ratio of the y-axis length to the x-axis length) within the portion of 
the plot specified by <xscale> and <yscale>. 
:p.The meaning of a negative value for <r> is different.  If <r>=-1, gnuplot 
tries to set the scales so that the unit has the same length on both the x 
and y axes (suitable for geographical data, for instance).  If <r>=-2, the 
unit on y has twice the length of the unit on x, and so on. 
:p.The success of :link reftype=hd res=34.gnuplot:elink. in producing the requested aspect ratio depends on 
the terminal selected.  The graph area will be the largest rectangle of 
aspect ratio <r> that will fit into the specified portion of the output 
(leaving adequate margins, of course). 
:p.:hp2.square:ehp2. is a synonym for :hp2.ratio 1:ehp2.. 
:p.Both :hp2.noratio:ehp2. and :hp2.nosquare:ehp2. return the graph to the default aspect ratio 
of the terminal, but do not return <xscale> or <yscale> to their default 
values (1.0). 
:p.:hp2.ratio:ehp2. and :hp2.square:ehp2. have no effect on 3-d plots. 
:p.:link reftype=hd res=4932.set size:elink. is relative to the default size, which differs from terminal to 
terminal.  Since :link reftype=hd res=34.gnuplot:elink. fills as much of the available plotting area as 
possible by default, it is safer to use :link reftype=hd res=4932.set size:elink. to decrease the size of 
a plot than to increase it.  See :link reftype=hd res=5284.set terminal:elink. for the default sizes. 
:p.On some terminals, changing the size of the plot will result in text being 
misplaced. 
:p.Examples&colon. 
:p.To set the size to normal size use&colon. 
:p.      set size 1,1
.br
:p.To make the graph half size and square use&colon. 
:p.      set size square 0.5,0.5
.br
:p.To make the graph twice as high as wide use&colon. 
:p.      set size ratio 2
.br
:p.:h3 res=4989. style
:p.Default styles are chosen with the :link reftype=hd res=3924.set function style:elink. and :link reftype=hd res=3569.set data style:elink. 
commands.  See :link reftype=hd res=2755.plot with:elink. for information about how to override the default 
plotting style for individual functions and data sets. 
:p.Syntax&colon. 
:p.      set function style <style>
.br
      set data style <style>
.br
      show function style
.br
      show data style
.br
:p.The types used for all line and point styles (i.e., solid, dash-dot, color, 
etc. for lines; circles, squares, crosses, etc. for points) will be either 
those specified on the :link reftype=hd res=2060.plot:elink. or :link reftype=hd res=8368.splot:elink. command or will be chosen 
sequentially from the types available to the terminal in use.  Use the 
command :link reftype=hd res=8611.test:elink. to see what is available. 
:p.None of the styles requiring more than two columns of information (e.g., 
:link reftype=hd res=2571.errorbars:elink.) can be used with :link reftype=hd res=8368.splot:elink.s or function :link reftype=hd res=2060.plot:elink.s.  Neither :link reftype=hd res=5064.boxes:elink. 
nor any of the :link reftype=hd res=5194.steps:elink. styles can be used with :link reftype=hd res=8368.splot:elink.s.  If an inappropriate 
style is specified, it will be changed to :link reftype=hd res=5186.points:elink.. 
:p.For 2-d data with more than two columns, :link reftype=hd res=34.gnuplot:elink. is picky about the allowed 
:hp2.errorbar:ehp2. styles.  The :link reftype=hd res=2465.using:elink. option on the :link reftype=hd res=2060.plot:elink. command can be used to 
set up the correct columns for the style you want.  (In this discussion, 
"column" will be used to refer both to a column in the data file and an entry 
in the :link reftype=hd res=2465.using:elink. list.) 
:p.For three columns, only :link reftype=hd res=5214.xerrorbars:elink., :link reftype=hd res=5243.yerrorbars:elink. (or :link reftype=hd res=2571.errorbars:elink.), :link reftype=hd res=5064.boxes:elink., 
and :link reftype=hd res=5045.boxerrorbars:elink. are allowed.  If another plot style is used, the style 
will be changed to :link reftype=hd res=5243.yerrorbars:elink..  The :link reftype=hd res=5045.boxerrorbars:elink. style will calculate the 
boxwidth automatically. 
:p.For four columns, only :link reftype=hd res=5214.xerrorbars:elink., :link reftype=hd res=5243.yerrorbars:elink. (or :link reftype=hd res=2571.errorbars:elink.), 
:link reftype=hd res=5225.xyerrorbars:elink., :link reftype=hd res=5081.boxxyerrorbars:elink., and :link reftype=hd res=5045.boxerrorbars:elink. are allowed.  An illegal 
style will be changed to :link reftype=hd res=5243.yerrorbars:elink.. 
:p.Five-column data allow only the :link reftype=hd res=5045.boxerrorbars:elink., :link reftype=hd res=5116.financebars:elink., and 
:link reftype=hd res=5093.candlesticks:elink. styles.  (The last two of these are primarily used for plots 
of financial prices.)  An illegal style will be changed to :link reftype=hd res=5045.boxerrorbars:elink. 
before plotting. 
:p.Six- and seven-column data only allow the :link reftype=hd res=5225.xyerrorbars:elink. and :link reftype=hd res=5081.boxxyerrorbars:elink. 
styles.  Illegal styles will be changed to :link reftype=hd res=5225.xyerrorbars:elink. before plotting. 
:p.For more information about error bars, please see :link reftype=hd res=2571.plot errorbars:elink.. 
:h4 res=5045. boxerrorbars
:p.The :link reftype=hd res=5045.boxerrorbars:elink. style is only relevant to 2-d data plotting.  It is a 
combination of the :link reftype=hd res=5064.boxes:elink. and :link reftype=hd res=5243.yerrorbars:elink. styles.  The boxwidth will come 
from the fourth column if the y errors are in the form of "ydelta" and the 
boxwidth was not previously set equal to -2.0 (:hp2.set boxwidth -2.0:ehp2.) or from 
the fifth column if the y errors are in the form of "ylow yhigh".  The 
special case  :hp2.boxwidth = -2.0:ehp2. is for four-column data with y errors in the 
form "ylow yhigh".  In this case the boxwidth will be calculated so that each 
box touches the adjacent boxes.  The width will also be calculated in cases 
where three-column data are used. 
:p.The box height is determined from the y error in the same way as it is for 
the :link reftype=hd res=5243.yerrorbars:elink. style---either from y-ydelta to y+ydelta or from ylow to 
yhigh, depending on how many data columns are provided. 
:h4 res=5064. boxes
:p.The :link reftype=hd res=5064.boxes:elink. style is only relevant to 2-d plotting.  It draws a box centered 
about the given x coordinate from the x axis (not the graph border) to the 
given y coordinate.  The width of the box is obtained in one of three ways. 
If it is a data plot and the data file has a third column, this will be used 
to set the width of the box.  If not, if a width has been set using the :hp2.set 
boxwidth:ehp2. command, this will be used.  If neither of these is available, the 
width of each box will be calculated automatically so that it touches the 
adjacent boxes. 
:h4 res=5081. boxxyerrorbars
:p.The :link reftype=hd res=5081.boxxyerrorbars:elink. style is only relevant to 2-d data plotting.  It is a 
combination of the :link reftype=hd res=5064.boxes:elink. and :link reftype=hd res=5225.xyerrorbars:elink. styles. 
:p.The box width and height are determined from the x and y errors in the same 
way as they are for the :link reftype=hd res=5225.xyerrorbars:elink. style---either from xlow to xhigh and 
from ylow to yhigh, or from x-xdelta to x+xdelta and from y-ydelta to 
y+ydelta , depending on how many data columns are provided. 
:h4 res=5093. candlesticks
:p.The :link reftype=hd res=5093.candlesticks:elink. style is only relevant for 2-d data plotting of financial 
data.  Five columns of data are required; in order, these should be the x 
coordinate (most likely a date) and the opening, low, high, and closing 
prices.  The symbol is an open rectangle, centered horizontally at the x 
coordinate and limited vertically by the opening and closing prices.  A 
vertical line segment at the x coordinate extends up from the top of the 
rectangle to the high price and another down to the low.  The width of the 
rectangle may be changed by :link reftype=hd res=3217.set bar:elink..  The symbol will be unchanged if the 
low and high prices are interchanged or if the opening and closing prices 
are interchanged.  See :link reftype=hd res=3217.set bar:elink. and :link reftype=hd res=5116.financebars:elink.. 
:h4 res=5109. dots
:p.The :link reftype=hd res=5109.dots:elink. style plots a tiny dot at each point; this is useful for scatter 
plots with many points. 
:h4 res=5116. financebars
:p.The :link reftype=hd res=5116.financebars:elink. style is only relevant for 2-d data plotting of financial 
data.  Five columns of data are required; in order, these should be the x 
coordinate (most likely a date) and the opening, low, high, and closing 
prices.  The symbol is a vertical line segment, located horizontally at the x 
coordinate and limited vertically by the high and low prices.  A horizontal 
tic on the left marks the opening price and one on the right marks the 
closing price.  The length of these tics may be changed by :link reftype=hd res=3217.set bar:elink..  The 
symbol will be unchanged if the high and low prices are interchanged.  See 
:link reftype=hd res=3217.set bar:elink. and :link reftype=hd res=5093.candlesticks:elink.. 
:h4 res=5131. fsteps
:p.The :link reftype=hd res=5131.fsteps:elink. style is only relevant to 2-d plotting.  It connects consecutive 
points with two line segments&colon. the first from (x1,y1) to (x1,y2) and the 
second from (x1,y2) to (x2,y2). 
:h4 res=5140. histeps
:p.The :link reftype=hd res=5140.histeps:elink. style is only relevant to 2-d plotting.  It is intended for 
plotting histograms.  Y-values are assumed to be centered at the x-values; 
the point at x1 is represented as a horizontal line from ((x0+x1)/2,y1) to 
((x1+x2)/2,y1).  The lines representing the end points are extended so that 
the step is centered on at x.  Adjacent points are connected by a vertical 
line at their average x, that is, from ((x1+x2)/2,y1) to ((x1+x2)/2,y2). 
:p.If :link reftype=hd res=3102.autoscale:elink. is in effect, it selects the xrange from the data rather than 
the steps, so the end points will appear only half as wide as the others. 
:p.:link reftype=hd res=5140.histeps:elink. is only a plotting style; :link reftype=hd res=34.gnuplot:elink. does not have the ability to 
create bins and determine their population from some data set. 
:h4 res=5158. impulses
:p.The :link reftype=hd res=5158.impulses:elink. style displays a vertical line from the x axis (not the graph 
border), or from the grid base for :link reftype=hd res=8368.splot:elink., to each point. 
:h4 res=5165. lines
:p.The :link reftype=hd res=5165.lines:elink. style connects adjacent points with straight line segments. 
:h4 res=5171. linespoints
:p.The :link reftype=hd res=5171.linespoints:elink. style does both :link reftype=hd res=5165.lines:elink. and :link reftype=hd res=5186.points:elink., that is, it draws a 
small symbol at each point and then connects adjacent points with straight 
line segments.  The command :link reftype=hd res=4812.set pointsize:elink. may be used to change the size of 
the points.  See :link reftype=hd res=4812.set pointsize:elink. for its usage. 
:p.:link reftype=hd res=5171.linespoints:elink. may be abbreviated :link reftype=hd res=5171.lp:elink.. 
:h4 res=5186. points
:p.The :link reftype=hd res=5186.points:elink. style displays a small symbol at each point.  The command :hp2.set 
pointsize:ehp2. may be used to change the size of the points.  See :link reftype=hd res=4812.set pointsize:elink. 
for its usage. 
:h4 res=5194. steps
:p.The :link reftype=hd res=5194.steps:elink. style is only relevant to 2-d plotting.  It connects consecutive 
points with two line segments&colon. the first from (x1,y1) to (x2,y1) and the 
second from (x2,y1) to (x2,y2). 
:h4 res=5203. vector
:p.The :link reftype=hd res=5203.vector:elink. style draws a vector from (x,y) to (x+xdelta,y+ydelta).  Thus 
it requires four columns of data.  It also draws a small arrowhead at the 
end of the vector. 
:p.:hp2.set clip one:ehp2. and :hp2.set clip two:ehp2. affect drawing vectors. 
Please see :link reftype=hd res=3377.set clip:elink.. 
:h4 res=5214. xerrorbars
:p.The :link reftype=hd res=5214.xerrorbars:elink. style is only relevant to 2-d data plots.  :link reftype=hd res=5214.xerrorbars:elink. is 
like :link reftype=hd res=5109.dots:elink., except that a horizontal error bar is also drawn.  At each point 
(x,y), a line is drawn from (xlow,y) to (xhigh,y) or from (x-xdelta,y) to 
(x+xdelta,y), depending on how many data columns are provided.  A tic mark 
is placed at the ends of the error bar (unless :link reftype=hd res=3217.set bar:elink. is used---see :hp2.set 
bar:ehp2. for details). 
:h4 res=5225. xyerrorbars
:p.The :link reftype=hd res=5225.xyerrorbars:elink. style is only relevant to 2-d data plots.  :link reftype=hd res=5225.xyerrorbars:elink. is 
like :link reftype=hd res=5109.dots:elink., except that horizontal and vertical error bars are also drawn. 
At each point (x,y), lines are drawn from (x,y-ydelta) to (x,y+ydelta) and 
from (x-xdelta,y) to (x+xdelta,y) or from (x,ylow) to (x,yhigh) and from 
(xlow,y) to (xhigh,y), depending upon the number of data columns provided.  A 
tic mark is placed at the ends of the error bar (unless :link reftype=hd res=3217.set bar:elink. is 
used---see :link reftype=hd res=3217.set bar:elink. for details). 
:p.If data are provided in an unsupported mixed form, the :link reftype=hd res=2465.using:elink. filter on the 
:link reftype=hd res=2060.plot:elink. command should be used to set up the appropriate form.  For example, 
if the data are of the form (x,y,xdelta,ylow,yhigh), then you can use 
:p.:p.      plot 'data' using 1&colon.2&colon.($1-$3)&colon.($1+$3)&colon.4&colon.5 with xyerrorbars
.br
:h4 res=5243. yerrorbars
:p.The :link reftype=hd res=5243.yerrorbars:elink. (or :link reftype=hd res=2571.errorbars:elink.) style is only relevant to 2-d data plots. 
:link reftype=hd res=5243.yerrorbars:elink. is like :link reftype=hd res=5109.dots:elink., except that a vertical error bar is also drawn. 
At each point (x,y), a line is drawn from (x,y-ydelta) to (x,y+ydelta) or 
from (x,ylow) to (x,yhigh), depending on how many data columns are provided. 
A tic mark is placed at the ends of the error bar (unless :link reftype=hd res=3217.set bar:elink. is 
used---see :link reftype=hd res=3217.set bar:elink. for details). 
:h3 res=5259. surface
:p.The command :link reftype=hd res=5259.set surface:elink. controls the display of surfaces by :link reftype=hd res=8368.splot:elink.. 
:p.Syntax&colon. 
:p.      set surface
.br
      set nosurface
.br
      show surface
.br
:p.The surface is drawn with the style specifed by :link reftype=hd res=2755.with:elink., or else the 
appropriate style, data or function. 
:p.Whenever :link reftype=hd res=5259.set nosurface:elink. is issued, :link reftype=hd res=8368.splot:elink. will not draw points or lines 
corresponding to the function or data file points.  Contours may still be 
drawn on the surface, depending on the :link reftype=hd res=3518.set contour:elink. option. :hp2.set nosurface; 
set contour base:ehp2. is useful for displaying contours on the grid base.  See 
also :link reftype=hd res=3518.set contour:elink.. 
:h3 res=5284. terminal
:p.:link reftype=hd res=34.gnuplot:elink. supports many different graphics devices.  Use :link reftype=hd res=5284.set terminal:elink. to 
tell :link reftype=hd res=34.gnuplot:elink. what kind of output to generate. Use :link reftype=hd res=4724.set output:elink. to redirect 
that output to a file or device. 
:p.Syntax&colon. 
:p.      set terminal {<terminal-type>}
.br
      show terminal
.br
:p.If <terminal-type> is omitted, :link reftype=hd res=34.gnuplot:elink. will list the available terminal 
types.  <terminal-type> may be abbreviated. 
:p.If both :link reftype=hd res=5284.set terminal:elink. and :link reftype=hd res=4724.set output:elink. are used together, it is safest to 
give :link reftype=hd res=5284.set terminal:elink. first, because some terminals set a flag which is needed 
in some operating systems. 
:p.Several terminals have additional options.  For example, see :link reftype=hd res=6101.dumb:elink., 
:hp2.iris4d:ehp2., :link reftype=hd res=6344.hpljii:elink. or :link reftype=hd res=6466.postscript:elink.. 
:p.This document may describe drivers that are not available to you because they 
were not installed, or it may not describe all the drivers that are available 
to you, depending on its output format. 
:h4 res=5313. aed767
:p.The :link reftype=hd res=5313.aed512:elink. and :link reftype=hd res=5313.aed767:elink. terminal drivers support AED graphics terminals. 
The two drivers differ only in their horizontal ranges, which are 512 and 
768 pixels, respectively.  Their vertical range is 575 pixels.  There are 
no options for these drivers. 
:h4 res=5330. gpic
:p.The :link reftype=hd res=5330.gpic:elink. terminal driver generates GPIC graphs in the Free Software 
Foundations's "groff" package.  The default size is 5 x 3 inches.  The only 
option is the origin, which defaults to (0,0). 
:p.Syntax&colon. 
:p.      set terminal gpic {<x> <y>}
.br
:p.where :hp2.x:ehp2. and :hp2.y:ehp2. are in inches. 
:p.A simple graph can be formatted using 
:p.:p.      groff -p -mpic -Tps file.pic > file.ps.
.br
:p.The output from pic can be pipe-lined into eqn, so it is possible to put 
complex functions in a graph with the :link reftype=hd res=4262.set label:elink. and :hp2.set {x/y}label:ehp2. 
commands.  For instance, 
:p.:p.      set ylab '@space 0 int from 0 to x alpha ( t ) roman d t@'
.br
:p.will label the y axis with a nice integral if formatted with the command&colon. 
:p.:p.      gpic filename.pic | geqn -d@@ -Tps | groff -m[macro-package] -Tps
.br
          > filename.ps
.br
:p.Figures made this way can be scaled to fit into a document.  The pic language 
is easy to understand, so the graphs can be edited by hand if need be.  All 
co-ordinates in the pic-file produced by :link reftype=hd res=34.gnuplot:elink. are given as x+gnuplotx 
and y+gnuploty.  By default x and y are given the value 0.  If this line is 
removed with an editor in a number of files, one can put several graphs in 
one figure like this (default size is 5.0x3.0 inches)&colon. 
:p.:p.      .PS 8.0
.br
      x=0;y=3
.br
      copy "figa.pic"
.br
      x=5;y=3
.br
      copy "figb.pic"
.br
      x=0;y=0
.br
      copy "figc.pic"
.br
      x=5;y=0
.br
      copy "figd.pic"
.br
      .PE
.br
:p.This will produce an 8-inch-wide figure with four graphs in two rows on top 
of each other. 
:p.One can also achieve the same thing by the command 
:p.:p.      set terminal gpic x y
.br
:p.for example, using 
:p.:p.      .PS 6.0
.br
      copy "trig.pic"
.br
      .PE
.br
:h4 res=5391. regis
:p.The :link reftype=hd res=5391.regis:elink. terminal device generates output in the REGIS graphics language. 
It has the option of using 4 (the default) or 16 colors. 
:p.Syntax&colon. 
:p.      set terminal regis {4 | 16}
.br
:h4 res=5403. tek410x
:p.The :link reftype=hd res=5403.tek410x:elink. terminal driver supports the 410x and 420x family of Tektronix 
terminals.  It has no options. 
:h4 res=5412. tek40
:p.This family of terminal drivers supports a variety of VT-like terminals. 
:hp2.tek40xx:ehp2. supports Tektronix 4010 and others as well as most TEK emulators; 
:link reftype=hd res=5412.vttek:elink. supports VT-like tek40xx terminal emulators; :link reftype=hd res=5412.kc-tek40xx:elink. supports 
MS-DOS Kermit Tek4010 terminal emulators in color&colon. :link reftype=hd res=5412.km-tek40xx:elink. supports them 
in monochrome; :link reftype=hd res=5412.selanar:elink. supports Selanar graphics; and :link reftype=hd res=5412.bitgraph:elink. supports 
BBN Bitgraph terminals.  None have any options. 
:h4 res=5455. xlib
:p.The :link reftype=hd res=5455.xlib:elink. terminal driver supports the X11 Windows System.  It generates 
gnuplot_x11 commands. :link reftype=hd res=5465.set term x11:elink. behaves similarly to :hp2.set terminal xlib; 
set output "|gnuplot_x11":ehp2..  :link reftype=hd res=5455.xlib:elink. has no options, but see :link reftype=hd res=5465.x11:elink.. 
:h4 res=5465. x11
:p.:link reftype=hd res=34.gnuplot:elink. provides the :link reftype=hd res=5465.x11:elink. terminal type for use with X servers.  This 
terminal type is set automatically at startup if the :hp2.DISPLAY:ehp2. environment 
variable is set, if the :hp2.TERM:ehp2. environment variable is set to :hp2.xterm:ehp2., or 
if the :hp2.-display:ehp2. command line option is used. 
:p.Syntax&colon. 
:p.      set terminal x11 {reset} {<n>}
.br
:p.Multiple plot windows are supported&colon. :hp2.set terminal x11 <n>:ehp2. directs the 
output to plot window number n.  If n>0, the terminal number will be 
appended to the window title and the icon will be labeled :hp2.gplt <n>:ehp2.. 
The active window may distinguished by a change in cursor (from default 
to crosshair.) 
:p.Plot windows remain open even when the :link reftype=hd res=34.gnuplot:elink. driver is changed to a 
different device.  A plot window can be closed by pressing the letter q 
while that window has input focus, or by choosing :hp2.close:ehp2. from a window 
manager menu.  All plot windows can be closed by specifying :link reftype=hd res=2940.reset:elink., which 
actually terminates the subprocess which maintains the windows (unless 
:hp2.-persist:ehp2. was specified). 
:p.Plot windows will automatically be closed at the end of the session 
unless the :hp2.-persist:ehp2. option was given. 
:p.The size or aspect ratio of a plot may be changed by resizing the :link reftype=hd res=34.gnuplot:elink. 
window. 
:p.Linewidths and pointsizes may be changed from within :link reftype=hd res=34.gnuplot:elink. with 
:link reftype=hd res=4334.set linestyle:elink.. 
:p.For terminal type :link reftype=hd res=5465.x11:elink., :link reftype=hd res=34.gnuplot:elink. accepts (when initialized) the standard 
X Toolkit options and resources such as geometry, font, and name from the 
command line arguments or a configuration file.  See the X(1) man page 
(or its equivalent) for a description of such options. 
:p.A number of other :link reftype=hd res=34.gnuplot:elink. options are available for the :link reftype=hd res=5465.x11:elink. terminal. 
These may be specified either as command-line options when :link reftype=hd res=34.gnuplot:elink. is 
invoked or as resources in the configuration file ".Xdefaults".  They are 
set upon initialization and cannot be altered during a :link reftype=hd res=34.gnuplot:elink. session. 
:h5 res=5512. command-line_options
:p.In addition to the X Toolkit options, the following options may be specified 
on the command line when starting :link reftype=hd res=34.gnuplot:elink. or as resources in your 
".Xdefaults" file&colon. 
:table cols=' 19 61'.
:row.
:c.c l .
:c.
:row.
:c.:hp2.-mono:ehp2.
:c.forces monochrome rendering on color displays.
:row.
:c.:hp2.-gray:ehp2.
:c.requests grayscale rendering on grayscale or color displays.
:row.
:c.       
:c.(Grayscale displays receive monochrome rendering by default.)
:row.
:c.:hp2.-clear:ehp2.
:c.requests that the window be cleared momentarily before a
:row.
:c.        
:c.new plot is displayed.
:row.
:c.:hp2.-tvtwm:ehp2.
:c.requests that geometry specifications for position of the
:row.
:c.        
:c.window be made relative to the currently displayed portion
:row.
:c.        
:c.of the virtual root.
:row.
:c.:hp2.-raise:ehp2.
:c.raises plot window after each plot
:row.
:c.:hp2.-noraise:ehp2.
:c.does not raise plot window after each plot
:row.
:c.:hp2.-persist:ehp2.
:c.plot windows survive after main gnuplot program exits
:etable.
The options are shown above in their command-line syntax.  When entered as 
resources in ".Xdefaults", they require a different syntax. 
:p.Example&colon. 
:p.      gnuplot*gray&colon. on
.br
:p.:link reftype=hd res=34.gnuplot:elink. also provides a command line option (:hp2.-pointsize <v>:ehp2.) and a 
resource, :hp2.gnuplot*pointsize&colon. <v>:ehp2., to control the size of points plotted 
with the :link reftype=hd res=5186.points:elink. plotting style.  The value :hp2.v:ehp2. is a real number (greater 
than 0 and less than or equal to ten) used as a scaling factor for point 
sizes.  For example, :hp2.-pointsize 2:ehp2. uses points twice the default size, and 
:hp2.-pointsize 0.5:ehp2. uses points half the normal size. 
:h5 res=5570. monochrome_options
:p.For monochrome displays, :link reftype=hd res=34.gnuplot:elink. does not honor foreground or background 
colors.  The default is black-on-white.  :hp2.-rv:ehp2. or :hp2.gnuplot*reverseVideo&colon. on:ehp2. 
requests white-on-black. 
:p.:h5 res=5580. color_resources
:p.For color displays, :link reftype=hd res=34.gnuplot:elink. honors the following resources (shown here 
with their default values) or the greyscale resources.  The values may be 
color names as listed in the X11 rgb.txt file on your system, hexadecimal 
RGB color specifications (see X11 documentation), or a color name followed 
by a comma and an :hp2.intensity:ehp2. value from 0 to 1.  For example, :hp2.blue, 0.5:ehp2. 
means a half intensity blue. 
:table cols=' 33'.
:row.
:c.c l .
:row.
:c.gnuplot*background&colon. white
:row.
:c.gnuplot*textColor&colon. black
:row.
:c.gnuplot*borderColor&colon. black
:row.
:c.gnuplot*axisColor&colon. black
:row.
:c.gnuplot*line1Color&colon. red
:row.
:c.gnuplot*line2Color&colon. green
:row.
:c.gnuplot*line3Color&colon. blue
:row.
:c.gnuplot*line4Color&colon. magenta
:row.
:c.gnuplot*line5Color&colon. cyan
:row.
:c.gnuplot*line6Color&colon. sienna
:row.
:c.gnuplot*line7Color&colon. orange
:row.
:c.gnuplot*line8Color&colon. coral
:etable.
:p.The command-line syntax for these is, for example, 
:p.Example&colon. 
:p.      gnuplot -background coral
.br
:p.:h5 res=5638. grayscale_resources
:p.When :hp2.-gray:ehp2. is selected, :link reftype=hd res=34.gnuplot:elink. honors the following resources for 
grayscale or color displays (shown here with their default values).  Note 
that the default background is black. 
:table cols=' 32'.
:row.
:c.c l .
:row.
:c.gnuplot*background&colon. black
:row.
:c.gnuplot*textGray&colon. white
:row.
:c.gnuplot*borderGray&colon. gray50
:row.
:c.gnuplot*axisGray&colon. gray50
:row.
:c.gnuplot*line1Gray&colon. gray100
:row.
:c.gnuplot*line2Gray&colon. gray60
:row.
:c.gnuplot*line3Gray&colon. gray80
:row.
:c.gnuplot*line4Gray&colon. gray40
:row.
:c.gnuplot*line5Gray&colon. gray90
:row.
:c.gnuplot*line6Gray&colon. gray50
:row.
:c.gnuplot*line7Gray&colon. gray70
:row.
:c.gnuplot*line8Gray&colon. gray30
:etable.
:p.:h5 res=5688. line_resources
:p.:link reftype=hd res=34.gnuplot:elink. honors the following resources for setting the width (in pixels) of 
plot lines (shown here with their default values.)  0 or 1 means a minimal 
width line of 1 pixel width.  A value of 2 or 3 may improve the appearance of 
some plots. 
:table cols=' 28'.
:row.
:c.c l .
:row.
:c.gnuplot*borderWidth&colon. 2
:row.
:c.gnuplot*axisWidth&colon. 0
:row.
:c.gnuplot*line1Width&colon. 0
:row.
:c.gnuplot*line2Width&colon. 0
:row.
:c.gnuplot*line3Width&colon. 0
:row.
:c.gnuplot*line4Width&colon. 0
:row.
:c.gnuplot*line5Width&colon. 0
:row.
:c.gnuplot*line6Width&colon. 0
:row.
:c.gnuplot*line7Width&colon. 0
:row.
:c.gnuplot*line8Width&colon. 0
:etable.
:p.:link reftype=hd res=34.gnuplot:elink. honors the following resources for setting the dash style used for 
plotting lines.  0 means a solid line.  A two-digit number :hp2.jk:ehp2. (:hp2.j:ehp2. and :hp2.k:ehp2. 
are >= 1  and <= 9) means a dashed line with a repeated pattern of :hp2.j:ehp2. pixels 
on followed by :hp2.k:ehp2. pixels off.  For example, '16' is a "dotted" line with one 
pixel on followed by six pixels off.  More elaborate on/off patterns can be 
specified with a four-digit value.  For example, '4441' is four on, four off, 
four on, one off.  The default values shown below are for monochrome displays 
or monochrome rendering on color or grayscale displays.  For color displays, 
the default for each is 0 (solid line) except for :hp2.axisDashes:ehp2. which defaults 
to a '16' dotted line. 
:table cols=' 31'.
:row.
:c.c l .
:row.
:c.gnuplot*borderDashes&colon. 0
:row.
:c.gnuplot*axisDashes&colon. 16
:row.
:c.gnuplot*line1Dashes&colon. 0
:row.
:c.gnuplot*line2Dashes&colon. 42
:row.
:c.gnuplot*line3Dashes&colon. 13
:row.
:c.gnuplot*line4Dashes&colon. 44
:row.
:c.gnuplot*line5Dashes&colon. 15
:row.
:c.gnuplot*line6Dashes&colon. 4441
:row.
:c.gnuplot*line7Dashes&colon. 42
:row.
:c.gnuplot*line8Dashes&colon. 13
:etable.
:h4 res=5777. aifm
:p.Several options may be set in :link reftype=hd res=5777.aifm:elink.---the Adobe Illustrator 3.0+ driver. 
:p.Syntax&colon. 
:p.      set terminal aifm {<color>} {"<fontname>"} {<fontsize>}
.br
:p.<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.; "<fontname>" is the name of a 
valid PostScript font; <fontsize> is the size of the font in PostScript 
points, before scaling by the :link reftype=hd res=4932.set size:elink. command.  Selecting :hp2.default:ehp2. sets 
all options to their default values&colon. :hp2.monochrome:ehp2., "Helvetica", and 14pt. 
:p.Since AI does not really support multiple pages, multiple graphs will be 
drawn directly on top of one another.  However, each graph will be grouped 
individually, making it easy to separate them inside AI (just pick them up 
and move them). 
:p.Examples&colon. 
:p.      set term aifm
.br
      set term aifm 22
.br
      set size 0.7,1.4; set term aifm color "Times-Roman" 14
.br
:h4 res=5803. cgm
:p.The :link reftype=hd res=5803.cgm:elink. terminal generates a Computer Graphics Metafile, Version 1.  
This file format is a subset of the ANSI X3.122-1986 standard entitled 
"Computer Graphics - Metafile for the Storage and Transfer of Picture 
Description Information". 
Several options may be set in :link reftype=hd res=5803.cgm:elink.. 
:p.Syntax&colon. 
:p.      set terminal cgm {<mode>} {<color>} {<rotation>} {solid | dashed}
.br
                       {width <plot_width>} {linewidth <line_width>}
.br
                       {"<font>"} {<fontsize>}
.br
                       {<color0> <color1> <color2> ...}
.br
:p.where <mode> is :hp2.landscape:ehp2., :hp2.portrait:ehp2., or :hp2.default:ehp2.; 
<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.;  
<rotation> is either :link reftype=hd res=6013.rotate:elink. or :hp2.norotate:ehp2.; 
:link reftype=hd res=6026.solid:elink. draws all curves with solid lines, overriding any dashed patterns; 
<plot_width> is the assumed width of the plot in points;  
<line_width> is the line width in points (default 1);  
<font> is the name of a font; and  
<fontsize> is the size of the font in points (default 12). 
:p.By default, :link reftype=hd res=5803.cgm:elink. uses rotated text for the Y axis label. 
:p.The first six options can be in any order.  Selecting :hp2.default:ehp2. sets all 
options to their default values. 
:p.Each color must be of the form 'xrrggbb', where x is the literal 
character 'x' and 'rrggbb' are the red, green and blue components in 
hex.  For example, 'x00ff00' is green.  The background color is set 
first, then the plotting colors. 
Examples&colon. 
:p.      set terminal cgm landscape color rotate dashed width 432 \
.br
                     linewidth 1  'Helvetica Bold' 12       # defaults
.br
      set terminal cgm linewidth 2  14  # wider lines &amp. larger font
.br
      set terminal cgm portrait "Times Italic" 12
.br
      set terminal cgm color solid      # no pesky dashes!
.br
:h5 res=5846. font
:p.The first part of a Computer Graphics Metafile, the metafile description, 
includes a font table.  In the picture body, a font is designated by an 
index into this table.  By default, this terminal generates a table with 
the following 16 fonts, plus six more with :hp2.italic:ehp2. replaced by 
:hp2.oblique:ehp2., or vice-versa (since at least the Microsoft Office and Corel 
Draw CGM import filters treat :hp2.italic:ehp2. and :hp2.oblique:ehp2. as equivalent)&colon. 
:table cols=' 26'.
:row.
:c.c c l .
:row.
:c.CGM fonts
:row.
:c._
:row.
:c.Helvetica
:row.
:c.Helvetica Bold
:row.
:c.Helvetica Oblique
:row.
:c.Helvetica Bold Oblique
:row.
:c.Times Roman
:row.
:c.Times Bold
:row.
:c.Times Italic
:row.
:c.Times Bold Italic
:row.
:c.Courier
:row.
:c.Courier Bold
:row.
:c.Courier Oblique
:row.
:c.Courier Bold Oblique
:row.
:c.Symbol
:row.
:c.Hershey/Cartographic_Roman
:row.
:c.Hershey/Cartographic_Greek
:row.
:c.Hershey/Simplex_Roman
:row.
:c.Hershey/Simplex_Greek
:row.
:c.Hershey/Simplex_Script
:row.
:c.Hershey/Complex_Roman
:row.
:c.Hershey/Complex_Greek
:row.
:c.Hershey/Complex_Script
:row.
:c.Hershey/Complex_Italic
:row.
:c.Hershey/Complex_Cyrillic
:row.
:c.Hershey/Duplex_Roman
:row.
:c.Hershey/Triplex_Roman
:row.
:c.Hershey/Triplex_Italic
:row.
:c.Hershey/Gothic_German
:row.
:c.Hershey/Gothic_English
:row.
:c.Hershey/Gothic_Italian
:row.
:c.Hershey/Symbol_Set_1
:row.
:c.Hershey/Symbol_Set_2
:row.
:c.Hershey/Symbol_Math
:row.
:c.ZapfDingbats
:row.
:c.Script
:row.
:c.15
:etable.
The first thirteen of these fonts are required for WebCGM.  The 
Microsoft Office CGM import filter implements the 13 standard fonts 
listed above, and also 'ZapfDingbats' and 'Script'.  However, the 
script font may only be accessed under the name '15'.  For more on 
Microsoft import filter font substitutions, check its help file which 
you may find here&colon. 
:p.  C&colon.\Program Files\Microsoft Office\Office\Cgmimp32.hlp
.br
and/or its configuration file, which you may find here&colon. 
:p.  C&colon.\Program Files\Common Files\Microsoft Shared\Grphflt\Cgmimp32.cfg
.br
:p.In the :link reftype=hd res=5284.set term:elink. command, you may specify a font name which does not 
appear in the default font table.  In that case, a new font table is 
constructed with the specified font as its first entry. You must ensure 
that the spelling, capitalization, and spacing of the name are 
appropriate for the application that will read the CGM file.  (Gnuplot 
and any MIL-D-28003A compliant application ignore case in font names.) 
If you need to add several new fonts, use several :link reftype=hd res=5284.set term:elink. commands. 
:p.Example&colon. 
:p.      set terminal cgm 'Old English'
.br
      set terminal cgm 'Tengwar'
.br
      set terminal cgm 'Arabic'
.br
      set output 'myfile.cgm'
.br
      plot ...
.br
      set output
.br
:p.You cannot introduce a new font in a :link reftype=hd res=4262.set label:elink. command.2 fontsize 
Fonts are scaled assuming the page is 6 inches wide.  If the :link reftype=hd res=4932.size:elink. 
command is used to change the aspect ratio of the page or the CGM file 
is converted to a different width, the resulting font sizes will be 
scaled up or down accordingly.  To change the assumed width, use the 
:link reftype=hd res=6042.width:elink. option. 
:h5 res=6005. linewidth
:p.The :link reftype=hd res=6005.linewidth:elink. option sets the width of lines in pt.  The default width 
is 1 pt.  Scaling is affected by the actual width of the page, as 
discussed under the :hp2.fontsize:ehp2. and :link reftype=hd res=6042.width:elink. options. 
:h5 res=6013. rotate
:p.The :hp2.norotate:ehp2. option may be used to disable text rotation.  For 
example, the CGM input filter for Word for Windows 6.0c can accept 
rotated text, but the DRAW editor within Word cannot.  If you edit a 
graph (for example, to label a curve), all rotated text is restored to 
horizontal.  The Y axis label will then extend beyond the clip boundary. 
With :hp2.norotate:ehp2., the Y axis label starts in a less attractive location, 
but the page can be edited without damage.  The :link reftype=hd res=6013.rotate:elink. option confirms 
the default behavior. 
:h5 res=6026. solid
:p.The :link reftype=hd res=6026.solid:elink. option may be used to disable dashed line styles in the 
plots.  This is useful when color is enabled and the dashing of the 
lines detracts from the appearance of the plot. The :hp2.dashed:ehp2. option 
confirms the default behavior, which gives a different dash pattern to 
each curve. 
:h5 res=6035. size
:p.Default size of a CGM plot is 32599 units wide and 23457 units high for 
landscape, or 23457 units wide by 32599 units high for portrait. 
:h5 res=6042. width
:p.All distances in the CGM file are in abstract units.  The application 
that reads the file determines the size of the final plot.  By default, 
the width of the final plot is assumed to be 6 inches (15.24 cm).  This 
distance is used to calculate the correct font size, and may be changed 
with the :link reftype=hd res=6042.width:elink. option.  The keyword should be followed by the width in 
points.  (Here, a point is 1/72 inch, as in PostScript.  This unit is 
known as a "big point" in TeX.)  Gnuplot :link reftype=hd res=476.expressions:elink. can be used to 
convert from other units. 
:p.Example&colon. 
:p.      set terminal cgm width 432            # default
.br
      set terminal cgm width 6*72           # same as above
.br
      set terminal cgm width 10/2.54*72     # 10 cm wide
.br
:h5 res=6060. nofontlist
:p.The default font table includes the fonts recommended for WebCGM, which 
are compatible with the Computer Graphics Metafile input filter for 
Microsoft Office and Corel Draw.  Another application might use 
different fonts and/or different font names, which may not be 
documented.  As a workaround, the :link reftype=hd res=6060.nofontlist:elink. option deletes the font 
table from the CGM file.  In this case, the reading application should 
use a default table.  Gnuplot will still use its own default font table 
to select font indices.  Thus, 'Helvetica' will give you an index of 1, 
which should get you the first entry in your application's default font 
table. 'Helvetica Bold' will give you its second entry, etc. 
:p.The former :hp2.winword6:ehp2. option is now a deprecated synonym for 
:link reftype=hd res=6060.nofontlist:elink..  The problems involving the color and font tables that 
the :hp2.winword6:ehp2. option was intended to work around turned out to be 
gnuplot bugs which have now been fixed. 
:h4 res=6084. corel
:p.The :link reftype=hd res=6084.corel:elink. terminal driver supports CorelDraw. 
:p.Syntax&colon. 
:p.      set terminal corel {  default
.br
                          | {monochrome | color
.br
                               {<fontname> {"<fontsize>" 
.br
                                  {<xsize> <ysize> {<linewidth> }}}}}
.br
:p.where the fontsize and linewidth are specified in points and the sizes in 
inches.  The defaults are monochrome, "SwitzerlandLight", 22, 8.2, 10 and 1.2. 
:h4 res=6101. dumb
:p.The :link reftype=hd res=6101.dumb:elink. terminal driver has an optional size specification and trailing 
linefeed control. 
:p.Syntax&colon. 
:p.      set terminal dumb {[no]feed} {<xsize> <ysize>}
.br
:p.where <xsize> and <ysize> set the size of the dumb terminals. Default is 
79 by 24. The last newline is printed only if :hp2.feed:ehp2. is enabled. 
:p.Examples&colon. 
:p.      set term dumb nofeed
.br
      set term dumb 79 49 # VGA screen---why would anyone do that?
.br
:h4 res=6120. dxf
:p.The :link reftype=hd res=6120.dxf:elink. terminal driver creates pictures that can be imported into AutoCad 
(Release 10.x).  It has no options of its own, but some features of its plots 
may be modified by other means.  The default size is 120x80 AutoCad units, 
which can be changed by :link reftype=hd res=4932.set size:elink..  :link reftype=hd res=6120.dxf:elink. uses seven colors (white, red, 
yellow, green, cyan, blue and magenta), which can be changed only by 
modifying the source file.  If a black-and-white plotting device is used, the 
colors are mapped to differing line thicknesses.  See the description of the 
AutoCad print/plot command. 
:h4 res=6135. emf
:p.The :link reftype=hd res=6135.emf:elink. terminal generates an Enhanced Metafile Format file.  This file format 
is the metafile standard on MS Win32 Systems 
Syntax&colon. 
:p.      set terminal emf {<color>} {solid | dashed}
.br
                       {"<font>"} {<fontsize>}
.br
:p.<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.;  
:link reftype=hd res=6026.solid:elink. draws all curves with solid lines, overriding any dashed patterns; 
<font> is the name of a font; and  
:hp2.<fontsize>:ehp2. is the size of the font in points. 
:p.The first two options can be in any order.  Selecting :hp2.default:ehp2. sets all 
options to their default values. 
:p.Examples&colon. 
:p.      set terminal emf 'Times Roman Italic' 12
.br
      set terminal emf color solid    # no pesky dashes!
.br
:h4 res=6159. fig
:p.The :link reftype=hd res=6159.fig:elink. terminal device generates output in the Fig graphics language. 
:p.Syntax&colon. 
:p.      set terminal fig {monochrome | color} {small | big}
.br
                       {pointsmax <max_points>}
.br
                       {landscape | portrait}
.br
                       {metric | inches}
.br
                       {fontsize <fsize>}
.br
                       {size <xsize> <ysize>}
.br
                       {thickness <units>}
.br
                       {depth <layer>}
.br
:p.:hp2.monochrome:ehp2. and :hp2.color:ehp2. determine whether the picture is black-and-white or 
:hp2.color:ehp2..  :hp2.small:ehp2. and :hp2.big:ehp2. produce a 5x3 or 8x5 inch graph in the default 
:hp2.landscape:ehp2. mode and 3x5 or 5x8 inches in :hp2.portrait:ehp2. mode.  <max_points> 
sets the maximum number of points per polyline.  Default units for editing 
with "xfig" may be :hp2.metric:ehp2. or :hp2.inches:ehp2..  :hp2.fontsize:ehp2. sets the size of the 
text font to <fsize> points.  :link reftype=hd res=4932.size:elink. sets (overrides) the size of the drawing 
area to <xsize>*<ysize> in units of inches or centimeters depending on the 
:hp2.inches:ehp2. or :hp2.metric:ehp2. setting in effect.  :hp2.depth:ehp2. sets the default depth layer 
for all lines and text.  The default depth is 10 to leave room for adding 
material with "xfig" on top of the plot. 
:p.:hp2.thickness:ehp2. sets the default line thickness, which is 1 if not specified. 
Overriding the thickness can be achieved by adding a multiple of 100 to the 
:hp2.linetype:ehp2. value for a :link reftype=hd res=2060.plot:elink. command.  In a similar way the :hp2.depth:ehp2. 
of plot elements (with respect to the default depth) can be controlled by 
adding a multiple of 1000 to <linetype>.  The depth is then <layer> + 
<linetype>/1000 and the thickness is (<linetype>%1000)/100 or, if that is 
zero, the default line thickness. 
:p.Additional point-plot symbols are also available with the :link reftype=hd res=6159.fig:elink. driver. The 
symbols can be used through :hp2.pointtype:ehp2. values % 100 above 50, with different 
fill intensities controlled by <pointtype> % 5 and outlines in black (for 
<pointtype> % 10 < 5) or in the current color.  Available symbols are 
:p.        50 - 59&colon.  circles
.br
        60 - 69&colon.  squares
.br
        70 - 79&colon.  diamonds
.br
        80 - 89&colon.  upwards triangles
.br
        90 - 99&colon.  downwards triangles
.br
The size of these symbols is linked to the font size.  The depth of symbols 
is by default one less than the depth for lines to achieve nice error bars. 
If <pointtype> is above 1000, the depth is <layer> + <pointtype>/1000-1.  If 
<pointtype>%1000 is above 100, the fill color is (<pointtype>%1000)/100-1. 
:p.Available fill colors are (from 1 to 9)&colon. black, blue, green, cyan, red, 
magenta, yellow, white and dark blue (in monochrome mode&colon. black for 1 to 6 
and white for 7 to 9). 
:p.See :link reftype=hd res=2755.plot with:elink. for details of <linetype> and <pointtype>. 
:p.The :hp2.big:ehp2. option is a substitute for the :hp2.bfig:ehp2. terminal in earlier versions, 
which is no longer supported. 
:p.Examples&colon. 
:p.      set terminal fig monochrome small pointsmax 1000  # defaults
.br
:p.:p.      plot 'file.dat' with points linetype 102 pointtype 759
.br
would produce circles with a blue outline of width 1 and yellow fill color. 
:p.:p.      plot 'file.dat' using 1&colon.2&colon.3 with err linetype 1 pointtype 554
.br
would produce errorbars with black lines and circles filled red.  These 
circles are one layer above the lines (at depth 9 by default). 
:p.To plot the error bars on top of the circles use 
:p.      plot 'file.dat' using 1&colon.2&colon.3 with err linetype 1 pointtype 2554
.br
:h4 res=6232. hp2623a
:p.The :link reftype=hd res=6232.hp2623a:elink. terminal driver supports the Hewlett Packard HP2623A.  It has 
no options. 
:h4 res=6241. hp2648
:p.The :link reftype=hd res=6241.hp2648:elink. terminal driver supports the Hewlett Packard HP2647 and HP2648. 
It has no options. 
:h4 res=6250. hp500c
:p.The :link reftype=hd res=6250.hp500c:elink. terminal driver supports the Hewlett Packard HP DeskJet 500c. 
It has options for resolution and compression. 
:p.Syntax&colon. 
:p.      set terminal hp500c {<res>} {<comp>}
.br
:p.where :hp2.res:ehp2. can be 75, 100, 150 or 300 dots per inch and :hp2.comp:ehp2. can be "rle", 
or "tiff".  Any other inputs are replaced by the defaults, which are 75 dpi 
and no compression.  Rasterization at the higher resolutions may require a 
large amount of memory. 
:h4 res=6267. hpgl
:p.The :link reftype=hd res=6267.hpgl:elink. driver produces HPGL output for devices like the HP7475A plotter. 
There are two options which can be set&colon. the number of pens and :hp2.eject:ehp2., 
which tells the plotter to eject a page when done.  The default is to use 6 
pens and not to eject the page when done. 
:p.The international character sets ISO-8859-1 and CP850 are recognized via 
:hp2.set encoding iso_8859_1:ehp2. or :hp2.set encoding cp850:ehp2. (see :link reftype=hd res=3678.set encoding:elink. for 
details). 
:p.Syntax&colon. 
:p.      set terminal hpgl {<number_of_pens>} {eject}
.br
:p.The selection 
:p.:p.      set terminal hpgl 8 eject
.br
:p.is equivalent to the previous :hp2.hp7550:ehp2. terminal, and the selection 
:p.:p.      set terminal hpgl 4
.br
:p.is equivalent to the previous :hp2.hp7580b:ehp2. terminal. 
:p.The :link reftype=hd res=6267.pcl5:elink. driver supports plotters such as the Hewlett-Packard Designjet 
750C, the Hewlett-Packard Laserjet III, and the Hewlett-Packard Laserjet IV. 
It actually uses HPGL-2, but there is a name conflict among the terminal 
devices.  It has several options which must be specified in the order 
indicated below&colon. 
:p.Syntax&colon. 
:p.      set terminal pcl5 {mode <mode>} {<plotsize>}
.br
          {{color {<number_of_pens>}} | monochrome} {solid | dashed}
.br
          {font <font>} {size <fontsize>} {pspoints | nopspoints}
.br
:p.<mode> is :hp2.landscape:ehp2. or :hp2.portrait:ehp2.. <plotsize> is the physical 
plotting size of the plot, which is one of the following&colon. :hp2.letter:ehp2. for 
standard (8 1/2" X 11") displays, :hp2.legal:ehp2. for (8 1/2" X 14") displays, 
:hp2.noextended:ehp2. for (36" X 48") displays (a letter size ratio) or, 
:hp2.extended:ehp2. for (36" X 55") displays (almost a legal size ratio). 
:hp2.color:ehp2. is for multi-pen (i.e. color) plots, and <number_of_pens> is 
the number of pens (i.e. colors) used in color plots. :hp2.monochrome:ehp2. is for 
one (e.g. black) pen plots. :link reftype=hd res=6026.solid:elink. draws all lines as solid lines, or 
'dashed' will draw lines with different dashed and dotted line patterns. 
<font> is :hp2.stick:ehp2., :hp2.univers:ehp2., :hp2.cg_times:ehp2., :hp2.zapf_dingbats:ehp2., :hp2.antique_olive:ehp2., 
:hp2.arial:ehp2., :hp2.courier:ehp2., :hp2.garamond_antigua:ehp2., :hp2.letter_gothic:ehp2., :hp2.cg_omega:ehp2., 
:hp2.albertus:ehp2., :hp2.times_new_roman:ehp2., :hp2.clarendon:ehp2., :hp2.coronet:ehp2., :hp2.marigold:ehp2., 
:hp2.truetype_symbols:ehp2., or :hp2.wingdings:ehp2.. <fontsize> is the font size in points. 
The point type selection can be the standard default set by specifying 
nopspoints, or the same set of point types found in the postscript terminal 
by specifying pspoints. 
:p.Note that built-in support of some of these options is printer device 
dependendent. For instance, all the fonts are supposedly supported by the HP 
Laserjet IV, but only a few (e.g. univers, stick) may be supported by the HP 
Laserjet III and the Designjet 750C. Also, color obviously won't work on the 
the laserjets since they are monochrome devices. 
:p.Defaults&colon. landscape, noextended, color (6 pens), solid, univers, 12 point, 
:p.          and nopspoints.
.br
:p.With :link reftype=hd res=6267.pcl5:elink. international characters are handled by the printer; you just put 
the appropriate 8-bit character codes into the text strings.  You don't need 
to bother with :link reftype=hd res=3678.set encoding:elink.. 
:p.HPGL graphics can be imported by many software packages. 
:h4 res=6344. hpljii
:p.The :link reftype=hd res=6344.hpljii:elink. terminal driver supports the HP Laserjet Series II printer.  The 
:link reftype=hd res=6344.hpdj:elink. driver supports the HP DeskJet 500 printer.  These drivers allow a 
choice of resolutions. 
:p.Syntax&colon. 
:p.      set terminal hpljii | hpdj {<res>}
.br
:p.where :hp2.res:ehp2. may be 75, 100, 150 or 300 dots per inch; the default is 75. 
Rasterization at the higher resolutions may require a large amount of memory. 
:p.The :link reftype=hd res=6250.hp500c:elink. terminal is similar to :link reftype=hd res=6344.hpdj:elink.; :link reftype=hd res=6250.hp500c:elink. additionally supports 
color and compression. 
:h4 res=6369. hppj
:p.The :link reftype=hd res=6369.hppj:elink. terminal driver supports the HP PaintJet and HP3630 printers.  The 
only option is the choice of font. 
:p.Syntax&colon. 
:p.      set terminal hppj {FNT5X9 | FNT9X17 | FNT13X25}
.br
:p.with the middle-sized font (FNT9X17) being the default. 
:h4 res=6383. imagen
:p.The :link reftype=hd res=6383.imagen:elink. terminal driver supports Imagen laser printers.  It is capable 
of placing multiple graphs on a single page. 
:p.Syntax&colon. 
:p.      set terminal imagen {<fontsize>} {portrait | landscape}
.br
                          {[<horiz>,<vert>]}
.br
:p.where :hp2.fontsize:ehp2. defaults to 12 points and the layout defaults to :hp2.landscape:ehp2.. 
:hp2.<horiz>:ehp2. and :hp2.<vert>:ehp2. are the number of graphs in the horizontal and 
vertical directions; these default to unity. 
:p.Example&colon. 
:p.      set terminal imagen portrait [2,3]
.br
:p.puts six graphs on the page in three rows of two in portrait orientation. 
:h4 res=6405. mif
:p.The :link reftype=hd res=6405.mif:elink. terminal driver produces Frame Maker MIF format version 3.00.  It 
plots in MIF Frames with the size 15*10 cm, and plot primitives with the same 
pen will be grouped in the same MIF group.  Plot primitives in a :link reftype=hd res=34.gnuplot:elink. 
page will be plotted in a MIF Frame, and several MIF Frames are collected in 
one large MIF Frame.  The MIF font used for text is "Times". 
:p.Several options may be set in the MIF 3.00 driver. 
:p.Syntax&colon. 
:p.      set terminal mif {colour | monochrome} {polyline | vectors}
.br
                       {help | ?}
.br
:p.:hp2.colour:ehp2. plots lines with line types >= 0 in colour (MIF sep. 2--7) and 
:hp2.monochrome:ehp2. plots all line types in black (MIF sep. 0). 
:hp2.polyline:ehp2. plots curves as continuous curves and :hp2.vectors:ehp2. plots curves as 
collections of vectors. 
:link reftype=hd res=1965.help:elink. and :hp2.?:ehp2. print online help on standard error output---both print a 
short description of the usage; :link reftype=hd res=1965.help:elink. also lists the options. 
:p.Examples&colon. 
:p.      set term mif colour polylines    # defaults
.br
      set term mif                     # defaults
.br
      set term mif vectors
.br
      set term mif help
.br
:h4 res=6436. pbm
:p.Several options may be set in the :link reftype=hd res=6436.pbm:elink. terminal---the driver for PBMplus. 
:p.Syntax&colon. 
:p.      set terminal pbm {<fontsize>} {<mode>}
.br
:p.where <fontsize> is :hp2.small:ehp2., :hp2.medium:ehp2., or :hp2.large:ehp2. and <mode> is :hp2.monochrome:ehp2., 
:hp2.gray:ehp2. or :hp2.color:ehp2..  The default plot size is 640 pixels wide and 480 pixels 
high; this may be changed by :link reftype=hd res=4932.set size:elink.. 
:p.The output of the :link reftype=hd res=6436.pbm:elink. driver depends upon <mode>&colon. :hp2.monochrome:ehp2. produces a 
portable bitmap (one bit per pixel), :hp2.gray:ehp2. a portable graymap (three bits 
per pixel) and :hp2.color:ehp2. a portable pixmap (color, four bits per pixel). 
:p.The output of this driver can be used with Jef Poskanzer's excellent PBMPLUS 
package, which provides programs to convert the above PBMPLUS formats to GIF, 
TIFF, MacPaint, Macintosh PICT, PCX, X11 bitmap and many others.  PBMPLUS may 
be obtained from ftp.x.org.  The relevant files have names that begin with 
"netpbm-1mar1994.p1"; they reside in /contrib/utilities.  The package can 
probably also be obtained from one of the many sites that mirrors ftp.x.org. 
:p.Examples&colon. 
:p.      set terminal pbm small monochrome             # defaults
.br
      set size 2,2; set terminal pbm color medium
.br
:h4 res=6466. postscript
:p.Several options may be set in the :link reftype=hd res=6466.postscript:elink. driver. 
:p.Syntax&colon. 
:p.      set terminal postscript {<mode>} {enhanced | noenhanced}
.br
                              {color | monochrome} {solid | dashed}
.br
                              {<duplexing>}
.br
                              {"<fontname>"} {<fontsize>}
.br
:p.where <mode> is :hp2.landscape:ehp2., :hp2.portrait:ehp2., :hp2.eps:ehp2. or :hp2.default:ehp2.; 
:link reftype=hd res=6026.solid:elink. draws all plots with solid lines, overriding any dashed patterns; 
<duplexing> is :hp2.defaultplex:ehp2., :hp2.simplex:ehp2. or :hp2.duplex:ehp2. ("duplexing" in 
PostScript is the ability of the printer to print on both sides of the same 
page---don't set this if your printer can't do it); 
:hp2.enhanced:ehp2. activates the "enhanced PostScript" features (subscripts, 
superscripts and mixed fonts); 
:hp2."<fontname>":ehp2. is the name of a valid PostScript font; and :hp2.<fontsize>:ehp2. is 
the size of the font in PostScript points. 
:p.:hp2.default:ehp2. mode sets all options to their defaults&colon. :hp2.landscape:ehp2., :hp2.monochrome:ehp2., 
:hp2.dashed:ehp2., :hp2.defaultplex:ehp2., :hp2.noenhanced:ehp2., "Helvetica" and 14pt. 
:p. Default size of a PostScript plot is 10 inches wide and 7 inches high.
.br
:p.:hp2.eps:ehp2. mode generates EPS (Encapsulated PostScript) output, which is just 
regular PostScript with some additional lines that allow the file to be 
imported into a variety of other applications.  (The added lines are 
PostScript comment lines, so the file may still be printed by itself.)  To 
get EPS output, use the :hp2.eps:ehp2. mode and make only one plot per file.  In :hp2.eps:ehp2. 
mode the whole plot, including the fonts, is reduced to half of the default 
size. 
:p.Examples&colon. 
:p.      set terminal postscript default       # old postscript
.br
      set terminal postscript enhanced      # old enhpost
.br
      set terminal postscript landscape 22  # old psbig
.br
      set terminal postscript eps 14        # old epsf1
.br
      set terminal postscript eps 22        # old epsf2
.br
      set size 0.7,1.4; set term post portrait color "Times-Roman" 14
.br
:p.Linewidths and pointsizes may be changed with :link reftype=hd res=4334.set linestyle:elink.. 
:p.The :link reftype=hd res=6466.postscript:elink. driver supports about 70 distinct pointtypes, selectable 
through the :hp2.pointtype:ehp2. option on :link reftype=hd res=2060.plot:elink. and :link reftype=hd res=4334.set linestyle:elink.. 
:p.Several possibly useful files about :link reftype=hd res=34.gnuplot:elink.'s PostScript are included 
in the /docs/ps subdirectory of the :link reftype=hd res=34.gnuplot:elink. distribution and at the 
distribution sites.  These are "ps_symbols.gpi" (a :link reftype=hd res=34.gnuplot:elink. command file 
that, when executed, creates the file "ps_symbols.ps" which shows all the 
symbols available through the :link reftype=hd res=6466.postscript:elink. terminal), "ps_guide.ps" (a 
PostScript file that contains a summary of the enhanced syntax and a page 
showing what the octal codes produce with text and symbol fonts) and 
"ps_file.doc" (a text file that contains a discussion of the organization 
of a PostScript file written by :link reftype=hd res=34.gnuplot:elink.). 
:p.A PostScript file is editable, so once :link reftype=hd res=34.gnuplot:elink. has created one, you are 
free to modify it to your heart's desire.  See the "editing postscript" 
section for some hints. 
:h5 res=6529. enhanced postscript
:p.:table cols=' 7 13 33'.
:row.
:c.c c l .
:c.
:c.
:row.
:c.Control
:c.Examples
:c.Explanation
:row.
:c._
:c.
:c.
:row.
:c.^
:c.a^x
:c.superscript
:row.
:c._
:c.a_x
:c.subscript
:row.
:c. @ 
:c. @x or a@^b_c
:c.phantom box (occupies no width)
:row.
:c. &amp. 
:c. &amp.{space}
:c.inserts space of specified length
:etable.
:p.Braces can be used to place multiple-character text where a single character 
is expected (e.g., 2^{10}).  To change the font and/or size, use the full 
form&colon.  {/[fontname][=fontsize | *fontscale] text}.  Thus {/Symbol=20 G} is a 
20-point GAMMA and {/*0.75 K} is a K at three-quarters of whatever fontsize 
is currently in effect.  (The '/' character MUST be the first character after 
the '{'.) 
:p.If the encoding vector has been changed by :link reftype=hd res=3678.set encoding:elink., the default 
encoding vector can be used instead by following the slash with a dash.  This 
is unnecessary if you use the Symbol font, however---since /Symbol uses its 
own encoding vector, :link reftype=hd res=34.gnuplot:elink. will not apply any other encoding vector to 
it. 
:p.The phantom box is useful for a@^b_c to align superscripts and subscripts 
but does not work well for overwriting an accent on a letter.  (To do the 
latter, it is much better to use :hp2.set encoding iso_8859_1:ehp2. to change to the 
ISO Latin-1 encoding vector, which contains a large variety of letters with 
accents or other diacritical marks.)  Since the box is non-spacing, it is 
sensible to put the shorter of the subscript or superscript in the box (that 
is, after the @). 
:p.Space equal in length to a string can be inserted using the '&amp.' character. 
Thus 
:p.        'abc&amp.{def}ghi'
.br
would produce 
:p.        'abc   ghi'.
.br
:p.You can access special symbols numerically by specifying \character-code (in 
octal), e.g., {/Symbol \245} is the symbol for infinity. 
:p.You can escape control characters using \, e.g.,  \\, \{, and so on. 
:p.But be aware that strings in double-quotes are parsed differently than those 
enclosed in single-quotes.  The major difference is that backslashes may need 
to be doubled when in double-quoted strings. 
:p.Examples (these are hard to describe in words---try them!)&colon. 
:p.      set xlabel 'Time (10^6 {/Symbol m}s)'
.br
      set title '{/Symbol=18 \362@_{/=9.6 0}^{/=12 x}} \
.br
                 {/Helvetica e^{-{/Symbol m}^2/2} d}{/Symbol m}'
.br
:p.The file "ps_guide.ps" in the /docs/ps subdirectory of the :link reftype=hd res=34.gnuplot:elink. source 
distribution contains more examples of the enhanced syntax. 
:h5 res=6605. editing postscript
:p.The PostScript language is a very complex language---far too complex to 
describe in any detail in this document.  Nevertheless there are some things 
in a PostScript file written by :link reftype=hd res=34.gnuplot:elink. that can be changed without risk of 
introducing fatal errors into the file. 
:p.For example, the PostScript statement "/Color true def" (written into the 
file in response to the command :hp2.set terminal postscript color:ehp2.), may be 
altered in an obvious way to generate a black-and-white version of a plot. 
Similarly line colors, text colors, line weights and symbol sizes can also be 
altered in straight-forward ways.  Text (titles and labels) can be edited to 
correct misspellings or to change fonts.  Anything can be repositioned, and 
of course anything can be added or deleted, but modifications such as these 
may require deeper knowledge of the PostScript language. 
:p.The organization of a PostScript file written by :link reftype=hd res=34.gnuplot:elink. is discussed in 
the text file "ps_file.doc" in the /docs/ps subdirectory. 
:h4 res=6628. qms
:p.The :link reftype=hd res=6628.qms:elink. terminal driver supports the QMS/QUIC Laser printer, the Talaris 
1200 and others.  It has no options. 
:h4 res=6637. svg
:p.This terminal produces files in the W3C Scalable Vector Graphics format. 
:p.Syntax&colon. 
:p.      set terminal svg {size <x> <y>}
.br
                       {fname "<font>"} {fsize <fontsize>}
.br
:p.where <x> and <y> are the size of the SVG plot to generate, 
<font> is the name of the default font to use (default Arial) and 
<fontsize> is the font size (in points, default 12) 
:h4 res=6653. table
:p.Instead of producing a graph, the :link reftype=hd res=6653.table:elink. terminal prints out the points on 
which a graph would be based, i.e., the results of processing the :link reftype=hd res=2060.plot:elink. or 
:link reftype=hd res=8368.splot:elink. command, in a multicolumn ASCII table of X Y {Z} R values.  The 
character R takes on one of three values&colon. "i" if the point is in the active 
range, "o" if it is out-of-range, or "u" if it is undefined.  The data 
format is determined by the format of the axis labels (see :link reftype=hd res=3695.set format:elink.), 
and the columns are separated by single spaces. 
:p.For those times when you want the numbers, you can display them on the 
screen or save them to a file.  This can be useful if you want to generate 
contours and then save them for further use, perhaps for plotting with 
:link reftype=hd res=2060.plot:elink.;  see :link reftype=hd res=3518.set contour:elink. for an example.  The same method can be used to 
save interpolated data (see :link reftype=hd res=4905.set samples:elink. and :link reftype=hd res=3584.set dgrid3d:elink.). 
:h4 res=6673. tgif
:p.Tgif is an X11-based drawing tool---it has nothing to do with GIF. 
:p.The :link reftype=hd res=6673.tgif:elink. driver supports different pointsizes (with :link reftype=hd res=4812.set pointsize:elink.), 
different label fonts and font sizes (e.g. :hp2.set label "Hallo" at x,y font 
"Helvetica,34":ehp2.) and multiple graphs on the page.  The proportions of the 
axes are not changed. 
:p.Syntax&colon. 
:p.      set terminal tgif {portrait | landscape} {<[x,y]>}
.br
                        {solid | dashed}
.br
                        {"<fontname>"} {<fontsize>}
.br
:p.where <[x,y]> specifies the number of graphs in the x and y directions on the 
page, "<fontname>" is the name of a valid PostScript font, and <fontsize> 
specifies the size of the PostScript font.  Defaults are :hp2.portrait:ehp2., :hp2.[1,1]:ehp2., 
:hp2.dashed:ehp2., :hp2."Helvetica":ehp2., and :hp2.18:ehp2.. 
:p.The :link reftype=hd res=6026.solid:elink. option is usually prefered if lines are colored, as they often 
are in the editor.  Hardcopy will be black-and-white, so :hp2.dashed:ehp2. should be 
chosen for that. 
:p.Multiplot is implemented in two different ways. 
:p.The first multiplot implementation is the standard gnuplot multiplot feature&colon. 
:p.:p.      set terminal tgif
.br
      set output "file.obj"
.br
      set multiplot
.br
      set origin x01,y01
.br
      set size  xs,ys
.br
      plot ...
.br
           ...
.br
      set origin x02,y02
.br
      plot ...
.br
      set nomultiplot
.br
:p.See :link reftype=hd res=4540.set multiplot:elink. for further information. 
:p.The second version is the [x,y] option for the driver itself.  The advantage 
of this implementation is that everything is scaled and placed automatically 
without the need for setting origins and sizes; the graphs keep their natural 
x/y proportions of 3/2 (or whatever is fixed by :link reftype=hd res=4932.set size:elink.). 
:p.If both multiplot methods are selected, the standard method is chosen and a 
warning message is given. 
:p.Examples of single plots (or standard multiplot)&colon. 
:p.      set terminal tgif                  # defaults
.br
      set terminal tgif "Times-Roman" 24
.br
      set terminal tgif landscape
.br
      set terminal tgif landscape solid
.br
:p.Examples using the built-in multiplot mechanism&colon. 
:p.      set terminal tgif portrait [2,4]  # portrait; 2 plots in the x-
.br
                                        # and 4 in the y-direction
.br
      set terminal tgif [1,2]           # portrait; 1 plot in the x-
.br
                                        # and 2 in the y-direction
.br
      set terminal tgif landscape [3,3] # landscape; 3 plots in both
.br
                                        # directions
.br
:h4 res=6739. tkcanvas
:p.This terminal driver generates Tk canvas widget commands based on Tcl/Tk 
(default) or Perl.  To use it, rebuild :link reftype=hd res=34.gnuplot:elink. (after uncommenting or 
inserting the appropriate line in "term.h"), then 
:p.:p. gnuplot> set term tkcanvas {perltk} {interactive}
.br
 gnuplot> set output 'plot.file'
.br
:p.After invoking "wish", execute the following sequence of Tcl/Tk commands&colon. 
:p.:p. % source plot.file
.br
 % canvas .c
.br
 % pack .c
.br
 % gnuplot .c
.br
:p.Or, for Perl/Tk use a program like this&colon. 
:p.:p. use Tk;
.br
 my $top = MainWindow->new;
.br
 my $c = $top->Canvas->pack;
.br
 my $gnuplot = do "plot.pl";
.br
 $gnuplot->($c);
.br
 MainLoop;
.br
:p.The code generated by :link reftype=hd res=34.gnuplot:elink. creates a procedure called "gnuplot" 
that takes the name of a canvas as its argument.  When the procedure is 
called, it clears the canvas, finds the size of the canvas and draws the plot 
in it, scaled to fit. 
:p.For 2-dimensional plotting (:link reftype=hd res=2060.plot:elink.) two additional procedures are defined&colon. 
"gnuplot_plotarea" will return a list containing the borders of the plotting 
area "xleft, xright, ytop, ybot" in canvas screen coordinates, while the ranges 
of the two axes "x1min, x1max, y1min, y1max, x2min, x2max, y2min, y2max" in plot 
coordinates can be obtained calling "gnuplot_axisranges". 
If the "interactive" option is specified, mouse clicking on a line segment 
will print the coordinates of its midpoint to stdout. Advanced actions 
can happen instead if the user supplies a procedure named 
"user_gnuplot_coordinates", which takes the following arguments&colon. 
"win id x1s y1s x2s y2s x1e y1e x2e y2e x1m y1m x2m y2m", 
the name of the canvas and the id of the line segment followed by the 
coordinates of its start and end point in the two possible axis ranges; the 
coordinates of the midpoint are only filled for logarithmic axes. 
:p.The current version of :link reftype=hd res=6739.tkcanvas:elink. supports neither :link reftype=hd res=4540.multiplot:elink. nor :link reftype=hd res=2869.replot:elink.. 
:h4 res=6789. epson-180dpi
:p.This driver supports a family of Epson printers and derivatives. 
:p.:link reftype=hd res=6789.epson-180dpi:elink. and :link reftype=hd res=6789.epson-60dpi:elink. are drivers for Epson LQ-style 24-pin 
printers with resolutions of 180 and 60 dots per inch, respectively. 
:p.:link reftype=hd res=6789.epson-lx800:elink. is a generic 9-pin driver appropriate for printers like the 
Epson LX-800, the Star NL-10 and NX-1000, the PROPRINTER, and so forth. 
:p.:link reftype=hd res=6789.nec-cp6:elink. is generic 24-pin driver that can be used for printers like the 
NEC CP6 and the Epson LQ-800. 
:p.The :link reftype=hd res=6789.okidata:elink. driver supports the 9-pin OKIDATA 320/321 Standard printers. 
:p.The :link reftype=hd res=6789.starc:elink. driver is for the Star Color Printer. 
:p.The :link reftype=hd res=6789.tandy-60dpi:elink. driver is for the Tandy DMP-130 series of 9-pin, 60-dpi 
printers. 
:p.Only :link reftype=hd res=6789.nec-cp6:elink. has any options. 
:p.Syntax&colon. 
:p.      set terminal nec-cp6 {monochrome | colour | draft}
.br
:p.which defaults to monochrome. 
:p.With each of these drivers, a binary copy is required on a PC to print.  Do 
not use :link reftype=hd res=2848.print:elink.---use instead :hp2.copy file /b lpt1&colon.:ehp2.. 
:h4 res=6859. latex
:p.The :link reftype=hd res=6859.latex:elink. and :link reftype=hd res=6859.emtex:elink. drivers allow two options. 
:p.Syntax&colon. 
:p.      set terminal latex | emtex {courier | roman | default} {<fontsize>}
.br
:p.:hp2.fontsize:ehp2. may be any size you specify.  The default is for the plot to 
inherit its font setting from the embedding document. 
:p.Unless your driver is capable of building fonts at any size (e.g. dvips), 
stick to the standard 10, 11 and 12 point sizes. 
:p.METAFONT users beware&colon. METAFONT does not like odd sizes. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally and 
vertically.  If the text string begins with '[', you need to follow this with 
a position specification (up to two out of t,b,l,r), ']{', the text itself, 
and finally '}'.  The text itself may be anything LaTeX can typeset as an 
LR-box.  '\rule{}{}'s may help for best positioning. 
:p.Points, among other things, are drawn using the LaTeX commands "\Diamond" and 
"\Box".  These commands no longer belong to the LaTeX2e core; they are included 
in the latexsym package, which is part of the base distribution and thus part 
of any LaTeX implementation.  Please do not forget to use this package. 
:p.Examples&colon. 
About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:h4 res=6908. pslatex and pstex
:p.The :link reftype=hd res=6908.pslatex:elink. and :link reftype=hd res=6908.pstex:elink. drivers generate output for further processing by 
LaTeX and TeX, respectively.  Figures generated by :link reftype=hd res=6908.pstex:elink. can be included 
in any plain-based format (including LaTeX). 
:p.Syntax&colon. 
:p.      set terminal pslatex | |pstex {<color>} {<dashed>} {<rotate>}
.br
                                    {auxfile} {<font_size>}
.br
:p.<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2..  <rotate> is either :link reftype=hd res=6013.rotate:elink. or 
:hp2.norotate:ehp2. and determines if the y-axis label is rotated.  <font_size> is 
the size (in pts) of the desired font. 
:p.If :hp2.auxfile:ehp2. is specified, it directs the driver to put the PostScript 
commands into an auxiliary file instead of directly into the LaTeX file. 
This is useful if your pictures are large enough that dvips cannot handle 
them.  The name of the auxiliary PostScript file is derived from the name of 
the TeX file given on the :link reftype=hd res=4724.set output:elink. command; it is determined by replacing 
the trailing :hp2..tex:ehp2. (actually just the final extent in the file name) with 
:hp2..ps:ehp2. in the output file name, or, if the TeX file has no extension, :hp2..ps:ehp2. 
is appended.  Remember to close the file before leaving :link reftype=hd res=34.gnuplot:elink.. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally 
and vertically by LaTeX. --- If the text string begins with '[', you need 
to continue it with&colon. a position specification (up to two out of t,b,l,r), 
']{', the text itself, and finally, '}'. The text itself may be anything 
LaTeX can typeset as an LR-box. \rule{}{}'s may help for best positioning. 
:p.Examples&colon. 
:p.      set term pslatex monochrome dashed rotate       # set to defaults
.br
To write the PostScript commands into the file "foo.ps"&colon. 
:p.      set term pslatex auxfile
.br
      set output "foo.tex"; plot ...&colon. set output
.br
About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:p.Linewidths and pointsizes may be changed with :link reftype=hd res=4334.set linestyle:elink.. 
:h4 res=6966. epslatex
:p.Two options may be set in the :link reftype=hd res=6966.epslatex:elink. driver. 
:p.Syntax&colon. 
:p.      set terminal epslatex {default}
.br
                              {color | monochrome} {solid | dashed}
.br
                              {"<fontname>"} {<fontsize>}
.br
:p.:hp2.default:ehp2. mode sets all options to their defaults&colon. :hp2.monochrome:ehp2., :hp2.dashed:ehp2., 
"default" and 11pt. 
:p. Default size of a plot is 5 inches wide and 3 inches high.
.br
:p.:link reftype=hd res=6026.solid:elink. draws all plots with solid lines, overriding any dashed patterns; 
:hp2."<fontname>":ehp2. is the name of font; and :hp2.<fontsize>:ehp2. is 
the size of the font in PostScript points. Font selection isn't supported yet. 
Font size selection is supported only for the calculation of proper spacing. 
The actual LaTeX font at the point of inclusion is taken, so use LaTeX commands 
for changing fonts. If you use e.g. 12pt as font size for your LaTeX documents,  
use '"default" 12' as options. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally 
and vertically by LaTeX. --- If the text string begins with '[', you need 
to continue it with&colon. a position specification (up to two out of t,b,l,r), 
']{', the text itself, and finally, '}'. The text itself may be anything 
LaTeX can typeset as an LR-box. \rule{}{}'s may help for best positioning. 
See also the documenation of the pslatex terminal driver. 
To create multiline labels, use \shortstack, example 
:p.   set ylabel '[r]{\shortstack{first line \\ second line}}' 
.br
:p.The driver produces two different files, one for the LaTeX part and one for 
the eps part of the figure.  
The name of the LaTeX file is derived from the name of 
the eps file given on the :link reftype=hd res=4724.set output:elink. command; it is determined by replacing 
the trailing :hp2..eps:ehp2. (actually just the final extent in the file name---and 
the option will be turned off if there is no extent) with :hp2..tex:ehp2. in the output 
file name.  Remember to close the file before leaving :link reftype=hd res=34.gnuplot:elink.. 
There is no LaTeX output if no output file is given! 
In your LaTeX documents use '\input{filename}' for inclusion of the figure. 
Include \usepackage{graphics} in the preambel! 
Via 'epstopdf' (contained e.g. in the teTeX package, requires ghostscript) 
pdf files can made out of the eps files. If the graphics package is properly 
configured, the LaTeX files can also be processed by pdflatex without 
changes, and the pdf files are included instead of the eps files 
:h4 res=7017. eepic
:p.The :link reftype=hd res=7017.eepic:elink. terminal driver supports the extended LaTeX picture environment. 
It is an alternative to the :link reftype=hd res=6859.latex:elink. driver. 
:p.The output of this terminal is intended for use with the "eepic.sty" macro 
package for LaTeX.  To use it, you need "eepic.sty", "epic.sty" and a 
printer driver that supports the "tpic" \specials.  If your printer driver 
doesn't support those \specials, "eepicemu.sty" will enable you to use some 
of them. 
dvips and dvipdfm do support the "tpic" \specials. 
:p.Syntax&colon. 
:p.   set terminal eepic {color, dashed, rotate, small, tiny, default, <fontsize>}
.br
:p.Options&colon. 
You can give options in any order you wish. 
'color' causes gnuplot to produce \color{...} commands so that the graphs are 
colored. Using this option, you must include \usepackage{color} in the preambel 
of your latex document. 
'dashed' will allow dashed line types; without this option, only solid lines 
with varying thickness will be used. 
'dashed' and 'color' are mutually exclusive; if 'color' is specified, then 'dashed' 
will be ignored 
'rotate' will enable true rotated text (by 90 degrees). Otherwise, rotated text 
will be typeset with letters stacked above each other. If you use this option 
you must include \usepackage{graphicx} in the preamble. 
'small' will use \scriptsize symbols as point markers (Probably does not work 
with TeX, only LaTeX2e). Default is to use the default math size. 
'tiny' uses \scriptscriptstyle symbols. 
'default' resets all options to their defaults = no color, no dashed lines, 
pseudo-rotated (stacked) text, large point symbols. 
<fontsize> is a number which specifies the font size inside the picture 
environment; the unit is pt (points), i.e., 10 pt equals approx. 3.5 mm. 
If fontsize is not specified, then all text inside the picture will be set 
in \footnotesize. 
:p.Notes&colon. 
Remember to escape the # character (or other chars meaningful to (La-)TeX) 
by \\ (2 backslashes). 
It seems that dashed lines become solid lines when the vertices of a plot 
are too close. (I do not know if that is a general problem with the tpic specials, 
or if it is caused by a bug in eepic.sty or dvips/dvipdfm.) 
The default size of an eepic plot is 5x3 inches, which can be scaled  
by 'set size a,b' 
Points, among other things, are drawn using the LaTeX commands "\Diamond", 
"\Box", etc.  These commands no longer belong to the LaTeX2e core; they are 
included in the latexsym package, which is part of the base distribution and 
thus part of any LaTeX implementation. Please do not forget to use this package. 
Instead of latexsym, you can also include the amssymb package. All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally and 
vertically.  If the text string begins with '[', you need to follow this with 
a position specification (up to two out of t,b,l,r), ']{', the text itself, 
and finally '}'.  The text itself may be anything LaTeX can typeset as an 
LR-box.  '\rule{}{}'s may help for best positioning. 
:p.Examples&colon. 
set term eepic 
:p.  output graphs as eepic macros inside a picture environment;
.br
  \input the resulting file in your LaTeX document.
.br
set term eepic color tiny rotate 8 
:p.  eepic macros with \color macros, \scripscriptsize point markers,
.br
  true rotated text, and all text set with 8pt.
.br
:p.About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:h4 res=7096. tpic
:p.The :link reftype=hd res=7096.tpic:elink. terminal driver supports the LaTeX picture environment with tpic 
\specials.  It is an alternative to the :link reftype=hd res=6859.latex:elink. and :link reftype=hd res=7017.eepic:elink. terminal drivers. 
Options are the point size, line width, and dot-dash interval. 
:p.Syntax&colon. 
:p.      set terminal tpic <pointsize> <linewidth> <interval>
.br
:p.where :link reftype=hd res=4812.pointsize:elink. and :link reftype=hd res=6005.linewidth:elink. are integers in milli-inches and :hp2.interval:ehp2. 
is a float in inches.  If a non-positive value is specified, the default is 
chosen&colon. pointsize = 40, linewidth = 6, interval = 0.1. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally 
and vertically by LaTeX. --- If the text string begins with '[', you need 
to continue it with&colon. a position specification (up to two out of t,b,l,r), 
']{', the text itself, and finally, '}'. The text itself may be anything 
LaTeX can typeset as an LR-box. \rule{}{}'s may help for best positioning. 
:p.Examples&colon. 
About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:h4 res=7132. pstricks
:p.The :link reftype=hd res=7132.pstricks:elink. driver is intended for use with the "pstricks.sty" macro 
package for LaTeX.  It is an alternative to the :link reftype=hd res=7017.eepic:elink. and :link reftype=hd res=6859.latex:elink. drivers. 
You need "pstricks.sty", and, of course, a printer that understands 
PostScript, or a converter such as Ghostscript. 
:p.PSTricks is available via anonymous ftp from the /pub directory at 
Princeton.EDU.  This driver definitely does not come close to using the full 
capability of the PSTricks package. 
:p.Syntax&colon. 
:p.      set terminal pstricks {hacktext | nohacktext} {unit | nounit}
.br
:p.The first option invokes an ugly hack that gives nicer numbers; the second 
has to do with plot scaling.  The defaults are :hp2.hacktext:ehp2. and :hp2.nounit:ehp2.. 
:h4 res=7153. texdraw
:p.The :link reftype=hd res=7153.texdraw:elink. terminal driver supports the LaTeX texdraw environment.  It is 
intended for use with "texdraw.sty" and "texdraw.tex" in the texdraw package. 
:p.It has no options. 
:h4 res=7164. mf
:p.The :link reftype=hd res=7164.mf:elink. terminal driver creates an input file to the METAFONT program.  Thus a 
figure may be used in the TeX document in the same way as is a character. 
:p.To use a picture in a document, the METAFONT program must be run with the 
output file from :link reftype=hd res=34.gnuplot:elink. as input.  Thus, the user needs a basic knowledge 
of the font creating process and the procedure for including a new font in a 
document.  However, if the METAFONT program is set up properly at the local 
site, an unexperienced user could perform the operation without much trouble. 
:p.The text support is based on a METAFONT character set.  Currently the 
Computer Modern Roman font set is input, but the user is in principal free to 
choose whatever fonts he or she needs.  The METAFONT source files for the 
chosen font must be available.  Each character is stored in a separate 
picture variable in METAFONT.  These variables may be manipulated (rotated, 
scaled etc.) when characters are needed.  The drawback is the interpretation 
time in the METAFONT program.  On some machines (i.e. PC) the limited amount 
of memory available may also cause problems if too many pictures are stored. 
:p.The :link reftype=hd res=7164.mf:elink. terminal has no options. 
:h5 res=7191. METAFONT Instructions
:p.:p.- Set your terminal to METAFONT&colon. 
:p.  set terminal mf
.br
- Select an output-file, e.g.&colon. 
:p.  set output "myfigures.mf"
.br
- Create your pictures. Each picture will generate a separate character. Its 
default size will be 5*3 inches. You can change the size by saying :hp2.set size 
0.5,0.5:ehp2. or whatever fraction of the default size you want to have. 
:p.- Quit :link reftype=hd res=34.gnuplot:elink.. 
:p.- Generate a TFM and GF file by running METAFONT on the output of :link reftype=hd res=34.gnuplot:elink.. 
Since the picture is quite large (5*3 in), you will have to use a version of 
METAFONT that has a value of at least 150000 for memmax.  On Unix systems 
these are conventionally installed under the name bigmf.  For the following 
assume that the command virmf stands for a big version of METAFONT.  For 
example&colon. 
:p.- Invoke METAFONT&colon. 
:p.    virmf '&amp.plain'
.br
- Select the output device&colon. At the METAFONT prompt ('*') type&colon. 
:p.    \mode&colon.=CanonCX;     % or whatever printer you use
.br
- Optionally select a magnification&colon. 
:p.    mag&colon.=1;             % or whatever you wish
.br
- Input the :link reftype=hd res=34.gnuplot:elink.-file&colon. 
:p.    input myfigures.mf
.br
On a typical Unix machine there will usually be a script called "mf" that 
executes virmf '&amp.plain', so you probably can substitute mf for virmf &amp.plain. 
This will generate two files&colon. mfput.tfm and mfput.$$$gf (where $$$ indicates 
the resolution of your device).  The above can be conveniently achieved by 
typing everything on the command line, e.g.&colon. 
virmf '&amp.plain' '\mode&colon.=CanonCX; mag&colon.=1; input myfigures.mf' 
In this case the output files will be named myfigures.tfm and 
myfigures.300gf. 
:p.- Generate a PK file from the GF file using gftopk&colon. 
:p.  gftopk myfigures.300gf myfigures.300pk
.br
The name of the output file for gftopk depends on the DVI driver you use. 
Ask your local TeX administrator about the naming conventions.  Next, either 
install the TFM and PK files in the appropriate directories, or set your 
environment variables properly.  Usually this involves setting TEXFONTS to 
include the current directory and doing the same thing for the environment 
variable that your DVI driver uses (no standard name here...).  This step is 
necessary so that TeX will find the font metric file and your DVI driver will 
find the PK file. 
:p.- To include your pictures in your document you have to tell TeX the font&colon. 
:p.  \font\gnufigs=myfigures
.br
Each picture you made is stored in a single character.  The first picture is 
character 0, the second is character 1, and so on...  After doing the above 
step, you can use the pictures just like any other characters.  Therefore, to 
place pictures 1 and 2 centered in your document, all you have to do is&colon. 
:p.  \centerline{\gnufigs\char0}
.br
  \centerline{\gnufigs\char1}
.br
in plain TeX.  For LaTeX you can, of course, use the picture environment and 
place the picture wherever you wish by using the \makebox and \put macros. 
:p.This conversion saves you a lot of time once you have generated the font; 
TeX handles the pictures as characters and uses minimal time to place them, 
and the documents you make change more often than the pictures do.  It also 
saves a lot of TeX memory.  One last advantage of using the METAFONT driver 
is that the DVI file really remains device independent, because no \special 
commands are used as in the eepic and tpic drivers. 
:h4 res=7260. mp
:p.:p.The :link reftype=hd res=7260.mp:elink. driver produces output intended to be input to the Metapost program. 
Running Metapost on the file creates EPS files containing the plots. By 
default, Metapost passes all text through TeX.  This has the advantage of 
allowing essentially  any TeX symbols in titles and labels. 
:p.The :link reftype=hd res=7260.mp:elink. terminal is selected with a command of the form 
:p.   set term mp {color} {solid} {notex|tex|latex} {mag <magsize>} {"<name>"}
.br
               {<size>}
.br
The option :hp2.color:ehp2. causes lines to be drawn in color (on a printer or display 
that supports it), :hp2.monochrome:ehp2. (or nothing) selects black lines.  The option 
:link reftype=hd res=6026.solid:elink. draws solid lines, while :hp2.dashed:ehp2. (or nothing) selects lines with 
different patterns of dashes.  If :link reftype=hd res=6026.solid:elink. is selected but :hp2.color:ehp2. is not, 
nearly all lines will be identical.  This may occasionally be useful, so it is 
allowed. 
:p.The option :hp2.notex:ehp2. bypasses TeX entirely, therefore no TeX code can be used in 
labels under this option.  This is intended for use on old plot files or files 
that make frequent use of common characters like :hp2.$:ehp2. and :hp2.%:ehp2. that require 
special handling in TeX. 
:p.:p.The option :hp2.tex:ehp2. sets the terminal to output its text for TeX to process. 
:p.The option :link reftype=hd res=6859.latex:elink. sets the terminal to output its text for processing by 
LaTeX. This allows things like \frac for fractions which LaTeX knows about 
but TeX does not.  Note that you must set the environment variable TEX to the 
name of your LaTeX executable (normally latex) if you use this option.  
Otherwise metapost will try and use TeX to process the text and it won't work. 
:p.Changing font sizes in TeX has no effect on the size of mathematics, and there 
is no foolproof way to make such a change, except by globally  setting a 
magnification factor. This is the purpose of the :hp2.magnification:ehp2. option. It 
must be followed by a scaling factor. All text (NOT the graphs) will be scaled 
by this factor. Use this if you have math that you want at some size other 
than the default 10pt. Unfortunately, all math will be the same size, but see 
the discussion below on editing the MP output. :hp2.mag:ehp2. will also work under 
:hp2.notex:ehp2. but there seems no point in using it as the font size option (below) 
works as well. 
:p.A name in quotes selects the font that will be used when no explicit font is 
given in a :link reftype=hd res=4262.set label:elink. or :link reftype=hd res=7578.set title:elink..  A name recognized by TeX (a TFM file 
exists) must be used.  The default is "cmr10" unless :hp2.notex:ehp2. is selected, 
then it is "pcrr8r" (Courier).  Even under :hp2.notex:ehp2., a TFM file is needed by 
Metapost. The file :hp2.pcrr8r.tfm:ehp2. is the name given to Courier in LaTeX's psnfss 
package.  If you change the font from the :hp2.notex:ehp2. default, choose a font that 
matches the ASCII encoding at least in the range 32-126.  :hp2.cmtt10:ehp2. almost 
works, but it has a nonblank character in position 32 (space). 
:p.The size can be any number between 5.0 and 99.99.  If it is omitted, 10.0 is 
used.  It is advisable to use :hp2.magstep:ehp2. sizes&colon. 10 times an integer or 
half-integer power of 1.2, rounded to two decimals, because those are the most 
available sizes of fonts in TeX systems. 
:p.All the options are optional.  If font information is given, it must be at the 
end, with size (if present) last.  The size is needed to select a size for the 
font, even if the font name includes size information.  For example, 
:hp2.set term mp "cmtt12":ehp2. selects cmtt12 shrunk to the default size 10.  This 
is probably not what you want or you would have used cmtt10. 
:p.The following common ascii characters need special treatment in TeX&colon. 
:p.   $, &amp., #, %, _;  |, <, >;  ^, ~,  \, {, and }
.br
The five characters $, #, &amp., _, and % can simply be escaped, e.g., :hp2.\$:ehp2.. 
The three characters <, >, and | can be wrapped in math mode, e.g., :hp2.$<$:ehp2.. 
The remainder require some TeX work-arounds.  Any good book on TeX will give 
some guidance. 
:p.If you type your labels inside double quotes, backslashes in TeX code need to 
be escaped (doubled). Using single quotes will avoid having to do this, but 
then you cannot use :hp2.\n:ehp2. for line breaks.  As of this writing, version 3.7 of 
gnuplot processess titles given in a :link reftype=hd res=2060.plot:elink. command differently than in other 
places, and backslashes in TeX commands need to be doubled regardless of the 
style of quotes. 
:p.Metapost pictures are typically used in TeX documents.  Metapost deals with 
fonts pretty much the same way TeX does, which is different from most other 
document preparation programs.  If the picture is included in a LaTeX document 
using the graphics package, or in a plainTeX document via epsf.tex, and then 
converted to PostScript with dvips (or other dvi-to-ps converter), the text in 
the plot will usually be handled correctly.  However, the text may not appear 
if you send the Metapost output as-is to a PostScript interpreter. 
:p.:h5 res=7350. Metapost Instructions
:p.:p.- Set your terminal to Metapost, e.g.&colon. 
:p.   set terminal mp mono "cmtt12" 12
.br
:p.- Select an output-file, e.g.&colon. 
:p.   set output "figure.mp"
.br
:p.- Create your pictures.  Each plot (or multiplot group) will generate a 
separate Metapost beginfig...endfig group.  Its default size will be 5 by 3 
inches.  You can change the size by saying :hp2.set size 0.5,0.5:ehp2. or whatever 
fraction of the default size you want to have. 
:p.- Quit gnuplot. 
:p.- Generate EPS files by running Metapost on the output of gnuplot&colon. 
:p.   mpost figure.mp  OR  mp figure.mp
.br
The name of the Metapost program depends on the system, typically :hp2.mpost:ehp2. for 
a Unix machine and :link reftype=hd res=7260.mp:elink. on many others.  Metapost will generate one EPS file 
for each picture. 
:p.- To include your pictures in your document you can use the graphics package 
in LaTeX or epsf.tex in plainTeX&colon. 
:p.   \usepackage{graphics} % LaTeX
.br
   \input epsf.tex       % plainTeX
.br
If you use a driver other than dvips for converting TeX DVI output to PS, you 
may need to add the following line in your LaTeX document&colon. 
:p.   \DeclareGraphicsRule{*}{eps}{*}{}
.br
Each picture you made is in a separate file.  The first picture is in, e.g., 
figure.0, the second in figure.1, and so on....  To place the third picture in 
your document, for example, all you have to do is&colon. 
:p.   \includegraphics{figure.2} % LaTeX
.br
   \epsfbox{figure.2}         % plainTeX
.br
:p.The advantage, if any, of the mp terminal over a postscript terminal is 
editable output.  Considerable effort went into making this output as clean as 
possible.  For those knowledgeable in the Metapost language, the default line 
types and colors can be changed by editing the arrays :hp2.lt[]:ehp2. and :hp2.col[]:ehp2.. 
The choice of solid vs dashed lines, and color vs black lines can be change by 
changing the values assigned to the booleans :hp2.dashedlines:ehp2. and :hp2.colorlines:ehp2.. 
If the default :hp2.tex:ehp2. option was in effect, global changes to the text of 
labels can be achieved by editing the :hp2.vebatimtex...etex:ehp2. block.  In 
particular, a LaTeX preamble can be added if desired, and then LaTeX's 
built-in size changing commands can be used for maximum flexibility. Be sure 
to set the appropriate MP configuration variable to force Metapost to run 
LaTeX instead of plainTeX. 
:h3 res=7401. tics
:p.The :link reftype=hd res=7401.set tics:elink. command can be used to change the tics to be drawn outwards. 
:p.Syntax&colon. 
:p.      set tics {<direction>}
.br
      show tics
.br
:p.where <direction> may be :hp2.in:ehp2. (the default) or :hp2.out:ehp2.. 
:p.See also :link reftype=hd res=7984.set xtics:elink. for more control of major (labelled) tic marks and :hp2.set 
mxtics:ehp2. for control of minor tic marks. 
:h3 res=7417. ticslevel
:p.Using :link reftype=hd res=8368.splot:elink., one can adjust the relative height of the vertical (Z) axis 
using :link reftype=hd res=7417.set ticslevel:elink..  The numeric argument provided specifies the location 
of the bottom of the scale (as a fraction of the z-range) above the xy-plane. 
The default value is 0.5.  Negative values are permitted, but tic labels on 
the three axes may overlap. 
:p.To place the xy-plane at a position 'pos' on the z-axis, :link reftype=hd res=7417.ticslevel:elink. should 
be set equal to  (pos - zmin) / (zmin - zmax). 
:p.Syntax&colon. 
:p.      set ticslevel {<level>}
.br
      show tics
.br
:p.See also :link reftype=hd res=7648.set view:elink.. 
:h3 res=7437. ticscale
:p.The size of the tic marks can be adjusted with :link reftype=hd res=7437.set ticscale:elink.. 
:p.Syntax&colon. 
:p.      set ticscale {<major> {<minor>}}
.br
      show tics
.br
:p.If <minor> is not specified, it is 0.5*<major>.  The default size is 1.0 for 
major tics and 0.5 for minor tics.  Note that it is possible to have the tic 
marks pointing outward by specifying a negative size. 
:h3 res=7452. timestamp
:p.The command :link reftype=hd res=7452.set timestamp:elink. places the time and date of the plot in the left 
margin. 
:p.Syntax&colon. 
:p.      set timestamp {"<format>"} {top|bottom} {{no}rotate}
.br
                    {<xoff>}{,<yoff>} {"<font>"}
.br
      set notimestamp
.br
      show timestamp
.br
:p.The format string allows you to choose the format used to write the date and 
time.  Its default value is what asctime() uses&colon. "%a %b %d %H&colon.%M&colon.%S %Y" 
(weekday, month name, day of the month, hours, minutes, seconds, four-digit 
year).  With :hp2.top:ehp2. or :hp2.bottom:ehp2. you can place the timestamp at the top or 
bottom of the left margin (default&colon. bottom).  :link reftype=hd res=6013.rotate:elink. lets you write the 
timestamp vertically, if your terminal supports vertical text.  The constants 
<xoff> and <yoff> are offsets from the default position given in character 
screen coordinates.  <font> is used to specify the font with which the time 
is to be written. 
:p.The abbreviation :hp2.time:ehp2. may be used in place of :link reftype=hd res=7452.timestamp:elink.. 
:p.Example&colon. 
:p.      set timestamp "%d/%m/%y %H&colon.%M" 80,-2 "Helvetica"
.br
:p.See :link reftype=hd res=7488.set timefmt:elink. for more information about time format strings. 
:h3 res=7488. timefmt
:p.This command applies to timeseries where data are composed of dates/times. 
It has no meaning unless the command :hp2.set xdata time:ehp2. is given also. 
:p.Syntax&colon. 
:p.      set timefmt "<format string>"
.br
      show timefmt
.br
:p.The string argument tells :link reftype=hd res=34.gnuplot:elink. how to read timedata from the datafile. 
The valid formats are&colon. 
:p.:table cols=' 6 57'.
:row.
:c.c l .
:c.
:row.
:c.Format
:c.Explanation
:row.
:c._
:c.
:row.
:c.%d
:c.day of the month, 1--31
:row.
:c.%m
:c.month of the year, 1--12
:row.
:c.%y
:c.year, 0--99
:row.
:c.%Y
:c.year, 4-digit
:row.
:c.%j
:c.day of the year, 1--365
:row.
:c.%H
:c.hour, 0--24
:row.
:c.%M
:c.minute, 0--60
:row.
:c.%s
:c.seconds since the Unix epoch (1970-01-01 00&colon.00 UTC)
:row.
:c.%S
:c.second, 0--60
:row.
:c.%b
:c.three-character abbreviation of the name of the month
:row.
:c.%B
:c.name of the month
:row.
:c._
:c.
:etable.
Any character is allowed in the string, but must match exactly.  \t (tab) is 
recognized.  Backslash-octals (\nnn) are converted to char.  If there is no 
separating character between the time/date elements, then %d, %m, %y, %H, %M 
and %S read two digits each, %Y reads four digits and %j reads three digits. 
%b requires three characters, and %B requires as many as it needs. 
:p.Spaces are treated slightly differently.  A space in the string stands for 
zero or more whitespace characters in the file.  That is, "%H %M" can be used 
to read "1220" and "12     20" as well as "12 20". 
:p.Each set of non-blank characters in the timedata counts as one column in the 
:hp2.using n&colon.n:ehp2. specification.  Thus :hp2.11&colon.11  25/12/76  21.0:ehp2. consists of three 
columns.  To avoid confusion, :link reftype=hd res=34.gnuplot:elink. requires that you provide a complete 
:link reftype=hd res=2465.using:elink. specification if your file contains timedata. 
:p.Since :link reftype=hd res=34.gnuplot:elink. cannot read non-numerical text, if the date format includes 
the day or month in words, the format string must exclude this text.  But 
it can still be printed with the "%a", "%A", "%b", or "%B" specifier&colon. see 
:link reftype=hd res=3695.set format:elink. for more details about these and other options for printing 
timedata.  (:link reftype=hd res=34.gnuplot:elink. will determine the proper month and weekday from the 
numerical values.) 
:p.See also :link reftype=hd res=7761.set xdata:elink. and :hp2.Time/date:ehp2. for more information. 
:p.Example&colon. 
:p.      set timefmt "%d/%m/%Y\t%H&colon.%M"
.br
tells :link reftype=hd res=34.gnuplot:elink. to read date and time separated by tab.  (But look closely at 
your data---what began as a tab may have been converted to spaces somewhere 
along the line; the format string must match what is actually in the file.) 
:h3 res=7578. title
:p.The :link reftype=hd res=7578.set title:elink. command produces a plot title that is centered at the top of 
the plot.  :link reftype=hd res=7578.set title:elink. is a special case of :link reftype=hd res=4262.set label:elink.. 
:p.Syntax&colon. 
:p.      set title {"<title-text>"} {<xoff>}{,<yoff>} {"<font>,{<size>}"}
.br
      show title
.br
:p.Specifying constants <xoff> or <yoff> as optional offsets for the title will 
move the title <xoff> or <yoff> character screen coordinates (not graph 
coordinates).  For example, ":hp2.set title ,-1:ehp2." will change only the y offset 
of the title, moving the title down by roughly the height of one character. 
:p.<font> is used to specify the font with which the title is to be written; 
the units of the font <size> depend upon which terminal is used. 
:p.:link reftype=hd res=7578.set title:elink. with no parameters clears the title. 
:p.See :link reftype=hd res=1265.syntax:elink. for details about the processing of backslash sequences and 
the distinction between single- and double-quotes. 
:h3 res=7603. tmargin
:p.The command :link reftype=hd res=7603.set tmargin:elink. sets the size of the top margin.  Please see 
:link reftype=hd res=4490.set margin:elink. for details. 
:h3 res=7609. trange
:p.The :link reftype=hd res=7609.set trange:elink. command sets the parametric range used to compute x and y 
values when in parametric or polar modes.  Please see :link reftype=hd res=7904.set xrange:elink. for 
details. 
:h3 res=7618. urange
:p.The :link reftype=hd res=7618.set urange:elink. and :link reftype=hd res=7683.set vrange:elink. commands set the parametric ranges used 
to compute x, y, and z values when in :link reftype=hd res=8368.splot:elink. parametric mode.  Please see 
:link reftype=hd res=7904.set xrange:elink. for details. 
:h3 res=7627. variables
:p.The :link reftype=hd res=7627.show variables:elink. command lists all user-defined variables and their 
values. 
:p.Syntax&colon. 
:p.      show variables
.br
:h3 res=7635. version
:p.The :link reftype=hd res=7635.show version:elink. command lists the version of gnuplot being run, its last 
modification date, the copyright holders, and email addresses for the FAQ, 
the info-gnuplot mailing list, and reporting bugs--in short, the information 
listed on the screen when the program is invoked interactively. 
:p.Syntax&colon. 
:p.      show version {long}
.br
:p.When the :hp2.long:ehp2. option is given, it also lists the operating system, the 
compilation options used when :link reftype=hd res=34.gnuplot:elink. was installed, the location of the 
help file, and (again) the useful email addresses. 
:h3 res=7648. view
:p.The :link reftype=hd res=7648.set view:elink. command sets the viewing angle for :link reftype=hd res=8368.splot:elink.s.  It controls how 
the 3-d coordinates of the plot are mapped into the 2-d screen space.  It 
provides controls for both rotation and scaling of the plotted data, but 
supports orthographic projections only. 
:p.Syntax&colon. 
:p.      set view <rot_x> {,{<rot_z>}{,{<scale>}{,<scale_z>}}}
.br
      show view
.br
:p.where <rot_x> and <rot_z> control the rotation angles (in degrees) in a 
virtual 3-d coordinate system aligned with the screen such that initially 
(that is, before the rotations are performed) the screen horizontal axis is 
x, screen vertical axis is y, and the axis perpendicular to the screen is z. 
The first rotation applied is <rot_x> around the x axis.  The second rotation 
applied is <rot_z> around the new z axis. 
:p.<rot_x> is bounded to the [0&colon.180] range with a default of 60 degrees, while 
<rot_z> is bounded to the [0&colon.360] range with a default of 30 degrees. 
<scale> controls the scaling of the entire :link reftype=hd res=8368.splot:elink., while <scale_z> scales 
the z axis only.  Both scales default to 1.0. 
:p.Examples&colon. 
:p.      set view 60, 30, 1, 1
.br
      set view ,,0.5
.br
:p.The first sets all the four default values.  The second changes only scale, 
to 0.5. 
:p.See also :link reftype=hd res=7417.set ticslevel:elink.. 
:h3 res=7683. vrange
:p.The :link reftype=hd res=7618.set urange:elink. and :link reftype=hd res=7683.set vrange:elink. commands set the parametric ranges used 
to compute x, y, and z values when in :link reftype=hd res=8368.splot:elink. parametric mode.  Please see 
:link reftype=hd res=7904.set xrange:elink. for details. 
:h3 res=7692. x2data
:p.The :link reftype=hd res=7692.set x2data:elink. command sets data on the x2 (top) axis to timeseries 
(dates/times).  Please see :link reftype=hd res=7761.set xdata:elink.. 
:h3 res=7700. x2dtics
:p.The :link reftype=hd res=7700.set x2dtics:elink. command changes tics on the x2 (top) axis to days of the 
week.  Please see :link reftype=hd res=7792.set xdtics:elink. for details. 
:h3 res=7711. x2label
:p.The :link reftype=hd res=7711.set x2label:elink. command sets the label for the x2 (top) axis.  Please see 
:link reftype=hd res=7814.set xlabel:elink.. 
:h3 res=7719. x2mtics
:p.The :link reftype=hd res=7719.set x2mtics:elink. command changes tics on the x2 (top) axis to months of the 
year.  Please see :link reftype=hd res=7882.set xmtics:elink. for details. 
:h3 res=7730. x2range
:p.The :link reftype=hd res=7730.set x2range:elink. command sets the horizontal range that will be displayed on 
the x2 (top) axis.  Please see :link reftype=hd res=7904.set xrange:elink. for details. 
:h3 res=7738. x2tics
:p.The :link reftype=hd res=7738.set x2tics:elink. command controls major (labelled) tics on the x2 (top) axis. 
Please see :link reftype=hd res=7984.set xtics:elink. for details. 
:h3 res=7749. x2zeroaxis
:p.The :link reftype=hd res=7749.set x2zeroaxis:elink. command draws a line at the origin of the x2 (top) axis 
(y2 = 0).  For details, please see 
:link reftype=hd res=8281.set zeroaxis:elink.. 
:h3 res=7761. xdata
:p.This command sets the datatype on the x axis to time/date.  A similar command 
does the same thing for each of the other axes. 
:p.Syntax&colon. 
:p.      set xdata {time}
.br
      show xdata
.br
:p.The same syntax applies to :link reftype=hd res=8177.ydata:elink., :link reftype=hd res=8244.zdata:elink., :link reftype=hd res=7692.x2data:elink. and :link reftype=hd res=8110.y2data:elink.. 
:p.The :hp2.time:ehp2. option signals that the datatype is indeed time/date.  If the 
option is not specified, the datatype reverts to normal. 
:p.See :link reftype=hd res=7488.set timefmt:elink. to tell :link reftype=hd res=34.gnuplot:elink. how to read date or time data.  The 
time/date is converted to seconds from start of the century.  There is 
currently only one timefmt, which implies that all the time/date columns must 
conform to this format.  Specification of ranges should be supplied as quoted 
strings according to this format to avoid interpretation of the time/date as 
an expression. 
:p.The function 'strftime' (type "man strftime" on unix to look it up) is used 
to print tic-mark labels.  :link reftype=hd res=34.gnuplot:elink. tries to figure out a reasonable format 
for this  unless the :hp2.set format x "string":ehp2. has supplied something that does 
not look like a decimal format (more than one '%' or neither %f nor %g). 
:p.See also :hp2.Time/date:ehp2. for more information. 
:h3 res=7792. xdtics
:p.The :link reftype=hd res=7792.set xdtics:elink. commands converts the x-axis tic marks to days of the week 
where 0=Sun and 6=Sat.  Overflows are converted modulo 7 to dates.  :hp2.set 
noxdtics:ehp2. returns the labels to their default values.  Similar commands do 
the same things for the other axes. 
:p.Syntax&colon. 
:p.      set xdtics
.br
      set noxdtics
.br
      show xdtics
.br
:p.The same syntax applies to :link reftype=hd res=8185.ydtics:elink., :link reftype=hd res=8252.zdtics:elink., :link reftype=hd res=7700.x2dtics:elink. and :link reftype=hd res=8118.y2dtics:elink.. 
:p.See also the :link reftype=hd res=3695.set format:elink. command. 
:h3 res=7814. xlabel
:p.The :link reftype=hd res=7814.set xlabel:elink. command sets the x axis label.  Similar commands set labels 
on the other axes. 
:p.Syntax&colon. 
:p.      set xlabel {"<label>"} {<xoff>}{,<yoff>} {"<font>{,<size>}"}
.br
      show xlabel
.br
:p.The same syntax applies to :link reftype=hd res=7711.x2label:elink., :link reftype=hd res=8196.ylabel:elink., :link reftype=hd res=8128.y2label:elink. and :link reftype=hd res=8311.zlabel:elink.. 
:p.Specifying the constants <xoff> or <yoff> as optional offsets for a label 
will move it <xoff> or <yoff> character widths or heights.  For example, 
":hp2. set xlabel -1:ehp2." will change only the x offset of the xlabel, moving the 
label roughly one character width to the left.   The size of a character 
depends on both the font and the terminal. 
:p.<font> is used to specify the font in which the label is written; the units 
of the font <size> depend upon which terminal is used. 
:p.To clear a label, put no options on the command line, e.g., ":link reftype=hd res=8128.set y2label:elink.". 
:p.The default positions of the axis labels are as follows&colon. 
:p.xlabel&colon.  The x-axis label is centered below the bottom axis. 
:p.ylabel&colon.  The position of the y-axis label depends on the terminal, and can be 
one of the following three positions&colon. 
:p.1. Horizontal text flushed left at the top left of the plot.  Terminals that 
cannot rotate text will probably use this method.  If :link reftype=hd res=7738.set x2tics:elink. is also 
in use, the ylabel may overwrite the left-most x2tic label.  This may be 
remedied by adjusting the ylabel position or the left margin. 
:p.2. Vertical text centered vertically at the left of the plot.  Terminals 
that can rotate text will probably use this method. 
:p.3. Horizontal text centered vertically at the left of the plot.  The EEPIC, 
LaTeX and TPIC drivers use this method.  The user must insert line breaks 
using \\ to prevent the ylabel from overwriting the plot.  To produce a 
vertical row of characters, add \\ between every printing character (but this 
is ugly). 
:p.zlabel&colon. The z-axis label is centered along the z axis and placed in the space 
above the grid level. 
:p.y2label&colon. The y2-axis label is placed to the right of the y2 axis.  The 
position is terminal-dependent in the same manner as is the y-axis label. 
:p.x2label&colon. The x2-axis label is placed above the top axis but below the plot 
title.  It is also possible to create an x2-axis label by using new-line 
characters to make a multi-line plot title, e.g., 
:p.:p.      set title "This is the title\n\nThis is the x2label"
.br
:p.Note that double quotes must be used.  The same font will be used for both 
lines, of course. 
:p.If you are not satisfied with the default position of an axis label, use :hp2.set 
label:ehp2. instead--that command gives you much more control over where text is 
placed. 
:p.Please see :link reftype=hd res=1265.syntax:elink. for further information about backslash processing 
and the difference between single- and double-quoted strings. 
:h3 res=7882. xmtics
:p.The :link reftype=hd res=7882.set xmtics:elink. command converts the x-axis tic marks to months of the 
year where 1=Jan and 12=Dec.  Overflows are converted modulo 12 to months. 
The tics are returned to their default labels by :link reftype=hd res=7882.set noxmtics:elink..  Similar 
commands perform the same duties for the other axes. 
:p.Syntax&colon. 
:p.      set xmtics
.br
      set noxmtics
.br
      show xmtics
.br
:p.The same syntax applies to :link reftype=hd res=7719.x2mtics:elink., :link reftype=hd res=8203.ymtics:elink., :link reftype=hd res=8136.y2mtics:elink., and :link reftype=hd res=8318.zmtics:elink.. 
:p.See also the :link reftype=hd res=3695.set format:elink. command. 
:h3 res=7904. xrange
:p.The :link reftype=hd res=7904.set xrange:elink. command sets the horizontal range that will be displayed. 
A similar command exists for each of the other axes, as well as for the 
polar radius r and the parametric variables t, u, and v. 
:p.Syntax&colon. 
:p.      set xrange { [{{<min>}&colon.{<max>}}] {{no}reverse} {{no}writeback} }
.br
                 | restore
.br
      show xrange
.br
:p.where <min> and <max> terms are constants, expressions or an asterisk to set 
autoscaling.  If the data are time/date, you must give the range as a quoted 
string according to the :link reftype=hd res=7488.set timefmt:elink. format.  Any value omitted will not be 
changed. 
:p.The same syntax applies to :link reftype=hd res=8214.yrange:elink., :link reftype=hd res=8329.zrange:elink., :link reftype=hd res=7730.x2range:elink., :link reftype=hd res=8147.y2range:elink., 
:link reftype=hd res=4897.rrange:elink., :link reftype=hd res=7609.trange:elink., :link reftype=hd res=7618.urange:elink. and :link reftype=hd res=7683.vrange:elink.. 
:p.The :hp2.reverse:ehp2. option reverses the direction of the axis, e.g., :hp2.set xrange 
[0&colon.1] reverse:ehp2. will produce an axis with 1 on the left and 0 on the right. 
This is identical to the axis produced by :hp2.set xrange [1&colon.0]:ehp2., of course. 
:hp2.reverse:ehp2. is intended primarily for use with :link reftype=hd res=3102.autoscale:elink.. 
:p.The :link reftype=hd res=7904.writeback:elink. option essentially saves the range found by :link reftype=hd res=3102.autoscale:elink. in 
the buffers that would be filled by :link reftype=hd res=7904.set xrange:elink..  This is useful if you wish 
to plot several functions together but have the range determined by only 
some of them.  The :link reftype=hd res=7904.writeback:elink. operation is performed during the :link reftype=hd res=2060.plot:elink. 
execution, so it must be specified before that command.  To restore 
the last saved horizontal range use :hp2.set xrange restore:ehp2.. For example, 
:p.:p.      set xrange [-10&colon.10]
.br
      set yrange [] writeback
.br
      plot sin(x)
.br
      set yrange restore
.br
      replot x/2
.br
:p.results in a yrange of [-1&colon.1] as found only from the range of sin(x); the 
[-5&colon.5] range of x/2 is ignored.  Executing :link reftype=hd res=8214.show yrange:elink. after each command 
in the above example should help you understand what is going on. 
:p.In 2-d, :link reftype=hd res=7904.xrange:elink. and :link reftype=hd res=8214.yrange:elink. determine the extent of the axes, :link reftype=hd res=7609.trange:elink. 
determines the range of the parametric variable in parametric mode or the 
range of the angle in polar mode.  Similarly in parametric 3-d, :link reftype=hd res=7904.xrange:elink., 
:link reftype=hd res=8214.yrange:elink., and :link reftype=hd res=8329.zrange:elink. govern the axes and :link reftype=hd res=7618.urange:elink. and :link reftype=hd res=7683.vrange:elink. govern the 
parametric variables. 
:p.In polar mode, :link reftype=hd res=4897.rrange:elink. determines the radial range plotted.  <rmin> acts as 
an additive constant to the radius, whereas <rmax> acts as a clip to the 
radius---no point with radius greater than <rmax> will be plotted.  :link reftype=hd res=7904.xrange:elink. 
and :link reftype=hd res=8214.yrange:elink. are affected---the ranges can be set as if the graph was of 
r(t)-rmin, with rmin added to all the labels. 
:p.Any range may be partially or totally autoscaled, although it may not make 
sense to autoscale a parametric variable unless it is plotted with data. 
:p.Ranges may also be specified on the :link reftype=hd res=2060.plot:elink. command line.  A range given on 
the plot line will be used for that single :link reftype=hd res=2060.plot:elink. command; a range given by 
a :link reftype=hd res=2973.set:elink. command will be used for all subsequent plots that do not specify 
their own ranges.  The same holds true for :link reftype=hd res=8368.splot:elink.. 
:p.Examples&colon. 
:p.To set the xrange to the default&colon. 
:p.      set xrange [-10&colon.10]
.br
:p.To set the yrange to increase downwards&colon. 
:p.      set yrange [10&colon.-10]
.br
:p.To change zmax to 10 without affecting zmin (which may still be autoscaled)&colon. 
:p.      set zrange [&colon.10]
.br
:p.To autoscale xmin while leaving xmax unchanged&colon. 
:p.      set xrange [*&colon.]
.br
:h3 res=7984. xtics
:p.Fine control of the major (labelled) tics on the x axis is possible with the 
:link reftype=hd res=7984.set xtics:elink. command.  The tics may be turned off with the :link reftype=hd res=7984.set noxtics:elink. 
command, and may be turned on (the default state) with :link reftype=hd res=7984.set xtics:elink..  Similar 
commands control the major tics on the y, z, x2 and y2 axes. 
:p.Syntax&colon. 
:p.      set xtics {axis | border} {{no}mirror} {{no}rotate}
.br
                {  autofreq
.br
                 | <incr>
.br
                 | <start>, <incr> {,<end>}
.br
                 | ({"<label>"} <pos> {,{"<label>"} <pos>}...) }
.br
      set noxtics
.br
      show xtics
.br
:p.The same syntax applies to :link reftype=hd res=8222.ytics:elink., :link reftype=hd res=8338.ztics:elink., :link reftype=hd res=7738.x2tics:elink. and :link reftype=hd res=8155.y2tics:elink.. 
:p.:hp2.axis:ehp2. or :link reftype=hd res=3236.border:elink. tells :link reftype=hd res=34.gnuplot:elink. to put the tics (both the tics themselves 
and the accompanying labels) along the axis or the border, respectively.  If 
the axis is very close to the border, the :hp2.axis:ehp2. option can result in tic 
labels overwriting other text written in the margin. 
:p.:hp2.mirror:ehp2. tells :link reftype=hd res=34.gnuplot:elink. to put unlabelled tics at the same positions on the 
opposite border.  :hp2.nomirror:ehp2. does what you think it does. 
:p.:link reftype=hd res=6013.rotate:elink. asks :link reftype=hd res=34.gnuplot:elink. to rotate the text through 90 degrees, which will be 
done if the terminal driver in use supports text rotation.  :hp2.norotate:ehp2. 
cancels this. 
:p.The defaults are :hp2.border mirror norotate:ehp2. for tics on the x and y axes, and 
:hp2.border nomirror norotate:ehp2. for tics on the x2 and y2 axes.  For the z axis, 
the :hp2.{axis | border}:ehp2. option is not available and the default is 
:hp2.nomirror:ehp2..  If you do want to mirror the z-axis tics, you might want to 
create a bit more room for them with :link reftype=hd res=3236.set border:elink.. 
:p.:link reftype=hd res=7984.set xtics:elink. with no options restores the default border or axis if xtics are 
being displayed;  otherwise it has no effect.  Any previously specified tic 
frequency or position {and labels} are retained. 
:p.Positions of the tics are calculated automatically by default or if the 
:hp2.autofreq:ehp2. option is given; otherwise they may be specified in either of 
two forms&colon. 
:p.The implicit <start>, <incr>, <end> form specifies that a series of tics will 
be plotted on the axis between the values <start> and <end> with an increment 
of <incr>.  If <end> is not given, it is assumed to be infinity.  The 
increment may be negative.  If neither <start> nor <end> is given, <start> is 
assumed to be negative infinity, <end> is assumed to be positive infinity, 
and the tics will be drawn at integral multiples of <incr>.  If the axis is 
logarithmic, the increment will be used as a multiplicative factor. 
:p.Examples&colon. 
:p.Make tics at 0, 0.5, 1, 1.5, ..., 9.5, 10. 
:p.      set xtics 0,.5,10
.br
:p.Make tics at ..., -10, -5, 0, 5, 10, ... 
:p.      set xtics 5
.br
:p.Make tics at 1, 100, 1e4, 1e6, 1e8. 
:p.      set logscale x; set xtics 1,100,1e8
.br
:p.The explicit ("<label>" <pos>, ...) form allows arbitrary tic positions or 
non-numeric tic labels.  A set of tics is a set of positions, each with its 
own optional label.  Note that the label is a string enclosed by quotes.  It 
may be a constant string, such as "hello", may contain formatting information 
for converting the position into its label, such as "%3f clients", or may be 
empty, "".  See :link reftype=hd res=3695.set format:elink. for more information.  If no string is given, 
the default label (numerical) is used.  In this form, the tics do not need to 
be listed in numerical order. 
:p.Examples&colon. 
:p.      set xtics ("low" 0, "medium" 50, "high" 100)
.br
      set xtics (1,2,4,8,16,32,64,128,256,512,1024)
.br
      set ytics ("bottom" 0, "" 10, "top" 20)
.br
:p.In the second example, all tics are labelled.  In the third, only the end 
tics are labelled. 
:p.However they are specified, tics will only be plotted when in range. 
:p.Format (or omission) of the tic labels is controlled by :link reftype=hd res=3695.set format:elink., unless 
the explicit text of a labels is included in the :hp2.set xtics (:ehp2.<label>:hp2.):ehp2. form. 
:p.Minor (unlabelled) tics can be added by the :link reftype=hd res=4608.set mxtics:elink. command. 
:p.In case of timeseries data, position values must be given as quoted dates 
or times according to the format :link reftype=hd res=7488.timefmt:elink..  If the <start>, <incr>, <end> 
form is used, <start> and <end> must be given according to :link reftype=hd res=7488.timefmt:elink., but 
<incr> must be in seconds.  Times will be written out according to the format 
given on :link reftype=hd res=3695.set format:elink., however. 
:p.Examples&colon. 
:p.      set xdata time
.br
      set timefmt "%d/%m"
.br
      set format x "%b %d"
.br
      set xrange ["01/12"&colon."06/12"]
.br
      set xtics "01/12", 172800, "05/12"
.br
:p.:p.      set xdata time
.br
      set timefmt "%d/%m"
.br
      set format x "%b %d"
.br
      set xrange ["01/12"&colon."06/12"]
.br
      set xtics ("01/12", "" "03/12", "05/12")
.br
Both of these will produce tics "Dec 1", "Dec 3", and "Dec 5", but in the 
second example the tic at "Dec 3" will be unlabelled. 
:p.:h3 res=8099. xzeroaxis
:p.The :link reftype=hd res=8099.set xzeroaxis:elink. command draws a line at y = 0.  For details, please see 
:link reftype=hd res=8281.set zeroaxis:elink.. 
:h3 res=8110. y2data
:p.The :link reftype=hd res=8110.set y2data:elink. command sets y2 (right-hand) axis data to timeseries 
(dates/times).  Please see :link reftype=hd res=7761.set xdata:elink.. 
:h3 res=8118. y2dtics
:p.The :link reftype=hd res=8118.set y2dtics:elink. command changes tics on the y2 (right-hand) axis to days of 
the week.  Please see :link reftype=hd res=7792.set xdtics:elink. for details. 
:h3 res=8128. y2label
:p.The :link reftype=hd res=8128.set y2label:elink. command sets the label for the y2 (right-hand) axis. 
Please see :link reftype=hd res=7814.set xlabel:elink.. 
:h3 res=8136. y2mtics
:p.The :link reftype=hd res=8136.set y2mtics:elink. command changes tics on the y2 (right-hand) axis to months 
of the year.  Please see :link reftype=hd res=7882.set xmtics:elink. for details. 
:h3 res=8147. y2range
:p.The :link reftype=hd res=8147.set y2range:elink. command sets the vertical range that will be displayed on 
the y2 (right-hand) axis.  Please see :link reftype=hd res=7904.set xrange:elink. for details. 
:h3 res=8155. y2tics
:p.The :link reftype=hd res=8155.set y2tics:elink. command controls major (labelled) tics on the y2 (right-hand) 
axis.  Please see :link reftype=hd res=7984.set xtics:elink. for details. 
:h3 res=8166. y2zeroaxis
:p.The :link reftype=hd res=8166.set y2zeroaxis:elink. command draws a line at the origin of the y2 (right-hand) 
axis (x2 = 0).  For details, please see :link reftype=hd res=8281.set zeroaxis:elink.. 
:h3 res=8177. ydata
:p.The :link reftype=hd res=8177.set ydata:elink. command sets y-axis data to timeseries (dates/times). 
Please see :link reftype=hd res=7761.set xdata:elink.. 
:h3 res=8185. ydtics
:p.The :link reftype=hd res=8185.set ydtics:elink. command changes tics on the y axis to days of the week. 
Please see :link reftype=hd res=7792.set xdtics:elink. for details. 
:h3 res=8196. ylabel
:p.This command sets the label for the y axis.  Please see :link reftype=hd res=7814.set xlabel:elink.. 
:h3 res=8203. ymtics
:p.The :link reftype=hd res=8203.set ymtics:elink. command changes tics on the y axis to months of the year. 
Please see :link reftype=hd res=7882.set xmtics:elink. for details. 
:h3 res=8214. yrange
:p.The :link reftype=hd res=8214.set yrange:elink. command sets the vertical range that will be displayed on 
the y axis.  Please see :link reftype=hd res=7904.set xrange:elink. for details. 
:h3 res=8222. ytics
:p.The :link reftype=hd res=8222.set ytics:elink. command controls major (labelled) tics on the y axis. 
Please see :link reftype=hd res=7984.set xtics:elink. for details. 
:h3 res=8233. yzeroaxis
:p.The :link reftype=hd res=8233.set yzeroaxis:elink. command draws a line at x = 0.  For details, please see 
:link reftype=hd res=8281.set zeroaxis:elink.. 
:h3 res=8244. zdata
:p.The :link reftype=hd res=8244.set zdata:elink. command sets z-axis data to timeseries (dates/times). 
Please see :link reftype=hd res=7761.set xdata:elink.. 
:h3 res=8252. zdtics
:p.The :link reftype=hd res=8252.set zdtics:elink. command changes tics on the z axis to days of the week. 
Please see :link reftype=hd res=7792.set xdtics:elink. for details. 
:h3 res=8263. zero
:p.The :link reftype=hd res=8263.zero:elink. value is the default threshold for values approaching 0.0. 
:p.Syntax&colon. 
:p.      set zero <expression>
.br
      show zero
.br
:p.:link reftype=hd res=34.gnuplot:elink. will not plot a point if its imaginary part is greater in magnitude 
than the :link reftype=hd res=8263.zero:elink. threshold.  This threshold is also used in various other 
parts of :link reftype=hd res=34.gnuplot:elink. as a (crude) numerical-error threshold.  The default 
:link reftype=hd res=8263.zero:elink. value is 1e-8.  :link reftype=hd res=8263.zero:elink. values larger than 1e-3 (the reciprocal of the 
number of pixels in a typical bitmap display) should probably be avoided, but 
it is not unreasonable to set :link reftype=hd res=8263.zero:elink. to 0.0. 
:h3 res=8281. zeroaxis
:p.The x axis may be drawn by :link reftype=hd res=8099.set xzeroaxis:elink. and removed by :link reftype=hd res=8099.set noxzeroaxis:elink.. 
Similar commands behave similarly for the y, x2, and y2 axes. 
:p.Syntax&colon. 
:p.      set {x|x2|y|y2|}zeroaxis { {linestyle | ls <line_style>}
.br
                                 | { linetype | lt <line_type>}
.br
                                   { linewidth | lw <line_width>}}
.br
      set no{x|x2|y|y2|}zeroaxis
.br
      show {x|y|}zeroaxis
.br
:p.:p.By default, these options are off.  The selected zero axis is drawn 
with a line of type <line_type> and width <line_width> (if supported 
by the terminal driver currently in use), or a user-defined style 
<line_style>. 
:p.If no linetype is specified, any zero axes selected will be drawn 
using the axis linetype (linetype 0). 
:p.:hp2.set zeroaxis l:ehp2. is equivalent to :hp2.set xzeroaxis l; set yzeroaxis l:ehp2.. :hp2.set 
nozeroaxis:ehp2. is equivalent to :hp2.set noxzeroaxis; set noyzeroaxis:ehp2.. 
:h3 res=8311. zlabel
:p.This command sets the label for the z axis.  Please see :link reftype=hd res=7814.set xlabel:elink.. 
:h3 res=8318. zmtics
:p.The :link reftype=hd res=8318.set zmtics:elink. command changes tics on the z axis to months of the year. 
Please see :link reftype=hd res=7882.set xmtics:elink. for details. 
:h3 res=8329. zrange
:p.The :link reftype=hd res=8329.set zrange:elink. command sets the range that will be displayed on the z axis. 
The zrange is used only by :link reftype=hd res=8368.splot:elink. and is ignored by :link reftype=hd res=2060.plot:elink..  Please see :hp2.set 
xrange:ehp2. for details. 
:h3 res=8338. ztics
:p.The :link reftype=hd res=8338.set ztics:elink. command controls major (labelled) tics on the z axis. 
Please see :link reftype=hd res=7984.set xtics:elink. for details. 
:h2 res=8349. shell
:p.The :link reftype=hd res=8349.shell:elink. command spawns an interactive shell.  To return to :link reftype=hd res=34.gnuplot:elink., 
type :hp2.logout:ehp2. if using VMS, :link reftype=hd res=1481.exit:elink. or the END-OF-FILE character if using 
Unix, :hp2.endcli:ehp2. if using AmigaOS, or :link reftype=hd res=1481.exit:elink. if using MS-DOS or OS/2. 
:p.A single shell command may be spawned by preceding it with the ! character 
($ if using VMS) at the beginning of a command line.  Control will return 
immediately to :link reftype=hd res=34.gnuplot:elink. after this command is executed.  For example, in 
Unix, AmigaOS, MS-DOS or OS/2, 
:p.:p.      ! dir
.br
:p.prints a directory listing and then returns to :link reftype=hd res=34.gnuplot:elink.. 
:p.On an Atari, the :hp2.!:ehp2. command first checks whether a shell is already loaded 
and uses it, if available.  This is practical if :link reftype=hd res=34.gnuplot:elink. is run from 
:hp2.gulam:ehp2., for example. 
:h2 res=8368. splot
:p.:link reftype=hd res=8368.splot:elink. is the command for drawing 3-d plots (well, actually projections on 
a 2-d surface, but you knew that).  It can create a plot from functions or 
a data file in a manner very similar to the :link reftype=hd res=2060.plot:elink. command. 
:p.See :link reftype=hd res=2060.plot:elink. for features common to the :link reftype=hd res=2060.plot:elink. command; only differences are 
discussed in detail here.  Note specifically that the :link reftype=hd res=8452.binary:elink. and :link reftype=hd res=8542.matrix:elink. 
options (discussed under "datafile-modifiers") are not available for :link reftype=hd res=2060.plot:elink.. 
:p.Syntax&colon. 
:p.      splot {<ranges>}
.br
            <function> | "<datafile>" {datafile-modifiers}}
.br
            {<title-spec>} {with <style>}
.br
            {, {definitions,} <function> ...}
.br
:p.where either a <function> or the name of a data file enclosed in quotes is 
supplied.  The function can be a mathematical expression, or a triple of 
mathematical expressions in parametric mode. 
:p.By default :link reftype=hd res=8368.splot:elink. draws the xy plane completely below the plotted data. 
The offset between the lowest ztic and the xy plane can be changed by :hp2.set 
ticslevel:ehp2..  The orientation of a :link reftype=hd res=8368.splot:elink. projection is controlled by 
:link reftype=hd res=7648.set view:elink..  See :link reftype=hd res=7648.set view:elink. and :link reftype=hd res=7417.set ticslevel:elink. for more information. 
:p.The syntax for setting ranges on the :link reftype=hd res=8368.splot:elink. command is the same as for 
:link reftype=hd res=2060.plot:elink..  In non-parametric mode, the order in which ranges must be given is 
:link reftype=hd res=7904.xrange:elink., :link reftype=hd res=8214.yrange:elink., and :link reftype=hd res=8329.zrange:elink..  In parametric mode, the order is :link reftype=hd res=7618.urange:elink., 
:link reftype=hd res=7683.vrange:elink., :link reftype=hd res=7904.xrange:elink., :link reftype=hd res=8214.yrange:elink., and :link reftype=hd res=8329.zrange:elink.. 
:p.The :link reftype=hd res=2714.title:elink. option is the same as in :link reftype=hd res=2060.plot:elink..  The operation of :link reftype=hd res=2755.with:elink. is also 
the same as in :link reftype=hd res=2060.plot:elink., except that the plotting styles available to :link reftype=hd res=8368.splot:elink. 
are limited to :link reftype=hd res=5165.lines:elink., :link reftype=hd res=5186.points:elink., :link reftype=hd res=5171.linespoints:elink., :link reftype=hd res=5109.dots:elink., and :link reftype=hd res=5158.impulses:elink.;  the 
error-bar capabilities of :link reftype=hd res=2060.plot:elink. are not available for :link reftype=hd res=8368.splot:elink.. 
:p.The datafile options have more differences. 
:h3 res=8405. data-file
:p.As for :link reftype=hd res=2060.plot:elink., discrete data contained in a file can be displayed by 
specifying the name of the data file, enclosed in quotes,  on the :link reftype=hd res=8368.splot:elink. 
command line. 
:p.Syntax&colon. 
:p.      splot '<file_name>' {binary | matrix}
.br
                          {index <index list>}
.br
                          {every <every list>}
.br
                          {using <using list>}
.br
:p.The special filenames :hp2."":ehp2. and :hp2."-":ehp2. are permitted, as in :link reftype=hd res=2060.plot:elink.. 
:p.In brief, :link reftype=hd res=8452.binary:elink. and :link reftype=hd res=8542.matrix:elink. indicate that the the data are in a special 
form, :link reftype=hd res=2228.index:elink. selects which data sets in a multi-data-set file are to be 
plotted, :link reftype=hd res=2163.every:elink. specifies which datalines (subsets) within a single data 
set are to be plotted, and :link reftype=hd res=2465.using:elink. determines how the columns within a single 
record are to be interpreted. 
:p.The options :link reftype=hd res=2228.index:elink. and :link reftype=hd res=2163.every:elink. behave the same way as with :link reftype=hd res=2060.plot:elink.;  :link reftype=hd res=2465.using:elink. 
does so also, except that the :link reftype=hd res=2465.using:elink. list must provide three entries 
instead of two. 
:p.The :link reftype=hd res=2060.plot:elink. options :link reftype=hd res=2441.thru:elink. and :link reftype=hd res=2251.smooth:elink. are not available for :link reftype=hd res=8368.splot:elink., but 
:hp2.cntrparams:ehp2. and :link reftype=hd res=3584.dgrid3d:elink. provide limited smoothing cabilities. 
:p.Data file organization is essentially the same as for :link reftype=hd res=2060.plot:elink., except that 
each point is an (x,y,z) triple.  If only a single value is provided, it 
will be used for z, the datablock number will be used for y, and the index 
of the data point in the datablock will be used for x.  If two values are 
provided, :link reftype=hd res=34.gnuplot:elink. gives you an error message.  Three values are interpreted 
as an (x,y,z) triple.  Additional values are generally used as errors, which 
can be used by :link reftype=hd res=1490.fit:elink.. 
:p.Single blank records separate datablocks in a :link reftype=hd res=8368.splot:elink. datafile; :link reftype=hd res=8368.splot:elink. 
treats datablocks as the equivalent of function y-isolines.  No line will 
join points separated by a blank record.  If all datablocks contain the same 
number of points, :link reftype=hd res=34.gnuplot:elink. will draw cross-isolines between datablocks, 
connecting corresponding points.  This is termed "grid data", and is required 
for drawing a surface, for contouring (:link reftype=hd res=3518.set contour:elink.) and hidden-line removal 
(:link reftype=hd res=4001.set hidden3d:elink.). See also :hp2.splot grid data:ehp2. 
:p.It is no longer necessary to specify :link reftype=hd res=2618.parametric:elink. mode for three-column 
:link reftype=hd res=8368.splot:elink.s. 
:h4 res=8452. binary
:p.:link reftype=hd res=8368.splot:elink. can read binary files written with a specific format (and on a 
system with a compatible binary file representation.) 
:p.In previous versions, :link reftype=hd res=34.gnuplot:elink. dynamically detected binary data files.  It 
is now necessary to specify the keyword :link reftype=hd res=8452.binary:elink. directly after the filename. 
:p.Single precision floats are stored in a binary file as follows&colon. 
:p.:p.      <N+1>  <y0>   <y1>   <y2>  ...  <yN>
.br
       <x0> <z0,0> <z0,1> <z0,2> ... <z0,N>
.br
       <x1> <z1,0> <z1,1> <z1,2> ... <z1,N>
.br
        &colon.      &colon.      &colon.      &colon.   ...    &colon.
.br
:p.which are converted into triplets&colon. 
:p.      <x0> <y0> <z0,0>
.br
      <x0> <y1> <z0,1>
.br
      <x0> <y2> <z0,2>
.br
       &colon.    &colon.     &colon.
.br
      <x0> <yN> <z0,N>
.br
:p.:p.      <x1> <y0> <z1,0>
.br
      <x1> <y1> <z1,1>
.br
       &colon.    &colon.     &colon.
.br
:p.These triplets are then converted into :link reftype=hd res=34.gnuplot:elink. iso-curves and then 
:link reftype=hd res=34.gnuplot:elink. proceeds in the usual manner to do the rest of the plotting. 
:p.A collection of matrix and vector manipulation routines (in C) is provided 
in :hp2.binary.c:ehp2..  The routine to write binary data is 
:p.:p.      int fwrite_matrix(file,m,nrl,nrl,ncl,nch,row_title,column_title)
.br
:p.An example of using these routines is provided in the file :hp2.bf_test.c:ehp2., which 
generates binary files for the demo file :hp2.demo/binary.dem:ehp2.. 
:p.The :link reftype=hd res=2228.index:elink. keyword is not supported, since the file format allows only one 
surface per file.  The :link reftype=hd res=2163.every:elink. and :link reftype=hd res=2465.using:elink. filters are supported.  :link reftype=hd res=2465.using:elink. 
operates as if the data were read in the above triplet form. 
:h4 res=8500. example datafile
:p.A simple example of plotting a 3-d data file is 
:p.:p.      splot 'datafile.dat'
.br
:p.where the file "datafile.dat" might contain&colon. 
:p.:p.      # The valley of the Gnu.
.br
         0 0 10
.br
         0 1 10
.br
         0 2 10
.br
:p.:p.         1 0 10
.br
         1 1 5
.br
         1 2 10
.br
:p.:p.         2 0 10
.br
         2 1 1
.br
         2 2 10
.br
:p.:p.         3 0 10
.br
         3 1 0
.br
         3 2 10
.br
:p.Note that "datafile.dat" defines a 4 by 3 grid ( 4 rows of 3 points each ). 
Rows (datablocks) are separated by blank records. 
:p.Note also that the x value is held constant within each dataline.  If you 
instead keep y constant, and plot with hidden-line removal enabled, you will 
find that the surface is drawn 'inside-out'. 
:p.Actually for grid data it is not necessary to keep the x values constant 
within a datablock, nor is it necessary to keep the same sequence of y 
values.  :link reftype=hd res=34.gnuplot:elink. requires only that the number of points be the same for 
each datablock.  However since the surface mesh, from which contours are 
derived, connects sequentially corresponding points, the effect of an 
irregular grid on a surface plot is unpredictable and should be examined 
on a case-by-case basis. 
:h4 res=8542. matrix
:p.The :link reftype=hd res=8542.matrix:elink. flag indicates that the ASCII data are stored in matrix format. 
The z-values are read in a row at a time, i. e., 
:p.      z11 z12 z13 z14 ...
.br
      z21 z22 z23 z24 ...
.br
      z31 z32 z33 z34 ...
.br
and so forth.  The row and column indices are used for the x- and y-values. 
:h3 res=8555. grid_data
:p.The 3D routines are designed for points in a grid format, with one sample, 
datapoint, at each mesh intersection; the datapoints may originate from 
either evaluating a function, see :link reftype=hd res=4109.set isosamples:elink., or reading a datafile, 
see :link reftype=hd res=8405.splot datafile:elink..  The term "isoline" is applied to the mesh lines for 
both functions and data.  Note that the mesh need not be rectangular in x 
and y, as it may be parameterized in u and v, see :link reftype=hd res=4109.set isosamples:elink.. 
:p.However, :link reftype=hd res=34.gnuplot:elink. does not require that format.  In the case of functions, 
'samples' need not be equal to 'isosamples', i.e., not every x-isoline 
sample need intersect a y-isoline. In the case of data files, if there 
are an equal number of scattered data points in each datablock, then 
"isolines" will connect the points in a datablock, and "cross-isolines" 
will connect the corresponding points in each datablock to generate a 
"surface".  In either case, contour and hidden3d modes may give different 
plots than if the points were in the intended format.  Scattered data can be 
converted to a {different} grid format with :link reftype=hd res=3584.set dgrid3d:elink.. 
:p.The contour code tests for z intensity along a line between a point on a 
y-isoline and the corresponding point in the next y-isoline.  Thus a :link reftype=hd res=8368.splot:elink. 
contour of a surface with samples on the x-isolines that do not coincide with 
a y-isoline intersection will ignore such samples. Try&colon. 
:p.       set xrange [-pi/2&colon.pi/2]; set yrange [-pi/2&colon.pi/2]
.br
       set function style lp
.br
       set contour
.br
       set isosamples 10,10; set samples 10,10;
.br
       splot cos(x)*cos(y)
.br
       set samples 4,10; replot
.br
       set samples 10,4; replot
.br
:p.:h3 res=8588. splot_overview
:p.:link reftype=hd res=8368.splot:elink. can display a surface as a collection of points, or by connecting 
those points.  As with :link reftype=hd res=2060.plot:elink., the points may be read from a data file or 
result from evaluation of a function at specified intervals, see :hp2.set 
isosamples:ehp2..  The surface may be approximated by connecting the points 
with straight line segments, see :link reftype=hd res=5259.set surface:elink., in which case the surface 
can be made opaque with :hp2.set hidden3d.:ehp2.  The orientation from which the 3d 
surface is viewed can be changed with :link reftype=hd res=7648.set view:elink.. 
:p.Additionally, for points in a grid format, :link reftype=hd res=8368.splot:elink. can interpolate points 
having a common amplitude (see :link reftype=hd res=3518.set contour:elink.) and can then connect those 
new points to display contour lines, either directly with straight-line 
segments or smoothed lines (see :hp2.set cntrparams:ehp2.).  Functions are already 
evaluated in a grid format, determined by :link reftype=hd res=4109.set isosamples:elink. and :link reftype=hd res=4905.set samples:elink., 
while file data must either be in a grid format, as described in :link reftype=hd res=2098.data-file:elink., 
or be used to generate a grid (see :link reftype=hd res=3584.set dgrid3d:elink.). 
:p.Contour lines may be displayed either on the surface or projected onto the 
base.  The base projections of the contour lines may be written to a 
file, and then read with :link reftype=hd res=2060.plot:elink., to take advantage of :link reftype=hd res=2060.plot:elink.'s additional 
formatting capabilities. 
:h2 res=8611. test
:p.:link reftype=hd res=8611.test:elink. creates a display of line and point styles and other useful things 
appropriate for the terminal you are using. 
:p.Syntax&colon. 
:p.      test
.br
:h2 res=8619. update
:p.This command writes the current values of the fit parameters into the given 
file, formatted as an initial-value file (as described in the :link reftype=hd res=1490.fit:elink.section). 
This is useful for saving the current values for later use or for restarting 
a converged or stopped fit. 
:p.Syntax&colon. 
:p.      update <filename> {<filename>}
.br
:p.If a second filename is supplied, the updated values are written to this 
file, and the original parameter file is left unmodified. 
:p.Otherwise, if the file already exists, :link reftype=hd res=34.gnuplot:elink. first renames it by 
appending :hp2..old:ehp2. and then opens a new file.  That is, ":hp2.update 'fred':ehp2." 
behaves the same as ":hp2.!rename fred fred.old; update 'fred.old' 'fred':ehp2.". 
[On DOS and other systems that use the twelve-character "filename.ext" 
naming convention, "ext" will be ":hp2.old:ehp2." and "filename" will be related 
(hopefully recognizably) to the initial name.  Renaming is not done at all 
on VMS systems, since they use file-versioning.] 
:p.Please see :link reftype=hd res=1490.fit:elink. for more information. 
:h1 res=8642. Graphical User Interfaces
:p.Several graphical user interfaces have been written for :link reftype=hd res=34.gnuplot:elink. and one for 
win32 is included in this distribution.  In addition, there is a Macintosh 
interface at 
:p.       ftp&colon.//ftp.ee.gatech.edu/pub/mac/gnuplot
.br
and several X11 interfaces include three Tcl/Tk located at the usual Tcl/Tk 
repositories. 
:h1 res=8653. Bugs
:p.Floating point exceptions (floating point number too large/small, divide by 
zero, etc.) may occasionally be generated by user defined functions.  Some of 
the demos in particular may cause numbers to exceed the floating point range. 
Whether the system ignores such exceptions (in which case :link reftype=hd res=34.gnuplot:elink. labels 
the corresponding point as undefined) or aborts :link reftype=hd res=34.gnuplot:elink. depends on the 
compiler/runtime environment. 
:p.The bessel functions do not work for complex arguments. 
:p.The gamma function does not work for complex arguments. 
:p.As of :link reftype=hd res=34.gnuplot:elink. version 3.7, all development has been done using ANSI C. 
With current operating system, compiler, and library releases, the OS 
specific bugs documented in release 3.5, now relegated to :link reftype=hd res=8677.old_bugs:elink., may 
no longer be relevant. 
:p.Bugs reported since the current release may be located via the official 
distribution site&colon. 
:p.       ftp&colon.//ftp.dartmouth.edu/pub/gnuplot
.br
      http&colon.//www.cs.dartmouth.edu/gnuplot_info.html
.br
:p.Please e-mail any bugs to bug-gnuplot@dartmouth.edu. 
:h2 res=8677. Old_bugs
:p.There is a bug in the stdio library for old Sun operating systems (SunOS 
Sys4-3.2).  The "%g" format for 'printf' sometimes incorrectly prints numbers 
(e.g., 200000.0 as "2").  Thus, tic mark labels may be incorrect on a Sun4 
version of :link reftype=hd res=34.gnuplot:elink..  A work-around is to rescale the data or use the :hp2.set 
format:ehp2. command to change the tic mark format to "%7.0f" or some other 
appropriate format.  This appears to have been fixed in SunOS 4.0. 
:p.Another bug&colon. On a Sun3 under SunOS 4.0, and on Sun4's under Sys4-3.2 and 
SunOS 4.0, the 'sscanf' routine incorrectly parses "00 12" with the format 
"%f %f" and reads 0 and 0 instead of 0 and 12.  This affects data input.  If 
the data file contains x coordinates that are zero but are specified like 
'00', '000', etc, then you will read the wrong y values.  Check any data 
files or upgrade the SunOS.  It appears to have been fixed in SunOS 4.1.1. 
:p.Suns appear to overflow when calculating exp(-x) for large x, so :link reftype=hd res=34.gnuplot:elink. 
gets an undefined result.  One work-around is to make a user-defined function 
like e(x) = x<-500 ? 0 &colon. exp(x).  This affects plots of Gaussians (exp(-x*x)) 
in particular, since x*x grows quite rapidly. 
:p.Microsoft C 5.1 has a nasty bug associated with the %g format for 'printf'. 
When any of the formats "%.2g", "%.1g", "%.0g", "%.g" are used, 'printf' will 
incorrectly print numbers in the range 1e-4 to 1e-1.  Numbers that should be 
printed in the %e format are incorrectly printed in the %f format, with the 
wrong number of zeros after the decimal point.  To work around this problem, 
use the %e or %f formats explicitly. 
:p.:link reftype=hd res=34.gnuplot:elink., when compiled with Microsoft C, did not work correctly on two VGA 
displays that were tested.  The CGA, EGA and VGA drivers should probably be 
rewritten to use the Microsoft C graphics library.  :link reftype=hd res=34.gnuplot:elink. compiled with 
Borland C++ uses the Turbo C graphics drivers and does work correctly with 
VGA displays. 
:p.VAX/VMS 4.7 C compiler release 2.4 also has a poorly implemented %g format 
for 'printf'.  The numbers are printed numerically correct, but may not be in 
the requested format.  The K&amp.R second edition says that for the %g format, %e 
is used if the exponent is less than -4 or greater than or equal to the 
precision.  The VAX uses %e format if the exponent is less than -1.  The VAX 
appears to take no notice of the precision when deciding whether to use %e or 
%f for numbers less than 1.  To work around this problem, use the %e or %f 
formats explicitly.  From the VAX C 2.4 release notes&colon. e,E,f,F,g,G  Result 
will always contain a decimal  point.  For g and G, trailing zeros will not 
be removed from the result. 
:p.VAX/VMS 5.2 C compiler release 3.0 has a slightly better implemented %g 
format than release 2.4, but not much.  Trailing decimal points are now 
removed, but trailing zeros are still not removed from %g numbers in 
exponential format. 
:p.The two preceding problems are actually in the libraries rather than in the 
compilers.  Thus the problems will occur whether :link reftype=hd res=34.gnuplot:elink. is built using 
either the DEC compiler or some other one (e.g. the latest gcc). 
:p.ULTRIX X11R3 has a bug that causes the X11 driver to display "every other" 
graph.  The bug seems to be fixed in DEC's release of X11R4 so newer releases 
of ULTRIX don't seem to have the problem.  Solutions for older sites include 
upgrading the X11 libraries (from DEC or direct from MIT) or defining 
ULTRIX_KLUDGE when compiling the x11.trm file.  Note that the kludge is not 
an ideal fix, however. 
:p.The constant HUGE was incorrectly defined in the NeXT OS 2.0 operating 
system.  HUGE should be set to 1e38 in plot.h. This error has been corrected 
in the 2.1 version of NeXT OS. 
:p.Some older models of HP plotters do not have a page eject command 'PG'.  The 
current HPGL driver uses this command in HPGL_reset.  This may need to be 
removed for these plotters.  The current PCL5 driver uses HPGL/2 for text as 
well as graphics.  This should be modified to use scalable PCL fonts. 
:p.On the Atari version, it is not possible to send output directly to the 
printer (using :hp2./dev/lp:ehp2. as output file), since CRs are added to LFs in 
binary output.  As a work-around, write the output to a file and copy it to 
the printer afterwards using a shell command. 
:p.On AIX 4, the literal 'NaNq' in a datafile causes the special internal value 
'not-a-number' to be stored, rather than setting an internal 'undefined' 
flag.  A workaround is to use :hp2.set missing 'NaNq':ehp2.. 
:p.There may be an up-to-date list of bugs since the release on the WWW page&colon. 
:p.      http&colon.//www.cs.dartmouth.edu/gnuplot_info.html
.br
:p.Please report any bugs to bug-gnuplot@dartmouth.edu. 

:euserdoc.
